<?php

require_once('include/header.php');

cache_delete();

// Удаление пользователя
if(isset($user_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='profile.php'>Профиль</a></li>
	<li class='breadcrumb-item'><a href='profile.php?users'>Пользователи</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."admin where id=$user_id"))
	{
		echo $block_delete_info;
	}
	else
	{
		echo $block_delete_danger;
	}
}

// Удаление страницы
elseif(isset($page_id))
{

	if($profile_access_edit_pages==1)
	{
		echo $block_profile_danger;
	}
	else
	{

		echo"
		<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".REFERER."'>Страницы</a></li>
		<li class='breadcrumb-item active'>Удаление</li>
		</ol>
		";

		// Удаление страницы
		if(
			mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."pages where id='$page_id'") // удаление страницы
			&& mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."seo where page='$page_id'") // удаление SEO-параметров
			&& mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."pages_comments where page='$page_id'")) // удаление комментариев
		{

			Fields::DeleteValues('pages',$page_id);

			redirect(REFERER);

		}
		else
		{
			echo $block_delete_danger;
		}

	}

}

// Удаление элемента
elseif(isset($element_id))
{

	if($profile_access_edit_pages==1)
	{
		echo $block_profile_danger;
	}
	else
	{

		echo"
		<ol class='breadcrumb'>
		<li class='breadcrumb-item'><a href='".REFERER."'>Элементы</a></li>
		<li class='breadcrumb-item active'>Удаление</li>
		</ol>
		";

		if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."elements where id='$element_id'"))
		{

			Fields::DeleteValues('elements',$element_id);

			echo $block_delete_info;

			redirect(REFERER);

		}
		else
		{
			echo $block_delete_danger;
		}

	}

}

// Удаление элемента динамического блока / поля
elseif(isset($fields_element_id))
{

	if($profile_access_edit_pages==1)
	{

		echo $block_profile_danger;

	}
	else
	{

		// Удаление элемента
		if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."fields_elements where id='$fields_element_id'"))
		{

			Fields::DeleteValues('fields_elements',$fields_element_id);

			echo $block_delete_info;

			redirect(REFERER);

		}
		else
		{
			echo $block_delete_danger;
		}

	}

}

// Удаление группы страниц
elseif(isset($delete_numbers_pages))
{
	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{

			// Удаление страницы
			if(
				mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."pages where id='$key'") // удаление страницы
				&& mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."seo where page='$key'") // удаление SEO-параметров
				&& mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."pages_comments where page='$key'") // удаление комментариев
			)
			{
				Fields::DeleteValues('pages',$key);
			}

		}
	}

	redirect(REFERER);
}

// Удаление группы элементов
elseif(isset($delete_numbers_elements))
{
	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{

			// Удаление элемента
			if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."elements where id='$key'"))
			{
				Fields::DeleteValues('elements',$key);
			}

		}
	}

	redirect(REFERER);
}

// Удаление группы элементов динамического блока / поля
elseif(isset($delete_numbers_fields_elements))
{
	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{

			// Удаление элемента
			mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."fields_elements where id='$key'");

		}
	}

	redirect(REFERER);
}

// Удаление комментария
elseif(isset($comment))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='pages.php'>Страницы</a></li>
	<li class='breadcrumb-item'><a href='pages_comments.php'>Комментарии</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	</ol>
	";
	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."pages_comments where id='$comment'"))
	{
		echo $block_delete_info;
	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление вопроса
elseif(isset($faq_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='faq.php'>Вопрос-ответ</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	</ol>
	";
	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."faq where id='$faq_id'"))
	{
		echo $block_delete_info;
	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление изображения из галереи
elseif(isset($gallery_image_id))
{
	if(mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_gallery where id = '.$gallery_image_id))
	{
		array_map('unlink', glob('../cms/pages-images/gallery/'.$gallery_image_id.'-*'));
		array_map('unlink', glob('../cms/pages-images/gallery/'.$gallery_image_id.'.*'));
	}

	redirect(REFERER);
}

// Удаление файла из архива
elseif(isset($archive_file_name))
{
	if(mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_archive where file = "'.$archive_file_name.'"'))
	{
		if(file_exists('../cms/pages-files/archive/'.$archive_file_name)) unlink('../cms/pages-files/archive/'.$archive_file_name);
	}

	redirect(REFERER);
}

// Удаление группы изображений из галереи
elseif(isset($delete_numbers_gallery_images))
{
	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{
			if(mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_gallery where id = '.$key))
			{
				array_map('unlink', glob('../cms/pages-images/gallery/'.$key.'-*'));
				array_map('unlink', glob('../cms/pages-images/gallery/'.$key.'.*'));
			}
		}
	}

	redirect(REFERER);
}

// Удаление группы файлов из архива
elseif(isset($delete_numbers_archive_files))
{
	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_archive where file = "'.$key.'"');

			if(file_exists('../cms/pages-files/archive/'.$key)) unlink('../cms/pages-files/archive/'.$key);
		}
	}

	redirect(REFERER);
}

// Удаление шаблона страницы
elseif(isset($page_template_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='templates_pages.php'>Шаблоны страниц</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	<li class='flex-float-right d-none d-sm-block'><a href='templates_pages.php?new'>+ Создать шаблон</a></li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."templates_pages where id=$page_template_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление шаблона комментариев
elseif(isset($page_comment_template_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='templates_pages_comments.php'>Шаблоны комментариев</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	<li class='flex-float-right d-none d-sm-block'><a href='templates_pages_comments.php?new'>+ Создать шаблон</a></li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."templates_pages_comments where id=$page_comment_template_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}
}

// Удаление шаблона FAQ
elseif(isset($faq_template_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='templates_faq.php'>Шаблоны вопросов</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	<li class='flex-float-right d-none d-sm-block'><a href='templates_faq.php?new'>+ Создать шаблон</a></li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."templates_faq where id=$faq_template_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление шаблона каталога
elseif(isset($catalog_template_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='templates_catalog.php'>Шаблоны каталога</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	<li class='flex-float-right d-none d-sm-block'><a href='templates_catalog.php?new'>+ Создать шаблон</a></li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."templates_catalog where id=$catalog_template_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление шаблона навигации
elseif(isset($navigation_template_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='templates_navigation.php'>Шаблоны навигации</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	<li class='flex-float-right d-none d-sm-block'><a href='templates_navigation.php?new'>+ Создать шаблон</a></li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."templates_navigation where id=$navigation_template_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление блока (статического)
elseif(isset($block_static_id))
{
	// Удаляем блок и все поля внутри блока
	if(
		mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."blocks_static where id=$block_static_id") &&
		mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."fields_name where section=$block_static_id && element_type='blocks_static'")
	)

	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Удаление блока (динамического)
elseif(isset($block_dynamic_id))
{
	echo"
	<ol class='breadcrumb'>
	<li class='breadcrumb-item'><a href='blocks_dynamic.php'>Блоки (динамические)</a></li>
	<li class='breadcrumb-item active'>Удаление</li>
	</ol>
	";

	if(mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."blocks_dynamic where id=$block_dynamic_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);
}

// Дополнительные поля: удаление изображения или файла конкретной страницы / элемента
elseif(isset($file_name,$field_type))
{

	// Удаление изображения
	if($field_type == 'fields_image' && isset($field_type_value) && isset($field_id))
	{

		if(file_exists('../cms/pages-images/'.$file_name)) unlink('../cms/pages-images/'.$file_name);

		mysqli_query($mysqli,'UPDATE '.DB_PREFIX.$field_type.' SET '.$field_type_value.' = "" where id = '.$field_id);

		if(count_query('SELECT id FROM '.DB_PREFIX.$field_type.' where image_small="" && image_big="" && image_original="" && id = '.$field_id)>0)
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where id = '.$field_id);
		}

	}

	// Удаление файла
	else
	{
		if(file_exists('../cms/pages-files/'.$file_name)) unlink('../cms/pages-files/'.$file_name);
		mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.$field_type.' where value = "'.$file_name.'"');
	}

	redirect(REFERER);

}

// Дополнительные поля: удаление поля
elseif(isset($field_id,$field_type))
{

	Fields::Delete($field_id,$field_type);

	redirect(REFERER);

}

// Дополнительные поля: групповое удаление
elseif(isset($delete_numbers_fields))
{

	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{

			// Определение типа поля
			$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT field_type FROM '.DB_PREFIX.'fields_name where id ='.$key));

			$field_id = $key;
			$field_type = $row['field_type'];

			Fields::Delete($field_id,$field_type);

		}
	}

	redirect(REFERER);

}

// Дополнительные поля: удаление группы
elseif(isset($fields_section_id))
{

	// Удаляем группу и все поля внутри группы
	if(mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_section where id='.$fields_section_id))
	{
		$result=mysqli_query($mysqli,'SELECT id, field_type, title from '.DB_PREFIX.'fields_name where element_type != "blocks_static" && section = '.$fields_section_id);
		while($row=mysqli_fetch_array($result))
		{
			Fields::Delete($row['id'],$row['field_type']);
		}
	}

	redirect(REFERER);

}

// Удаление типа данных
elseif(isset($element_type,$data_type_id))
{

	if(
		mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."data_types where id = $data_type_id") &&
		mysqli_query($mysqli,"UPDATE ".DB_PREFIX."$element_type SET data_type = 0 where data_type = $data_type_id"))
	{
		echo $block_delete_info;

	}
	else
	{
		echo $block_delete_danger;
	}

	redirect(REFERER);

}

// Удаление группы типов данных
elseif(isset($delete_numbers_data_types))
{

	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{
			mysqli_query($mysqli,"DELETE FROM ".DB_PREFIX."data_types where id=$key");
			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."$element_type SET data_type = 0 where data_type=$key");
		}
	}

	redirect(REFERER);

}

// Удаление резервной копии
elseif(isset($backup))
{

	if(
		mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'backup where hash = "'.$backup.'"')
	)
	{

		if(file_exists('../cms/backup/'.$backup.'.sql'))
		{
			unlink('../cms/backup/'.$backup.'.sql');
		}

		if(file_exists('../cms/backup/'.$backup.'.zip'))
		{
			unlink('../cms/backup/'.$backup.'.zip');
		}

		echo $block_delete_info;

	}
	else
	{

		echo $block_delete_danger;

	}

	redirect(REFERER);

}

// Удаление группы резервных копий
elseif(isset($delete_numbers_backup))
{

	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{
			mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'backup where hash = "'.$key.'"');

			if(file_exists('../cms/backup/'.$key.'.sql'))
			{
				unlink('../cms/backup/'.$key.'.sql');
			}

			if(file_exists('../cms/backup/'.$key.'.zip'))
			{
				unlink('../cms/backup/'.$key.'.zip');
			}

		}
	}

	redirect(REFERER);

}

// Удаление файла / папки
elseif(isset($delete_file))
{

	if(file_exists($delete_file))
	{

		// Если папка, очищаем содержимое и удаляем
		if(is_dir($delete_file))
		{
			rdir($delete_file);
		}

		// Если файл, просто удаляем
		else
		{
			unlink($delete_file);
		}

	}

	redirect(REFERER);

}

// Удаление группы файлов / папок
elseif(isset($delete_files))
{

	if(isset($checkbox))
	{
		foreach($_POST['checkbox'] as $checkbox => $key)
		{
			if(file_exists($key))
			{

				// Если папка, очищаем содержимое и удаляем
				if(is_dir($key))
				{
					rdir($key);
				}

				// Если файл, просто удаляем
				else
				{
					unlink($key);
				}

			}
		}
	}

	redirect(REFERER);

}


require_once('include/footer.php');
