<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_catalog==0)
{
	echo $block_profile_danger;
}
else
{
	// Страницы раздела
	if(isset($id))
	{
		// Сортировка
		pages_sort(1);

		if(!isset($sort))
		{
			$template_pagination=CURRENT_FILE."?id=$id&page=";
		}
		elseif(isset($sort))
		{
			$template_pagination=CURRENT_FILE."?id=$id&field=$field&sort=$sort&page=";
		}

		$count_elements=mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$id.db_sql('reg_end')."'"));

		// Навигация
		if($row_section=mysqli_fetch_array(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."pages where id='$id'")))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Каталог</a></li>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?id=$id'>".htmlspecialchars($row_section['title'],ENT_QUOTES)."</a></li>
			</ol>
			";
		}

		// Вывод элементов
		echo"
		<form role='form' action='_numbers.php' method='post' id='form-post'>
		";

		// Постраничное разделение: начало
		pagination_header();

		/* Таблица страниц: начало */
		pages_list_header();
		if(count_query('SELECT id from '.DB_PREFIX.'pages where sections regexp "'.db_sql('reg_start').$id.db_sql('reg_end').'" && section_index=0')>0)
		{
			$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$id.db_sql('reg_end')."' && section_index='0' order by $sorting limit $lpos,$links");
			while($row=mysqli_fetch_array($result))
			{
				$array_body = [
					'page_id' => $row['id'],
					'page_number' => $row['number'],
					'page_hide' => $row['hide'],
					'page_user' => $row['user'],
					'page_user_update' => $row['user_update'],
					'page_date' => $row['date_time'],
					'page_date_update' => $row['date_time_update'],
					'page_index' => $row['page_index'],
					'page_faq' => $row['page_faq'],
					'page_tags' => $row['page_tags'],
					'page_comments' => $row['comments'],
					'page_title' => $row['title'],
					'page_translit' => $row['translit'],
					'page_text' => $row['text'],
				];
				pages_list_body($array_body);
			}
			echo mysqli_error($mysqli);
		}
		pages_list_footer();
		/* Таблица страниц: конец */

		// Постраничное разделение: конец
		pagination_footer($template_pagination,$count_elements,$links,$pages_count,$show_link,$last_text,$next_text,$separator,$page);

		// Изменения листинга
		list_footer('pages');

		?>

		</form>

		<?php
	}

	// Подразделы
	elseif(isset($section))
	{
		// Сортировка
		pages_sort(1);


		if(!isset($field,$sort))
		{
			$template_pagination=CURRENT_FILE."?section=$section&page=";
		}
		elseif(isset($field,$sort))
		{
			$template_pagination=CURRENT_FILE."?section=$section&field=$field&sort=$sort&page=";
		}

		$count_elements=mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$section.db_sql('reg_end')."' && section_index='1'"));

		// Навигация
		if($row_section=mysqli_fetch_array(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."pages where id='$section'")))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Каталог</a></li>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?section=$section'>".htmlspecialchars($row_section['title'],ENT_QUOTES)."</a></li>
			</ol>
			";
		}

		// Вывод элементов
		echo"
		<form role='form' action='_numbers.php' method='post' id='form-post'>
		";

		// Постраничное разделение: начало
		pagination_header();

		/* Таблица страниц: начало */
		pages_list_header();

		if(count_query('SELECT id from '.DB_PREFIX.'pages where sections regexp "'.db_sql('reg_start').$section.db_sql('reg_end').'" && section_index=1')>0)
		{
			$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$section.db_sql('reg_end')."' && section_index='1' order by $sorting limit $lpos,$links");
			while($row=mysqli_fetch_array($result))
			{
				$array_body = [
					'page_id' => $row['id'],
					'page_number' => $row['number'],
					'page_hide' => $row['hide'],
					'page_user' => $row['user'],
					'page_user_update' => $row['user_update'],
					'page_date' => $row['date_time'],
					'page_date_update' => $row['date_time_update'],
					'page_index' => $row['page_index'],
					'page_faq' => $row['page_faq'],
					'page_tags' => $row['page_tags'],
					'page_comments' => $row['comments'],
					'page_title' => $row['title'],
					'page_translit' => $row['translit'],
					'page_text' => $row['text'],
				];
				pages_list_body($array_body);
			}
		}

		pages_list_footer();
		/* Таблица страниц: конец */

		// Постраничное разделение: конец
		pagination_footer($template_pagination,$count_elements,$links,$pages_count,$show_link,$last_text,$next_text,$separator,$page);

		// Изменения листинга
		list_footer('pages');

		?>

		</form>

		<?php
	}

	// Список разделов
	else
	{
		echo"
		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'>Каталог</li>
		</ol>

		<script>
			$(document).ready(function(){
			$.ajax({
			url: \"include/catalog-ajax.php\",
			cache: false,
			beforeSend: function() {
			$('#catalog-ajax').html('<img src=\"/".ADMIN_DIR."/images/loading.gif\" alt=\"\">');
			},
			success: function(html){
			$(\"#catalog-ajax\").html(html);
			}
			});
			return false;
			});
		</script>

		<div id='catalog-ajax'></div>
		";
	}
}

require_once('include/footer.php');