<?php

require_once('include/header.php');

?>

<style>
	.copy-btn {
		display: inline-block;
		width: 17px;
		height: 17px;
		background-color: transparent;
		padding: 0;
		border: none;
		opacity: 0.8;
		transition: 0.3s;
		margin-left: 10px;
		cursor: pointer;
	}

	.copy-btn:hover {
		opacity: 1;
	}

	.copy-btn svg {
		width: 100%;
		height: auto;
		fill: #ced4da;
		position: relative;
		z-index: -1;
	}

	.copy-done {
		position: fixed;
		padding: 5px 10px;
		border-radius: 0.25rem;
		color: #155724;
		background-color: #d4edda;
		border-color: #c3e6cb;
		top: 15px;
		right: 15px;
		z-index: 1000;
	}

	.copy-text {
		position: absolute;
		z-index: -1;
		top: 0;
		left: 0;
	}
</style>

<script>

document.addEventListener("DOMContentLoaded", function(event) {

	let btns = document.querySelectorAll('.copy-btn');

	btns.forEach((btn) => {
		btn.addEventListener('click', function() {
			copyValue(btn)
		});
	});

});

	function showMessage(elWrapper) {
		var div = document.createElement('div');
		div.classList.add('copy-done');
		div.textContent = 'Скопировано';

		elWrapper.appendChild(div);

		setTimeout(() => {
			div.remove();
		}, 1500);
	}


	function copyValue(button) {

		let input = button.nextElementSibling;
		input.select();

		try {
			document.execCommand('copy');
			showMessage(document.body);
		} catch (err) {
			console.log('Oops, unable to copy');
		}


	}

</script>
<div id="add-date"></div>


<form action='#' method='post'>

	<div class='form-group'>
		<label>
			<b>input type="text":</b>
			<div class="copy-btn" title="Скопировать код элемента">
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
					x="0px" y="0px" viewBox="0 0 477.867 477.867" style="enable-background:new 0 0 477.867 477.867;"
					xml:space="preserve">
					<g>
						<g>
							<path d="M341.333,85.333H51.2c-28.277,0-51.2,22.923-51.2,51.2v290.133c0,28.277,22.923,51.2,51.2,51.2h290.133
			c28.277,0,51.2-22.923,51.2-51.2V136.533C392.533,108.256,369.61,85.333,341.333,85.333z M358.4,426.667
			c0,9.426-7.641,17.067-17.067,17.067H51.2c-9.426,0-17.067-7.641-17.067-17.067V136.533c0-9.426,7.641-17.067,17.067-17.067
			h290.133c9.426,0,17.067,7.641,17.067,17.067V426.667z" />
						</g>
					</g>
					<g>
						<g>
							<path d="M426.667,0h-307.2c-28.277,0-51.2,22.923-51.2,51.2c0,9.426,7.641,17.067,17.067,17.067S102.4,60.626,102.4,51.2
			s7.641-17.067,17.067-17.067h307.2c9.426,0,17.067,7.641,17.067,17.067v307.2c0,9.426-7.641,17.067-17.067,17.067
			s-17.067,7.641-17.067,17.067s7.641,17.067,17.067,17.067c28.277,0,51.2-22.923,51.2-51.2V51.2
			C477.867,22.923,454.944,0,426.667,0z" />
						</g>
					</g>
				</svg>
			</div>
			<input type="text" class="copy-text" value="&lt;?=cms_field($row[&#39;id&#39;],9)?&gt;">
		</label>

		<input type='text' class='form-control' value="&lt;?=cms_field($row[&#39;id&#39;],9)?&gt;">

		<p class="form-text text-muted">Пример кода для копирования</p>
	</div>

	<div class='form-group '>
		<label>
			<b>input type="file":</b>
			<div class="copy-btn" title="Скопировать код элемента">
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
					x="0px" y="0px" viewBox="0 0 477.867 477.867" style="enable-background:new 0 0 477.867 477.867;"
					xml:space="preserve">
					<g>
						<g>
							<path d="M341.333,85.333H51.2c-28.277,0-51.2,22.923-51.2,51.2v290.133c0,28.277,22.923,51.2,51.2,51.2h290.133
			c28.277,0,51.2-22.923,51.2-51.2V136.533C392.533,108.256,369.61,85.333,341.333,85.333z M358.4,426.667
			c0,9.426-7.641,17.067-17.067,17.067H51.2c-9.426,0-17.067-7.641-17.067-17.067V136.533c0-9.426,7.641-17.067,17.067-17.067
			h290.133c9.426,0,17.067,7.641,17.067,17.067V426.667z" />
						</g>
					</g>
					<g>
						<g>
							<path d="M426.667,0h-307.2c-28.277,0-51.2,22.923-51.2,51.2c0,9.426,7.641,17.067,17.067,17.067S102.4,60.626,102.4,51.2
			s7.641-17.067,17.067-17.067h307.2c9.426,0,17.067,7.641,17.067,17.067v307.2c0,9.426-7.641,17.067-17.067,17.067
			s-17.067,7.641-17.067,17.067s7.641,17.067,17.067,17.067c28.277,0,51.2-22.923,51.2-51.2V51.2
			C477.867,22.923,454.944,0,426.667,0z" />
						</g>
					</g>
				</svg>
			</div>
			<input type="text" class="copy-text" value="Текст для копирования 1">
		</label>
		<input type='file' class='filestyle' data-buttonBefore='true'>

	</div>

	<div class='form-group '>
		<label>
			<b>textarea 1:</b>
			<div class="copy-btn" title="Скопировать код элемента">
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
					x="0px" y="0px" viewBox="0 0 477.867 477.867" style="enable-background:new 0 0 477.867 477.867;"
					xml:space="preserve">
					<g>
						<g>
							<path d="M341.333,85.333H51.2c-28.277,0-51.2,22.923-51.2,51.2v290.133c0,28.277,22.923,51.2,51.2,51.2h290.133
			c28.277,0,51.2-22.923,51.2-51.2V136.533C392.533,108.256,369.61,85.333,341.333,85.333z M358.4,426.667
			c0,9.426-7.641,17.067-17.067,17.067H51.2c-9.426,0-17.067-7.641-17.067-17.067V136.533c0-9.426,7.641-17.067,17.067-17.067
			h290.133c9.426,0,17.067,7.641,17.067,17.067V426.667z" />
						</g>
					</g>
					<g>
						<g>
							<path d="M426.667,0h-307.2c-28.277,0-51.2,22.923-51.2,51.2c0,9.426,7.641,17.067,17.067,17.067S102.4,60.626,102.4,51.2
			s7.641-17.067,17.067-17.067h307.2c9.426,0,17.067,7.641,17.067,17.067v307.2c0,9.426-7.641,17.067-17.067,17.067
			s-17.067,7.641-17.067,17.067s7.641,17.067,17.067,17.067c28.277,0,51.2-22.923,51.2-51.2V51.2
			C477.867,22.923,454.944,0,426.667,0z" />
						</g>
					</g>
				</svg>
			</div>
			<input type="text" class="copy-text"  value="Текст для копирования 2">
		</label>
		<textarea class='form-control demo'></textarea>

	</div>

	<div class='form-group '>
		<label>
			<b>textarea 2:</b>
			<div class="copy-btn" title="Скопировать код элемента">
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
					x="0px" y="0px" viewBox="0 0 477.867 477.867" style="enable-background:new 0 0 477.867 477.867;"
					xml:space="preserve">
					<g>
						<g>
							<path d="M341.333,85.333H51.2c-28.277,0-51.2,22.923-51.2,51.2v290.133c0,28.277,22.923,51.2,51.2,51.2h290.133
			c28.277,0,51.2-22.923,51.2-51.2V136.533C392.533,108.256,369.61,85.333,341.333,85.333z M358.4,426.667
			c0,9.426-7.641,17.067-17.067,17.067H51.2c-9.426,0-17.067-7.641-17.067-17.067V136.533c0-9.426,7.641-17.067,17.067-17.067
			h290.133c9.426,0,17.067,7.641,17.067,17.067V426.667z" />
						</g>
					</g>
					<g>
						<g>
							<path d="M426.667,0h-307.2c-28.277,0-51.2,22.923-51.2,51.2c0,9.426,7.641,17.067,17.067,17.067S102.4,60.626,102.4,51.2
			s7.641-17.067,17.067-17.067h307.2c9.426,0,17.067,7.641,17.067,17.067v307.2c0,9.426-7.641,17.067-17.067,17.067
			s-17.067,7.641-17.067,17.067s7.641,17.067,17.067,17.067c28.277,0,51.2-22.923,51.2-51.2V51.2
			C477.867,22.923,454.944,0,426.667,0z" />
						</g>
					</g>
				</svg>
			</div>
			<input type="text" class="copy-text" value="Текст для копирования 3">
		</label>
		<textarea class='form-control demo codemirror'>&lt;div class=&quot;carousel-item&quot;&gt;
  &lt;div class=&quot;slide&quot; style=&quot;background-image: url(/cms/pages-images/&lt;?=cms_field($row[&#039;id&#039;],28)?&gt;);&quot;&gt;
	&lt;div class=&quot;container&quot;&gt;

	  &lt;?php
	  if(cms_field($row[&#039;id&#039;],29)!=&#039;&#039;)
	  {
		?&gt;
		&lt;div class=&quot;title&quot;&gt;&lt;?=cms_field($row[&#039;id&#039;],29)?&gt;&lt;/div&gt;
		&lt;?php
	  }
	   if(cms_field($row[&#039;id&#039;],30)!=&#039;&#039;)
	   {
		  ?&gt;
		  &lt;div class=&quot;text&quot;&gt;
			&lt;?=cms_field($row[&#039;id&#039;],30)?&gt;
		  &lt;/div&gt;
		  &lt;?php
	   }
	  ?&gt;

	&lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;</textarea>
	</div>

	<div class='form-group '>
		<label>
			<b>textarea 3:</b>
			<div class="copy-btn" title="Скопировать код элемента" >
				<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
					x="0px" y="0px" viewBox="0 0 477.867 477.867" style="enable-background:new 0 0 477.867 477.867;"
					xml:space="preserve">
					<g>
						<g>
							<path d="M341.333,85.333H51.2c-28.277,0-51.2,22.923-51.2,51.2v290.133c0,28.277,22.923,51.2,51.2,51.2h290.133
			c28.277,0,51.2-22.923,51.2-51.2V136.533C392.533,108.256,369.61,85.333,341.333,85.333z M358.4,426.667
			c0,9.426-7.641,17.067-17.067,17.067H51.2c-9.426,0-17.067-7.641-17.067-17.067V136.533c0-9.426,7.641-17.067,17.067-17.067
			h290.133c9.426,0,17.067,7.641,17.067,17.067V426.667z" />
						</g>
					</g>
					<g>
						<g>
							<path d="M426.667,0h-307.2c-28.277,0-51.2,22.923-51.2,51.2c0,9.426,7.641,17.067,17.067,17.067S102.4,60.626,102.4,51.2
			s7.641-17.067,17.067-17.067h307.2c9.426,0,17.067,7.641,17.067,17.067v307.2c0,9.426-7.641,17.067-17.067,17.067
			s-17.067,7.641-17.067,17.067s7.641,17.067,17.067,17.067c28.277,0,51.2-22.923,51.2-51.2V51.2
			C477.867,22.923,454.944,0,426.667,0z" />
						</g>
					</g>
				</svg>
			</div>
			<input type="text" class="copy-text" value="Текст для копирования 4">
		</label>
		<textarea class='form-control text tinymce'></textarea>
	</div>

	<button type='submit' class='btn btn-primary' name='record_new_block'>Записать</button>

</form>

<?php

require_once('include/footer.php');