<?php

/**
 * Фразы для регулярных выражений в зависимости от версии базы данных:
 *
 * $value - принимает значение 'reg_start' или 'reg_end'.
 */

function db_sql( $value = '' )
{

	$string = '';

	if($value)
	{
		$mysql_version = mysqli_get_server_info(db_mysqli());

		if(stristr($mysql_version, 'mariadb') !== FALSE || stripos($mysql_version, '8.') !== FALSE)
		{
			$reg_start = '\\\\b';
			$reg_end = '\\\\b';
		}
		else
		{
			$reg_start = '[[:<:]]';
			$reg_end = '[[:>:]]';
		}

		if($value == 'reg_start')
		{
			$string = $reg_start;
		}
		elseif($value == 'reg_end')
		{
			$string = $reg_end;
		}
		else
		{
			$string = '';
		}
	}

	return $string;

}