<?php

/**
 * Проверка файла
 *
 * $file_tmp_name - tmp_name файла
 * $file_type - тип проверки
 */

function file_check( $file_tmp_name, $file_type )
{

	// Проверка, является ли файл изображением
	if( $file_type == 'img' )
	{

		if(
			mime_content_type($file_tmp_name) == 'image/jpeg' ||
			mime_content_type($file_tmp_name) == 'image/png' ||
			mime_content_type($file_tmp_name) == 'image/gif' ||
			mime_content_type($file_tmp_name) == 'image/webp' ||
			mime_content_type($file_tmp_name) == 'image/bmp' ||
			mime_content_type($file_tmp_name) == 'image/x-ms-bmp' ||
			mime_content_type($file_tmp_name) == 'image/x-windows-bmp'
		)
		{

			return true;

		}
		else
		{

			return false;

		}

	}

	// Проверка, является ли файл ZIP-архивом
	if( $file_type == 'zip' )
	{

		if(mime_content_type($file_tmp_name) === 'application/zip')
		{

			return true;

		}
		else
		{

			return false;

		}

	}

}