<?php

// Обработка загружаемых изображений
function image_resize($image_file_upload,$image_resize_name,$image_resize_url,$image_resize_width,$image_resize_quality,$image_result_message)
{

	require_once $_SERVER['DOCUMENT_ROOT'].'/cms/app/libs/simpleimage/simpleimage.php';

	$image = new \claviska\SimpleImage();

	$image -> fromFile($image_file_upload);

	// Если изображение меньше, чем заданная ширина, просто оптимизируем изображение
	if( $image -> getWidth() < $image_resize_width )
	{
		$image_resize_width = $image -> getWidth();
	}

	if($image -> getMimeType() == 'image/jpeg')
	{
		if($image -> resize($image_resize_width) -> toFile($image_resize_url.$image_resize_name.'.jpg','image/jpeg',$image_resize_quality))
		echo $image_result_message;
	}
	else
	{

		$canvas = new \claviska\SimpleImage();

		if(
		$canvas
		->fromNew($image->getWidth(), $image->getHeight(), '#ffffff')
		->overlay($image)
		->resize($image_resize_width)
		->toFile($image_resize_url.$image_resize_name.'.jpg','image/jpeg',$image_resize_quality)
		)
		echo $image_result_message;

	}

}