<?php

function list_footer( $data_type )
{

	$mysqli = db_mysqli();

	?>

	<hr>
	<?php

	if( $_SERVER['PHP_SELF'] != '/admin/pages_search.php' )
	{
		?>
		<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_<?=$data_type?>'>Изменить порядок</button>
		<?php
	}
	?>

		<a href="#delete" class='btn btn-secondary btn-sm' data-target='#modal-delete-group' data-toggle='modal'>Удалить группу</a>

		<div class='modal fade' id='modal-delete-group' tabindex='-1' role='dialog' aria-hidden='true'>
			<div class='modal-dialog modal-sm'>
				<div class='modal-content'>
					<div class='modal-body'>
						<h5>Вы действительно хотите удалить группу элементов?</h5>
					</div>
					<div class='modal-footer'>
						<button type='submit' class='btn btn-danger' name='delete_numbers_<?=$data_type?>' onClick="document.getElementById('form-post').action='_delete.php';">Удалить навсегда</button>
						<button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
					</div>
				</div>
			</div>
		</div>

		<?php	if( $data_type == 'pages' || $data_type == 'elements' ) : ?>
		&nbsp; <a href="#" class="dashed" data-toggle='collapse' data-target='#slide-change-group' aria-expanded='false' aria-controls='slide-change-group'>Изменить группу</a>
		<?php endif ?>

		<label>
			&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
		</label>

		<?php

		if( $data_type == 'pages' || $data_type == 'elements' )
		{
			?>

		<div class="collapse" id="slide-change-group">

			<blockquote class="mt-3">

					<?php

					if($data_type=='pages')
					{
						?>

						<div class="mb-1">
							<a href="#section_index" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="<div class='checkbox pt-2'><label><input type='hidden' name='section_index' value='0'><input type='checkbox' name='section_index' value='1'> <b>Раздел</b></label></div>">Изменить Раздел</a>
						</div>

						<div class="mb-1">
							<a href="#comments" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="<div class='checkbox pt-2'><label><input type='hidden' name='comments' value='0'><input type='checkbox' name='comments' value='1'> <b>Комментарии</b></label></div>">Изменить Комментарии</a>
						</div>

						<?php
					}

					?>

					<div class="mb-1">
						<a href="#hide" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="<div class='checkbox pt-2'><label><input type='hidden' name='hide' value='0'><input type='checkbox' name='hide' value='1'> <b>Скрыть</b></label></div>">Изменить Видимость</a>
					</div>

				<?php

				if($data_type=='pages')
				{
					?>

					<div class="mb-1">
						<a href="#templates" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="

					<div class='pt-3 pb-3'>
						<span data-toggle='button'>
							<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-templates-block' aria-expanded='false' aria-controls='slide-templates-block'>Шаблоны <i class='fa fa-caret-down' aria-hidden='true'></i></button>
						</span>
					</div>
					<div class='collapse' id='slide-templates-block'>
						<div class='form-group'>

							<div class='form-group'>
								<label><b>Страницы:</b></label>
								<select class='form-control' name='template_page'>
									<?php
									$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages order by number asc, id asc');
									while($row_template=mysqli_fetch_array($result_template))
									{
										?>
										<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
										<?php
									}
									?>
								</select>
							</div>

							<div class='form-group'>
								<label><b>Каталог:</b></label>
								<select class='form-control' name='template_catalog'>
									<?php
									$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_catalog order by number asc, id asc');
									while($row_template=mysqli_fetch_array($result_template))
									{
										?>
										<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
										<?php
									}
									?>
								</select>
							</div>

							<div class='form-group'>
								<label><b>Комментарии:</b></label>
								<select class='form-control' name='template_comments'>
									<?php
									$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages_comments order by number asc, id asc');
									while($row_template=mysqli_fetch_array($result_template))
									{
										?>
										<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
										<?php
									}
									?>
								</select>
							</div>

							<div class='form-group'>
								<label><b>FAQ:</b></label>
								<select class='form-control' name='template_faq'>
									<?php
									$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_faq order by number asc, id asc');
									while($row_template=mysqli_fetch_array($result_template))
									{
										?>
										<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
										<?php
									}
									?>
								</select>
							</div>

							<div class='form-group'>
								<label><b>Навигация:</b></label>
								<select class='form-control' name='template_navigation'>
									<?php
									$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_navigation order by number asc, id asc');
									while($row_template=mysqli_fetch_array($result_template))
									{
										?>
										<option value='<?=$row_template['id']?>'><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
										<?php
									}
									?>
								</select>
							</div>

						</div>
					</div>

					">Изменить Шаблоны</a>
					</div>

					<div class="mb-1">
						<a href="#sections" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="

					<div class='pt-3 pb-3'>
						<span data-toggle='button'>
							<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-sections-block' aria-expanded='false' aria-controls='slide-sections-block'>Каталог <i class='fa fa-caret-down' aria-hidden='true'></i></button>
						</span>
					</div>
					<div class='collapse' id='slide-sections-block'>
						<div class='form-group'>

							<script>
								$(document).ready(function(){
									$.ajax({
										url: 'include/catalog-ajax.php?new',
										cache: false,
										beforeSend: function() {
											$('#catalog-ajax').html('<img src=&quot;/<?=ADMIN_DIR?>/images/loading.gif&quot; alt=&quot;&quot;>');
										},
										success: function(html){
											$('#catalog-ajax').html(html);
										}
									});
									return false;
								});
							</script>

							<div id='catalog-ajax'></div>

						</div>
					</div>

					">Изменить Каталог</a>
					</div>

				<?php
				}

				?>

				<div class="mb-1">
					<a href="#dynamic" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="

				<div class='pt-3 pb-3'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-dynamic-block'>
					<div class='pb-2'>
						<input type='hidden' name='dynamic_section[]' value='0'>
						<?php
						$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where=\'\' && data_base=\'\' && data_type=\''.$data_type.'\' && hide_data=0 order by number asc, id asc');
						while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
						{
							?>
							<div>
								<label>
									<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'> <?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}
						?>
					</div>
				</div>

				">Изменить Динамические блоки</a>
				</div>

				<?php

				if($data_type=='pages')
				{
					?>

					<div class="mb-1">
						<a href="#data_type" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="

						<div class='pt-3 pb-3'>
							<label><b>Тип страницы:</b></label>
							<select class='form-control' name='data_type'>
								<?php
								$result_data_type=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'data_types where data_type=\''.$data_type.'\' order by number asc, id asc');
								while($row_data_type=mysqli_fetch_array($result_data_type))
								{
									?>
									<option value='<?=$row_data_type['id']?>'><?=htmlspecialchars($row_data_type['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
								<option value='0' selected>Типовая страница</option>
							</select>
						</div>

					">Изменить Тип страницы</a>
					</div>

					<?php
				}
				else
				{
					?>

					<div class="mb-1">
						<a href="#data_type" class="dashed" data-btn-text="Изменить Убрать" data-toggle-element="

						<div class='pt-3 pb-3'>
							<label><b>Тип элемента:</b></label>
							<select class='form-control' name='data_type'>
								<?php
								$result_data_type=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'data_types where data_type=\''.$data_type.'\' order by number asc, id asc');
								while($row_data_type=mysqli_fetch_array($result_data_type))
								{
									?>
									<option value='<?=$row_data_type['id']?>'><?=htmlspecialchars($row_data_type['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
								<option value='0' selected>Типовой элемент</option>
							</select>
						</div>

						">Изменить Тип элемента</a>
					</div>

					<?php
				}

				?>

				<button type='submit' class='btn btn-primary btn-sm mt-2' name='record_change_<?=$data_type?>' onClick="document.getElementById('form-post').action='_numbers.php';">Записать</button>

			</blockquote>

		</div>

		<?php

	}

}