<?php

// Загрузка изображений галереи
function upload_gallery( $array )
{

	$mysqli = db_mysqli();

	$field_number = $array['field_number'];
	$image_name = $array['image_name'];
	$image_tmp_name = $array['image_tmp_name'];
	$image_big_width = $array['image_big_width'];
	$image_small_width = $array['image_small_width'];
	$image_original = $array['image_original'];
	$element_id = $array['element_id'];
	$date_time_default = $array['date_time_default'];
	$admin_id = $array['admin_id'];

	for($k=0;$k<count($image_name);$k++)
	{
		if(is_uploaded_file($image_tmp_name[$k]))
		{

			// Проверка, является ли загруженный файл изображением
			if( file_check( $image_tmp_name[$k], 'img') )
			{

				if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_gallery (date_time,name,element,user) VALUES ('$date_time_default','$field_number','$element_id','$admin_id')"))
				{

					if($row_image_id=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."fields_gallery order by id desc")))
					{
						$image_id=$row_image_id['id'];
					}

					$file_extension=pathinfo($image_name[$k],PATHINFO_EXTENSION);

					// Загрузка большого эскиза'
					$file_name=$image_id.'-'.$image_big_width.'.jpg';
					mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_big='$file_name' where id='$image_id'");
					$image_resize_name=$image_id.'-'.$image_big_width;
					$image_file_upload=$image_tmp_name[$k];
					$image_resize_url="../cms/pages-images/gallery/";
					$image_resize_width=$image_big_width;
					$image_resize_quality=90;
					$image_result_message="
					<div class='bd-callout bd-callout-warning'>
					<h4>Большой эскиз изображения ".$image_name[$k]." успешно создан!</h4>
					<p><a href='$image_resize_url".$image_resize_name.".jpg' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
					</div>
					";
					image_resize($image_file_upload,$image_resize_name,$image_resize_url,$image_resize_width,$image_resize_quality,$image_result_message);

					// Загрузка малого эскиза
					$file_name=$image_id.'-'.$image_small_width.'.jpg';
					mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_small='$file_name' where id='$image_id'");
					$image_resize_name=$image_id.'-'.$image_small_width;
					$image_resize_width=$image_small_width;
					$image_result_message="
					<div class='bd-callout bd-callout-warning'>
					<h4>Малый эскиз изображения ".$image_name[$k]." успешно создан!</h4>
					<p><a href='$image_resize_url".$image_resize_name.".jpg' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
					</div>
					";
					image_resize($image_file_upload,$image_resize_name,$image_resize_url,$image_resize_width,$image_resize_quality,$image_result_message);

					// Загрузка оригинала
					if($image_original==1)
					{

						$file_name=$image_id.'.'.$file_extension;

						if(copy($image_tmp_name[$k],"$image_resize_url$file_name"))
						{
							mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_original='$file_name' where id='$image_id'");

							echo"
							<div class='bd-callout'>
								<h4>Оригинальное изображение ".$image_name[$k]." успешно загружено</h4>
								<p><a href='$image_resize_url$file_name' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
							</div>
							";
						}
						else
						{
							echo"
							<div class='bd-callout'>
								<h4>Загрузить оригинальное изображение ".$image_name[$k]." не удалось!</h4>
							</div>
							";
						}

					}

				}

			}
			else
			{
				?>

				<div class='bd-callout'>
					<h4>Файл <?=$image_name[$k]?> не является изображением!</h4>
				</div>

				<?php
			}


		}
	}

}