<?php

if(file_exists('include/local/footer.php'))
{
  require_once 'include/local/footer.php';
}
else
{
  ?>
  </div>

  <script>

    // Codemirror
    var editor = document.getElementsByClassName("codemirror");
    for (var i = 0; i < editor.length; i++) {
      CodeMirror.fromTextArea(editor.item(i), {
        lineNumbers: false,
        lineWrapping: true,
        matchBrackets: true,
        mode: "application/x-httpd-php",
        indentUnit: 2,
        indentWithTabs: true
      });
    }

    // Добавление данных в DOM страницы
    function toggleElement(event) {
      var button = event.target;
      var buttonText = $(button).text().split(' ').filter(function (word) {
        return word.length > 1;
      });
      var buttonTextNew = '';

      var insElement = $(button).data('toggle-element');
      var wrapper = ('<div data-insert-element style="display: none;"></div>');

      if (buttonTextNew) {
        buttonTextNew = $(button).data('btn-text').split(' ');
      }

      if (!$(button).next().length) {
        buttonText[0] = buttonTextNew[1] || 'Удалить';
        $(wrapper).insertAfter(button).html(insElement).slideDown(300);

        var datePick = $(button).next().find('.datetimepicker');
        if (datePick.length) {
          initDatePicker($(datePick))
          resetButton($(datePick))
        }

      } else {
        buttonText[0] = buttonTextNew[0] || 'Добавить';
        $(button).siblings('[data-insert-element]').slideUp(300, function () { $(button).siblings('[data-insert-element]').remove() });
      }

      $(button).text(buttonText.join(' '));
    }

    $('[data-toggle-element]').on('click', function () {
      toggleElement(event);
    })

  </script>

  <script type="text/javascript" src="/<?=ADMIN_DIR?>/datetimepicker/jquery.datetimepicker.full.js"></script>

  <script>

    // DateTimePicker
    $.datetimepicker.setLocale('ru');

    $('.datetimepicker').each(function (i, el) {
      initDatePicker($(el))
      resetButton($(el))
    });

    function initDatePicker(input) {
      input.datetimepicker({
        format: 'Y-m-d H:i:00',
        dayOfWeekStart: '1',
        step: 30
      });

      input.on('change', function () {
        validateDate(input)
      })
    }

    function resetButton(input) {
      var resetBtn = $('<button class="form-control-reset d-none">&#10006;</button>').insertAfter(input);

      resetBtn.on('click', function (e) {
        e.preventDefault();
        input.val("");
        input.datetimepicker('update');
        input[0].dispatchEvent(new Event("change"));
      });

      input.on('focus, blur, change', function () {
        var val = $(this).val().length;
        if ($(this).val().length) {
          resetBtn.removeClass('d-none')
        } else {
          resetBtn.addClass('d-none')
        }
      });
    }

    function validateDate(input) {
      var reg = (/^(19|20)\d\d-((0[1-9]|1[012])-(0[1-9]|[12]\d)|(0[13-9]|1[012])-30|(0[13578]|1[02])-31) ([0-1]\d|2[0-3])(:[0-5]\d){2}$/);
      var inputValue = input.val();

      if(inputValue.length > 0 && !reg.test(inputValue)) {
        input.addClass('is-invalid').focus();
      } else {
        input.removeClass('is-invalid');
      }
    }

  </script>

  </body>

  </html>

<?php
}
?>