<?php

if( file_exists('include/local/header.php') )
{
	require_once 'include/local/header.php';
}
else
{

	require_once '../cms/app/config/config.php';

	$secretWord = md5(ADMIN_TOKEN);
	$ip=getenv('REMOTE_ADDR');

	if( file_exists('include/local/functions.php') )
	{
		require_once 'include/local/functions.php';
	}
	else
	{
		require_once 'include/functions.php';
	}

	$mysqli = db_mysqli();
	$pdo = db_pdo();

	if($row_settings_timezone=mysqli_fetch_array(mysqli_query($mysqli,'SELECT timezone from '.DB_PREFIX.'settings')))
	{
		if($row_timezone=mysqli_fetch_array(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'settings_timezone where id='.$row_settings_timezone['timezone'])))
		{
			date_default_timezone_set($row_timezone['value']);
		}
	}

	// Если пользователь не ввел данные, то редирект на форму авторизации
	session_start();
	if(empty($_SESSION['login']) && empty($_SESSION['password']))
	{
		if(isset($_COOKIE['token']) && !empty($_COOKIE['token']))
		{
			$authorization = explode($secretWord,$_COOKIE['token']);
			$admin_login=$authorization[0];
			$admin_password=$authorization[1];
			$user = mysqli_fetch_object(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."admin where md5(mail) = '$admin_login'"));
			if(!$user->id && $admin_password != md5($user->id.md5($user->password).$ip)){
				session_destroy();
				redirect('/'.ADMIN_DIR.'/');
				exit;
			}
			$_SESSION['login'] = $user->mail;
			$_SESSION['password'] = $user->password;
		}
		else
		{
			session_destroy();
			redirect('/'.ADMIN_DIR.'/');
			exit;
		}
	}
	else
	{
		$admin_login=$_SESSION['login'];
		$admin_password=$_SESSION['password'];
		if($row_admin=mysqli_fetch_array(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."admin where mail='$admin_login'")))
		{
			$admin_id=$row_admin['id'];
		}
		if(mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."admin where mail='$admin_login' and password='$admin_password'"))==0)
		{
			session_destroy();
			redirect('/'.ADMIN_DIR.'/');
			exit;
		}
	}

	// Права на файлы и папки
	cms_chmod();

	// Константы
	define( 'ROOT', $_SERVER['DOCUMENT_ROOT'] ); // путь к корневой директории
	if(isset($_SERVER['HTTP_REFERER'])) define( 'REFERER', $_SERVER['HTTP_REFERER'] ); else define( 'REFERER', '' ); // рефер
	define( 'CURRENT_FILE', $_SERVER['SCRIPT_NAME'] ); // имя текущего файла
	define( 'DATE_TIME', date('Y-m-d H:i:s') ); // текущая дата и время

	extract($_POST); // извлечение POST
	extract($_GET); // извлечение GET

	// Подсчет записей в разделах
	$count_profile_users = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."admin where admin='0'")); // профиль (пользователи)
	$count_pages = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages")); // страницы
	$count_elements_all = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."elements")); // элементы
	$count_catalog_sections = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where section_index='1'")); // разделы каталога
	$count_catalog_elements = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where sections!='' && section_index='0'")); // элементы каталога
	$count_pages_comments = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages_comments")); // комментарии к страницам
	$count_faq_none = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."faq where spec='' && answer=''")); // faq - неотвеченные
	$count_faq_all = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."faq")); // faq - все
	$count_blocks_static = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."blocks_static")); // блоки (статические)
	$count_blocks_dynamic = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."blocks_dynamic")); // блоки (динамические)
	$count_fields_sections = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."fields_section where data_type='pages' || data_type='elements'")); // дополнительные поля: группы
	$count_fields_names = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."fields_name where element_type='pages' || element_type='elements'")); // дополнительные поля: названия
	$count_data_types = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."data_types where data_type='pages' || data_type='elements'")); // типы данных
	$count_templates_pages = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."templates_pages")); // шаблоны страниц
	$count_templates_pages_comments = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."templates_pages_comments")); // шаблоны комментариев
	$count_templates_faq = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."templates_faq")); // шаблоны FAQ
	$count_templates_catalog = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."templates_catalog")); // шаблоны каталога
	$count_templates_navigation = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."templates_navigation")); // шаблоны навигации
	$count_backup = mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."backup")); // резервные копии

	// Проверка прав доступа
	$row_profile = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'admin where mail="'.$admin_login.'"'));
	$profile_admin=$row_profile['admin']; // Администратор
	$profile_access_settings=$row_profile['login_settings']; // Настройки
	$profile_access_pages=$row_profile['login_pages']; // Страницы
	$profile_access_elements=$row_profile['login_elements']; // Элементы
	$profile_access_pages_search=$row_profile['login_pages_search']; // Поиск по страницам
	$profile_access_pages_comments=$row_profile['login_pages_comments']; // Комментарии к страницам
	$profile_access_blocks_static=$row_profile['login_blocks_static']; // Блоки (статические)
	$profile_access_blocks_dynamic=$row_profile['login_blocks_dynamic']; // Блоки (динамические)
	$profile_access_catalog=$row_profile['login_catalog']; // Каталог
	$profile_access_faq=$row_profile['login_faq']; // Вопрос-ответ
	$profile_access_templates=$row_profile['login_templates']; // Шаблоны
	$profile_access_edit_pages=$row_profile['edit_pages']; // Редактирование страниц
	$profile_access_fields=$row_profile['login_fields']; // Дополнительные поля
	$profile_access_data_types=$row_profile['login_data_types']; // Типы данных

	// Блоки
	$block_profile_danger="
	<div class='bd-callout'>
		<h4>У вас нет прав доступа к данному разделу!</h4>
	</div>
	";
	$block_info="
	<div class='bd-callout'>
		<h4>Информация успешно записана!</h4>
	</div>
	";
	$block_danger="
	<div class='bd-callout'>
		<h4>Записать информацию не удалось!</h4>
		<p><a href='".REFERER."'>Попробуйте еще раз</a></p>
	</div>
	";
	$block_delete_info="
	<div class='bd-callout'>
		<h4>Информация успешно удалена!</h4>
	</div>
	";
	$block_delete_danger="
	<div class='bd-callout'>
		<h4>Удалить информацию не удалось!</h4>
		<p><a href='".REFERER."'>Попробуйте еще раз</a></p>
	</div>
	";

?>
<!DOCTYPE html>
<html>
<head>
	<title>Система управления сайтом <?=idn_convert(HOST_NAME)?></title>

	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/css/font-glyphicons/glyphicons.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/css/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/fancybox/fancybox.min.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/datetimepicker/jquery.datetimepicker.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/dragula/dragula.min.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/codemirror/lib/codemirror.css">
	<link rel="stylesheet" href="/<?=ADMIN_DIR?>/css/index.css?<?=filemtime('css/index.css')?>">

	<script src="/<?=ADMIN_DIR?>/js/jquery.min.js"></script>
	<script src="/<?=ADMIN_DIR?>/bootstrap/js/bootstrap.min.js"></script>
	<script src="/<?=ADMIN_DIR?>/bootstrap/js/bootstrap-filestyle.js"></script>
	<script src="/<?=ADMIN_DIR?>/tinymce/tinymce.min.js"></script>
	<script src="/<?=ADMIN_DIR?>/fancybox/fancybox.min.js"></script>
	<script src="/<?=ADMIN_DIR?>/dragula/dragula.min.js"></script>
	<script src="/<?=ADMIN_DIR?>/js/index.js?<?=filemtime('js/index.js')?>"></script>
	<?php
	if(isset($_GET['field']) || isset($_GET['new_field']) || isset($_GET['new_field_pages']) || isset($_GET['new_field_elements']) || isset($_GET['new_field_dynamic']))
	{
		?>
		<script src="/<?=ADMIN_DIR?>/js/fields.js?<?=filemtime('js/fields.js')?>"></script>
		<?php
	}
	?>

	<script src="/<?=ADMIN_DIR?>/codemirror/lib/codemirror.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/addon/edit/matchbrackets.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/mode/htmlmixed/htmlmixed.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/mode/javascript/javascript.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/mode/xml/xml.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/mode/css/css.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/mode/clike/clike.js"></script>
	<script src="/<?=ADMIN_DIR?>/codemirror/mode/php/php.js"></script>

	<script>

		tinymce.init({
			selector: 'textarea.tinymce',
			license_key: 'gpl',
			language: 'ru',
			promotion: false,
			plugins: 'code preview searchreplace directionality visualblocks visualchars fullscreen image link media codesample table charmap pagebreak nonbreaking anchor insertdatetime advlist lists wordcount help charmap quickbars',
			mobile: {
				menubar: true,
			},
			menubar: 'file edit view insert format tools table help',
			toolbar: 'newdocument undo redo | bold italic underline strikethrough blockquote | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | numlist bullist | outdent indent | forecolor backcolor | insertfile image media link unlink anchor | charmap',
			toolbar_sticky: true,
			style_formats: [
				{title: 'Изображение адаптивное',selector:'img',classes:'img-fluid'},
			],
			image_advtab: true,
			relative_urls : false,
			link_quicklink: true,
			content_css: ['/<?=ADMIN_DIR?>/bootstrap/css/bootstrap.min.css', '/<?=ADMIN_DIR?>/css/tinymce.css'],
			filemanager_title: 'Менеджер файлов',
			external_filemanager_path: '/<?=ADMIN_DIR?>/tinymce/plugins/responsivefilemanager/',
			external_plugins: {'filemanager':'/<?=ADMIN_DIR?>/tinymce/plugins/responsivefilemanager/plugin.min.js'}
		});

	</script>

</head>
<body>

	<div class="wrapper">

		<nav class="sidebar">

			<div class="sidebar-header">
				CMS Pages <sup><?=CMS_VERSION?></sup>
			</div>

				<?php

				$array_menu=
				[
					'profile_access_pages' => $profile_access_pages,
					'profile_access_elements' => $profile_access_elements,
					'profile_access_catalog' => $profile_access_catalog,
					'profile_access_pages_comments' => $profile_access_pages_comments,
					'profile_access_faq' => $profile_access_faq,
					'profile_access_blocks_static' => $profile_access_blocks_static,
					'profile_access_blocks_dynamic' => $profile_access_blocks_dynamic,
					'profile_access_templates' => $profile_access_templates,
					'profile_access_settings' => $profile_access_settings,
					'profile_access_fields' => $profile_access_fields,
					'profile_access_data_types' => $profile_access_data_types,
					'count_pages' => $count_pages,
					'count_elements_all' => $count_elements_all,
					'count_catalog_sections' => $count_catalog_sections,
					'count_catalog_elements' => $count_catalog_elements,
					'count_pages_comments' => $count_pages_comments,
					'count_faq_all' => $count_faq_all,
					'count_faq_none' => $count_faq_none,
					'count_blocks_static' => $count_blocks_static,
					'count_blocks_dynamic' => $count_blocks_dynamic,
					'count_fields_sections' => $count_fields_sections,
					'count_fields_names' => $count_fields_names,
					'count_data_types' => $count_data_types,
					'count_templates_pages' => $count_templates_pages,
					'count_templates_catalog' => $count_templates_catalog,
					'count_templates_pages_comments' => $count_templates_pages_comments,
					'count_templates_faq' => $count_templates_faq,
					'count_templates_navigation' => $count_templates_navigation,
					'count_backup' => $count_backup,
				];

				menu($array_menu);

				?>

			</ul>
		</nav>

		<div class="content">

			<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
				<a class="navbar-brand d-none" href="#">
					<i class="fa fa-bars" aria-hidden="true"></i>
				</a>

				<ul class="navbar-nav mr-auto">
					<li class="nav-item">
						<a class="nav-link text-white sidebar-collapse" href="#">
							<i class="fa fa-bars" aria-hidden="true"></i>
						</a>
					</li>
					<li class="nav-item d-none d-sm-block">
						<a class="nav-link text-white tooltip-element" href="https://cms-pages.com/docs/" title='Помощь' target="_blank">
							<i class="fa fa-question" aria-hidden="true"></i>
						</a>
					</li>
					<li class="nav-item d-none d-sm-block">
						<a class="nav-link text-white tooltip-element" href="pages_search.php" title='Поиск по страницам'>
							<i class="fa fa-search" aria-hidden="true"></i>
						</a>
					</li>
					<li class="nav-item dropdown">
						<a class="nav-link text-white dropdown-toggle" href="#" id="navbar-plus" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<i class="fa fa-plus" aria-hidden="true"></i>
						</a>
						<div class="dropdown-menu navbar-plus-dropdown-menu" aria-labelledby="navbar-plus">
							<a class="dropdown-item" href="pages.php?<?=new_type('pages','new_type','new')?>">Создать страницу</a>
							<a class="dropdown-item" href="elements.php?<?=new_type('elements','new_type','new')?>">Создать элемент</a>
						</div>
					</li>
				</ul>

				<ul class="navbar-nav ml-auto">
					<li class="nav-item d-none d-sm-block">
						<a class="nav-link text-white" href="<?=HOST_PROTOCOL.HOST_NAME?>" target="_blank"><i class="fa fa-external-link" aria-hidden="true"></i>&nbsp; <?=idn_convert(HOST_NAME)?></a>
					</li>
					<li class="nav-item dropdown d-none d-sm-block">
						<a class="nav-link text-white dropdown-toggle" href="#" id="navbar-profile" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<i class="fa fa-user-o"></i>&nbsp; Профиль
						</a>
						<div class="dropdown-menu" aria-labelledby="navbar-profile">
							<a class="dropdown-item" href="profile.php">Редактировать</a>
							<?php
							if($profile_admin==1)
							{
								?>
								<a class="dropdown-item" href="profile.php?users">Пользователи <span class="badge badge-warning"><?=$count_profile_users?></span></a>
								<?php
							}
							?>
						</div>
					</li>
					<li class="nav-item">
						<a class="nav-link text-white" href="index.php?logout"><i class="fa fa-sign-out"></i>&nbsp; Выход</a>
					</li>
				</ul>
			</nav>


			<div class="container-content">

<?php
}

// echo basename();

if(file_exists( 'include/local/files/'.basename($_SERVER['SCRIPT_NAME']))) { require_once 'include/local/files/'.basename($_SERVER['SCRIPT_NAME']); exit; }