<?php
	session_start();
	extract($_GET);
	extract($_POST);
	require('../cms/app/config/config.php');
	require('include/functions.php');
	$secretWord = ADMIN_TOKEN;
	$ip = getenv('REMOTE_ADDR');

	$pdo = db_pdo();

	if(isset($_GET['logout']))
	{
		session_destroy();
		SetCookie('token','');
		SetCookie('remember','');
		redirect('/'.ADMIN_DIR.'/');
	}

	if(empty($_SESSION['login']) && empty($_SESSION['password']))
	{
		if(isset($_COOKIE['token']) && !empty($_COOKIE['token']))
		{
			$authorization = explode($secretWord, $_COOKIE['token']);
			$admin_login=$authorization[0];
			$admin_password=$authorization[1];

			$user = $pdo->prepare('SELECT * FROM '.DB_PREFIX.'admin where md5(mail) = :admin_login');
			$user->execute([
				'admin_login' => $admin_login
			]);
			$user = $user->fetchObject();

			if(!$user->id && $admin_password != md5($user->id.md5($user->password).$ip))
			{
				session_destroy();
				redirect('/'.ADMIN_DIR.'/');
				exit;
			}

			$_SESSION['login'] = $user->mail;
			$_SESSION['password'] = $user->password;
			header('location: '.ADMIN_START);
		}
	}
	else
	{
		$admin_login=$_SESSION['login'];
		$admin_password=$_SESSION['password'];

		$admin_counts = $pdo->prepare('SELECT id FROM '.DB_PREFIX.'admin where mail = :admin_login and password= :admin_password');
		$admin_counts->execute([
				'admin_login' => $admin_login,
				'admin_password' => $admin_password
			]);
		$admin_count = $admin_counts->rowCount();

		if($admin_count==0)
		{
				session_destroy();
				redirect('/'.ADMIN_DIR.'/');
				exit;
		}
		else
		{
			redirect(ADMIN_START);
		}
	}

		$block_enter="
		<div class='card'>

			<div class='card-body'>

				<div class='card-title text-center mb-4'>
					<h5>Введите данные доступа</h5>
				</div>

				<form role='form' action='/".ADMIN_DIR."/?login' method='post'>

					<div class='form-group' id='admin-mail-div'>
						<input type='text' class='form-control' id='admin-mail' name='mail' placeholder='E-mail' maxlength='255'>
						<p class='form-text text-danger d-none' id='admin-mail-help-danger'>E-mail введен в неправильном формате</p>
					</div>

					<div class='form-group' id='admin-password-div'>
						<div class='input-group'>
							<input type='password' class='form-control' id='admin-password' name='password' placeholder='Пароль' maxlength='16'>
							<div class='input-group-append'>
						    <button class='btn btn-secondary' type='button' id='show-hide-password'><span class='glyphicon glyphicon-eye-open'></span></button>
						  </div>
						</div>
						<p class='form-text text-danger d-none' id='admin-password-help-danger'>Пароль не может быть менее 6 символов</p>
					</div>
					<div class='form-group text-center'>
						<div class='checkbox'>
							<label>
								<input type='checkbox' name='remember' value='1'> Входить автоматически
							</label>
						</div>
					</div>
					<button type='submit' class='btn btn-primary btn-block'>Войти</button>

				</form>

			</div>

		</div>
		";

		$block_forget="
		<div class='card'>

			<div class='card-body'>

				<div class='card-title text-center mb-4'>
					<h5>Напомнить пароль</h5>
				</div>

				<form role='form' action='/".ADMIN_DIR."/?forget' method='post'>

					<div class='form-group' id='admin-mail-div'>
						<input type='text' class='form-control' id='admin-mail' name='mail' placeholder='E-mail' maxlength='255'>
						<p class='form-text text-muted mb-0' id='admin-mail-help'>Укажите e-mail, зарегистрированный в системе</p>
						<p class='form-text text-danger d-none' id='admin-mail-help-danger'>E-mail введен в неправильном формате</p>
					</div>

					<button type='submit' class='btn btn-primary btn-block'>Отправить</button>

				</form>

			</div>

		</div>
		";

		$block_enter_help="<p class='text-center mt-3'><a href='/".ADMIN_DIR."/'>Войти в систему</a></p>";
		$block_forget_help="<p class='text-center mt-3'><a href='/".ADMIN_DIR."/?forget'>Забыли пароль?</a></p>";

	ob_start();

	// Вход в систему
	if(isset($login))
	{

		// Если логин и пароль не совпадают, то выводим ошибку
		$admin_counts = $pdo->prepare('SELECT id FROM '.DB_PREFIX.'admin where mail = :admin_login and password= :admin_password');
		$admin_counts->execute([
				'admin_login' => $mail,
				'admin_password' => $password
			]);
		$admin_count = $admin_counts->rowCount();

		if($admin_count==0)
		{

			echo"<div class='alert alert-danger text-center'>Введены неверные данные!</div> $block_enter $block_forget_help";

		}

		// Если логин и пароль совпадают, то заходим в аккаунт
		else
		{

			$user = $pdo->prepare('SELECT * FROM '.DB_PREFIX.'admin where mail = :mail && password = :password');
			$user->execute([
				'mail' => $mail,
				'password' => $password
			]);
			$user = $user->fetchObject();

			$_SESSION['login']=$user->mail; // присваиваем логин
			$_SESSION['password']=$user->password; // присваиваем пароль

			// Запоминаем авторизацию пользователя
			$secretCookie = md5($user->mail) . $secretWord . md5($user->id.md5($user->password).$ip);
			if(isset($remember) && $remember == 1) {
				setcookie("token", $secretCookie, time()+2592000);
				setcookie("remember", 1, time()+2592000);
			}

			$row_settings_timezone = $pdo->query('SELECT timezone FROM '.DB_PREFIX.'settings')->fetch();
			$row_timezone = $pdo->query('SELECT value FROM '.DB_PREFIX.'settings_timezone where id='.$row_settings_timezone['timezone'])->fetch();

			date_default_timezone_set($row_timezone['value']);

			$pdo->query('UPDATE '.DB_PREFIX.'admin SET date_time_update="'.date('Y-m-d H:i:s').'" where mail="'.$_POST['mail'].'"'); // присваиваем дату доступа

			redirect(ADMIN_START);

		}

	}

	// Напоминание пароля
	elseif(isset($forget))
	{

		// Если e-mail введен
		if($_POST)
		{
			// Если введен неверный e-mail
			$admin_count = $pdo->prepare('SELECT id FROM '.DB_PREFIX.'admin where mail = :mail');
			$admin_count->execute([
					'mail' => $mail,
				]);
			$admin_count = $admin_count->rowCount();

			if($admin_count==0)
			{

				echo"<div class='alert alert-danger text-center'>Данный e-mail не зарегистрирован в системе!</div> $block_forget $block_enter_help";

			}

			// Если введен верный e-mail, отправляем пароль на почту
			else
			{

				$row = $pdo->prepare('SELECT password FROM '.DB_PREFIX.'admin where mail = :mail');
				$row->execute([
					'mail' => $mail,
				]);

				if($row = $row->fetch())
				{

					// Инициализация Phpmailer
					require_once '../cms/app/libs/phpmailer/src/PHPMailer.php';
					$mailer = new PHPMailer\PHPMailer\PHPMailer();
					$mailer->CharSet = 'utf-8';
					$mailer->IsHTML(true);
					$mailer->setFrom ('webmaster@'.$_SERVER['HTTP_HOST'], idn_convert($_SERVER['HTTP_HOST']));
					$mailer->addAddress($mail,$mail);
					$mailer->Subject = 'Пароль к системе управления сайтом '.$_SERVER['HTTP_HOST'];

					$mailer->Body =
					"
					<html>
						<head>
							<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
						</head>
						<body>

							<p><b>Ваш пароль:</b> ".$row['password']."</p>

						</body>
					</html>
					";

					if($mailer->send())
					{
						echo"<div class='alert alert-success text-center'>Пароль выслан на <b>$mail</b></div> $block_enter_help";
					}
					else
					{
						echo"<div class='alert alert-danger text-center'>Пароль отправить не удалось!</div> $block_forget";
					}

				}
				else
				{

					echo"<div class='alert alert-danger text-center'>Пароль отправить не удалось!</div> $block_forget";

				}

			}

		}

		// Отображение формы
		else
		{

			echo $block_forget.$block_enter_help;

		}

	}

	// Вывод формы входа
	else
	{

		echo "$block_enter $block_forget_help";

	}

	$login_content=ob_get_contents();
	ob_end_clean();

?>
<!DOCTYPE html>
<html>
<head>
		<title>Вход в панель управления</title>

		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<link rel="stylesheet" href="/<?=ADMIN_DIR?>/bootstrap/css/bootstrap.min.css">
		<link rel="stylesheet" href="/<?=ADMIN_DIR?>/css/font-glyphicons/glyphicons.css">
		<link rel="stylesheet" href="/<?=ADMIN_DIR?>/css/index.css">

		<!--[if lt IE 9]>
      <script src="/<?=ADMIN_DIR?>/bootstrap/js/html5shiv.js"></script>
      <script src="/<?=ADMIN_DIR?>/bootstrap/js/respond.min.js"></script>
    <![endif]-->

		<script type="text/javascript" src="/<?=ADMIN_DIR?>/js/jquery.min.js"></script>
		<script type="text/javascript" src="/<?=ADMIN_DIR?>/bootstrap/js/bootstrap.min.js"></script>
		<script>
			$(document).ready(function(){
				$('form').bind('submit',function(event) {
					$('#admin-password').each(function()
					{
						if(!/^.{6,16}$/.test($(this).val()))
						{
							event.preventDefault();
							$('#admin-password').addClass('is-invalid').focus();
							$('#admin-password-help-danger').removeClass('d-none');
						}
						else
						{
							$('#admin-password').removeClass('is-invalid');
						}
					});
					$('#admin-mail').each(function()
					{
						if(!/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/.test($(this).val()))
						{
							event.preventDefault();
							$('#admin-mail').addClass('is-invalid').focus();
							$('#admin-mail-help-danger').removeClass('d-none');
						}
						else
						{
							$('#admin-mail').removeClass('is-invalid');
						}
					});
				});
				$('#show-hide-password').click(function() {
					if($('#admin-password').attr('type') == 'password')
					{
						$('#admin-password').attr('type','text');
					}
					else if($('#admin-password').attr('type') == 'text')
					{
						$('#admin-password').attr('type','password');
					}
				});
				$('.checkbox').checkbox();
			});
		</script>
</head>
<body>

	<div class='container h-100'>

		<div class="row justify-content-center">

			<div class="col-lg-4 col-md-6 col-sm-6">
				<div class="mt-5">
					<?=$login_content?>
				</div>
			</div>

		</div>

	</div>

</body>
</html>