$(document).ready(function () {

		// Другие данные
	var fieldTypeSelect = document.querySelector('select[name="field_type"]');
	var fieldTypeValue = fieldTypeSelect.value;
	var fieldEditorSelect = document.querySelector('select[name="editor"]');
	var fieldEditorValue = fieldEditorSelect.value;
	var fieldMaxlength = document.querySelector('input[name="length"]');
	var fieldMaxlengthValue = fieldMaxlength.value;
	var fieldValueDefault = document.querySelector('input[name="value_default"]');
	var fieldWidthBig = document.querySelector('input[name="width_big"]');
	var fieldWidthSmall = document.querySelector('input[name="width_small"]');
	var fieldFrame1 = document.querySelector('textarea[name="frame1"]');
	var fieldFrame2 = document.querySelector('textarea[name="frame2"]');
	var fieldTemplate = document.querySelector('textarea[name="template"]');
	var fieldSortcode = document.querySelector('input[name="sort_code"]');
	var fieldWherecode = document.querySelector('input[name="where_code"]');
	var fieldLimit = document.querySelector('.input-limit');
	var fieldOriginal = document.querySelector('.checkbox-original');
	var fieldPagination = document.querySelector('.checkbox-pagination');
	var fieldLastframe = document.querySelector('.checkbox-lastframe');


	fieldTypeSelect.addEventListener('change', function () {
		fieldToggle(this.value);
		// console.log(`Editor: ${fieldEditorSelect.value}`);
		// console.log(`Maxlength: ${fieldMaxlength.value}`);
	});

	fieldEditorSelect.addEventListener('change', function () {
		if (+this.value === 0) {
			showElement(fieldMaxlength);
		} else {
			hideElement(fieldMaxlength);
		}
	});

	fieldToggle(fieldTypeSelect.value);

	function fieldToggle(fieldType) {

		switch (fieldType) {
			case 'fields_varchar':
				showElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_boolean':
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_int':
				showElement(fieldMaxlength);
				showElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldEditorSelect);
				break;

			case 'fields_decimal':
				showElement(fieldMaxlength);
				showElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldEditorSelect);
				break;

			case 'fields_text':
				showElement(fieldEditorSelect);
				if (+fieldEditorSelect.value === 0) {
					showElement(fieldMaxlength);
				} else {
					hideElement(fieldMaxlength);
				}
				hideElement(fieldValueDefault);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldEditorSelect);
				resetField(fieldMaxlength);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_select':
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_select_multiple':
				showElement(fieldFrame1);
				showElement(fieldFrame2);
				showElement(fieldLastframe);
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_date':
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_image':
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				showElement(fieldWidthBig);
				showElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				showElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_file':
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldFrame1);
				hideElement(fieldFrame2);
				hideElement(fieldTemplate);
				hideElement(fieldSortcode);
				hideElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldLastframe);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_gallery':
				showElement(fieldWidthBig);
				showElement(fieldWidthSmall);
				showElement(fieldFrame1);
				showElement(fieldFrame2);
				showElement(fieldTemplate);
				showElement(fieldSortcode);
				hideElement(fieldWherecode);
				showElement(fieldLimit);
				showElement(fieldOriginal);
				showElement(fieldPagination);
				hideElement(fieldLastframe);
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_archive':
				showElement(fieldFrame1);
				showElement(fieldFrame2);
				showElement(fieldTemplate);
				showElement(fieldSortcode);
				hideElement(fieldWherecode);
				showElement(fieldLimit);
				hideElement(fieldOriginal);
				showElement(fieldPagination);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldLastframe);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_array':
				showElement(fieldFrame1);
				showElement(fieldFrame2);
				showElement(fieldTemplate);
				showElement(fieldSortcode);
				showElement(fieldWherecode);
				hideElement(fieldLimit);
				hideElement(fieldOriginal);
				hideElement(fieldPagination);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldLastframe);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

			case 'fields_elements':
				showElement(fieldFrame1);
				showElement(fieldFrame2);
				showElement(fieldTemplate);
				showElement(fieldSortcode);
				hideElement(fieldWherecode);
				showElement(fieldLimit);
				hideElement(fieldOriginal);
				showElement(fieldPagination);
				hideElement(fieldWidthBig);
				hideElement(fieldWidthSmall);
				hideElement(fieldMaxlength);
				hideElement(fieldValueDefault);
				hideElement(fieldEditorSelect);
				hideElement(fieldLastframe);
				resetField(fieldMaxlength);
				resetField(fieldEditorSelect);
				resetFieldFull(fieldValueDefault);
				break;

		}


		if (fieldType === 'fields_image') {
			fieldMaxlength.previousElementSibling.firstElementChild.innerText = 'Ширина изображения:';
		} else {
			fieldMaxlength.previousElementSibling.firstElementChild.innerText = 'Длина поля:';
		}

		if (fieldType === fieldTypeValue) {
			fieldEditorSelect.value = fieldEditorValue;
			if (+fieldEditorSelect.value !== 0) {
				hideElement(fieldMaxlength);
			}

			fieldMaxlength.value = fieldMaxlengthValue;
		}
	};

	function resetField(field) {
		field.value = 0;
	};

	function resetFieldFull(field) {
		field.value = '';
	};

	function hideElement(el) {
		var parent = closestParent(el, 'form-group');
		parent.classList.add('d-none');
	};

	function closestParent (el, cls) {
		while ((el = el.parentElement) && !el.classList.contains(cls));
		return el;
	}

	function showElement(el) {
		el.parentElement.classList.remove('d-none');
	}

});