<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_pages==0)
{
	echo $block_profile_danger;
}
else
{

	// Новый тип страницы
	if(isset($_GET['new_type']))
	{
		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Страницы</a></li>
			<li class='breadcrumb-item active'>Новый тип страницы</li>
		</ol>

		<div class="row data-types">

			<?php
			$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where data_type="pages" && hide_new = 0 order by number asc, id asc');
			while($row=mysqli_fetch_array($result))
			{
				?>

				<div class="col-xl-3 col-lg-4 mb-3">
					<div class="card">
						<div class="card-body">
							<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new&data_type=<?=$row['id']?>"><?=htmlspecialchars($row['title'],ENT_QUOTES)?></a></h5>
							<?php if($row['notice']!='') { ?>
								<p class="card-text"><?=htmlspecialchars($row['notice'],ENT_QUOTES)?></p>
							<?php } ?>
						</div>
					</div>
				</div>

				<?php
			}
			?>

			<div class="col-xl-3 col-lg-4">
				<div class="card">
					<div class="card-body">
						<h5 class="card-title"><a href="<?=CURRENT_FILE?>?new" class="text-muted">Типовая страница</a></h5>
						<p class="card-text">Создать страницу с полным набором характеристик</p>
					</div>
				</div>
			</div>

		</div>

		<?php
	}

	// Новая страница
	elseif(isset($_GET['new']))
	{

		// Загружаем характеристики типа страницы
		if(isset($_GET['data_type']))
		{

			$row_data = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where id='.$_GET['data_type']));

			$page_data_type = $row_data['id'];

			$data_tip = ($row_data['tip']==0) ? 'd-none' : '';
			$data_demo = ($row_data['demo']==0) ? 'd-none' : '';
			$data_text = ($row_data['text']==0) ? 'd-none' : '';
			$data_templates_block = ($row_data['templates_block']==0) ? 'd-none' : '';
			$data_catalog_block = ($row_data['catalog_block']==0) ? 'd-none' : '';
			$data_dynamic_block = ($row_data['dynamic_block']==0) ? 'd-none' : '';
			$data_seo_block = ($row_data['seo_block']==0) ? 'd-none' : '';
			$data_users_block = ($row_data['users_block']==0) ? 'd-none' : '';
			$data_tags = ($row_data['tags']==0) ? 'd-none' : '';
			$data_date_time = ($row_data['date_time_block']==0) ? 'd-none' : '';
			$data_section = $row_data['section'];
			$data_sections = $row_data['sections'];
			$data_dynamic_section = $row_data['dynamic_section'];
			$data_template_page = $row_data['template_page'];
			$data_template_catalog = $row_data['template_catalog'];
			$data_template_navigation = $row_data['template_navigation'];
			$data_template_faq = $row_data['template_faq'];
			$data_template_comments = $row_data['template_comments'];
			$data_fields_section = $row_data['fields_section'];
			$data_fields_name = $row_data['fields_name'];

			$data_page_index = ($row_data['page_index']==0) ? 'd-none' : '';
			$data_page_index_checked = ($row_data['page_index_checked']==1) ? 'checked' : '';

			$data_page_faq = ($row_data['page_faq']==0) ? 'd-none' : '';
			$data_page_faq_checked = ($row_data['page_faq_checked']==1) ? 'checked' : '';

			$data_page_tags = ($row_data['page_tags']==0) ? 'd-none' : '';
			$data_page_tags_checked = ($row_data['page_tags']==1) ? 'checked' : '';

			$data_section_index = ($row_data['section_index']==0) ? 'd-none' : '';
			$data_section_index_checked = ($row_data['section_index_checked']==1) ? 'checked' : '';

			$data_comments = ($row_data['comments']==0) ? 'd-none' : '';
			$data_comments_checked = ($row_data['comments_checked']==1) ? 'checked' : '';

		}
		else
		{

			$page_data_type = 0;

			$data_tip = '';
			$data_demo = '';
			$data_text = '';
			$data_page_index = '';
			$data_page_index_checked = '';
			$data_page_faq = '';
			$data_page_faq_checked = '';
			$data_page_tags = '';
			$data_page_tags_checked = '';
			$data_section_index = '';
			$data_section_index_checked = '';
			$data_comments = '';
			$data_comments_checked = '';
			$data_templates_block = '';
			$data_catalog_block = '';
			$data_dynamic_block = '';
			$data_seo_block = '';
			$data_users_block = '';
			$data_tags = '';
			$data_date_time = '';
			$data_section = 0;
			$data_sections = '';
			$data_dynamic_section = '';
			$data_template_page = 0;
			$data_template_catalog = 0;
			$data_template_navigation = 0;
			$data_template_faq = 0;
			$data_template_comments = 0;
			$data_fields_section = '';
			$data_fields_name = '';

		}

		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Страницы</a></li>
			<li class='breadcrumb-item active'>Новая</li>
		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength="255">
				<p class='form-text text-muted'>до 255 символов</p>
			</div>

			<div class='form-group <?=$data_tip?>'>
				<label><b>Подзаголовок:</b></label>
				<input type='text' class='form-control' name='tip' maxlength="255">
				<p class='form-text text-muted'>до 255 символов</p>
			</div>

			<div class='form-group <?=$data_demo?>'>
				<label><b>Описание:</b></label>
				<textarea class='form-control demo' name='demo'></textarea>
			</div>

			<div class='form-group <?=$data_text?>'>
				<label><b>Текст:</b></label>
				<textarea class='form-control text tinymce' name='text'></textarea>
			</div>

			<div class='form-group'>

				<div class="form-check form-check-inline <?=$data_page_index?>">
					<label>
						<input type='checkbox' name='page_index' value='1' <?=$data_page_index_checked?>> <b>Главная страница</b>
					</label>
				</div>
				<div class="form-check form-check-inline <?=$data_page_faq?>">
					<label>
						<input type='checkbox' name='page_faq' value='1' <?=$data_page_faq_checked?>> <b>Страница FAQ</b>
					</label>
				</div>
				<div class="form-check form-check-inline <?=$data_page_tags?>">
					<label>
						<input type='checkbox' name='page_tags' value='1' <?=$data_page_tags_checked?>> <b>Страница тегов</b>
					</label>
				</div>
				<div class="form-check form-check-inline <?=$data_section_index?>">
					<label>
						<input type='checkbox' name='section_index' value='1' <?=$data_section_index_checked?>> <b>Раздел</b>
					</label>
				</div>
				<div class="form-check form-check-inline <?=$data_comments?>">
					<label>
						<input type='checkbox' name='comments' value='1' <?=$data_comments_checked?>> <b>Комментарии</b>
					</label>
				</div>

			</div>

			<?php

			if(($page_data_type == 0 && ADMIN_FIELDS == 1) || $page_data_type != 0)
			{

				// Дополнительные поля
				Fields::Insert('pages',0,$page_data_type,$data_fields_name);

				$result_fields_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="pages" order by number asc, id asc');
				while($row_fields_section=mysqli_fetch_array($result_fields_section))
				{

					if($data_fields_section!='')
					{
						$field_section_display = (preg_match('/\b'.$row_fields_section['id'].'\b/',$data_fields_section)) ? true : false;
					}
					else
					{
						$field_section_display = false;
					}

					if($field_section_display == true || ($field_section_display == false && $page_data_type == 0))
					{

						?>

						<div class='form-group'>
							<span data-toggle='button'>
								<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-fields-section<?=$row_fields_section['id']?>' aria-expanded='false' aria-controls='slide-fields-section<?=$row_fields_section['id']?>'><?=$row_fields_section['title']?> <i class='fa fa-caret-down' aria-hidden='true'></i></button>
							</span>
						</div>
						<div class='collapse' id='slide-fields-section<?=$row_fields_section['id']?>'>
							<div class='form-group'>
								<blockquote>

									<?php Fields::Insert('pages',$row_fields_section['id'],$page_data_type,$data_fields_name); ?>

								</blockquote>
							</div>
						</div>

						<?php

					}
					else
					{

						Fields::Insert('pages',$row_fields_section['id'],$page_data_type,$data_fields_name);

					}

				}

			}

			?>

			<div class='form-group <?=$data_templates_block?>'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-templates-block' aria-expanded='false' aria-controls='slide-templates-block'>Шаблоны <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-templates-block'>
				<div class='form-group'>
					<blockquote>

						<div class='form-group'>
							<label><b>Страницы:</b></label>
							<select class='form-control' name='template_page'>
								<?php
								$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages order by number asc, id asc');
								while($row_template=mysqli_fetch_array($result_template))
								{
									?>
									<option value='<?=$row_template['id']?>'
									<?php
									if($data_template_page!=0)
									{
										if($data_template_page==$row_template['id']) echo 'selected';
									}
									?>
									><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class='form-group'>
							<label><b>Каталог:</b></label>
							<select class='form-control' name='template_catalog'>
								<?php
								$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_catalog order by number asc, id asc');
								while($row_template=mysqli_fetch_array($result_template))
								{
									?>
									<option value='<?=$row_template['id']?>'
									<?php
									if($data_template_catalog!=0)
									{
										if($data_template_catalog==$row_template['id']) echo 'selected';
									}
									?>
									><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class='form-group'>
							<label><b>Комментарии:</b></label>
							<select class='form-control' name='template_comments'>
								<?php
								$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages_comments order by number asc, id asc');
								while($row_template=mysqli_fetch_array($result_template))
								{
									?>
									<option value='<?=$row_template['id']?>'
									<?php
									if($data_template_comments!=0)
									{
										if($data_template_comments==$row_template['id']) echo 'selected';
									}
									?>
									><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class='form-group'>
							<label><b>FAQ:</b></label>
							<select class='form-control' name='template_faq'>
								<?php
								$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_faq order by number asc, id asc');
								while($row_template=mysqli_fetch_array($result_template))
								{
									?>
									<option value='<?=$row_template['id']?>'
									<?php
									if($data_template_faq!=0)
									{
										if($data_template_faq==$row_template['id']) echo 'selected';
									}
									?>
									><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class='form-group'>
							<label><b>Навигация:</b></label>
							<select class='form-control' name='template_navigation'>
								<?php
								$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_navigation order by number asc, id asc');
								while($row_template=mysqli_fetch_array($result_template))
								{
									?>
									<option value='<?=$row_template['id']?>'
									<?php
									if($data_template_navigation!=0)
									{
										if($data_template_navigation==$row_template['id']) echo 'selected';
									}
									?>
									><?=htmlspecialchars($row_template['title'],ENT_QUOTES)?></option>
									<?php
								}
								?>
							</select>
						</div>

					</blockquote>
				</div>
			</div>

			<?php $data_type_id = ($page_data_type!=0) ? '&data_type_id='.$page_data_type : ''; ?>

				<div class='form-group <?=$data_catalog_block?>'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-sections-block' aria-expanded='false' aria-controls='slide-sections-block'>Каталог <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-sections-block'>
					<div class='form-group'>
						<blockquote>

							<script>
								$(document).ready(function(){
								$.ajax({
								url: 'include/catalog-ajax.php?new<?=$data_type_id?>',
								cache: false,
								beforeSend: function() {
								$('#catalog-ajax').html('<img src="/<?=ADMIN_DIR?>/images/loading.gif" alt="">');
								},
								success: function(html){
								$('#catalog-ajax').html(html);
								}
								});
								return false;
								});
							</script>

							<div id='catalog-ajax'></div>

						</blockquote>
					</div>
				</div>

			<div class='form-group <?=$data_dynamic_block?>'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-dynamic-block'>
				<div class='form-group'>
					<blockquote>
						<?php
						$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where="" && data_base="" && data_type="pages" && hide_data=0 order by number asc, id asc');
						while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
						{
							?>
							<div>
								<label>
									<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'
									<?php if($page_data_type!=0) {	if(preg_match('/\b'.$row_dynamic_section['id'].'\b/',$data_dynamic_section)){echo'checked';} }?>
									> <?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
								</label>
							</div>
							<?php
						}
						?>
					</blockquote>
				</div>
			</div>

			<div class='form-group <?=$data_seo_block?>'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-seo-block' aria-expanded='false' aria-controls='slide-seo-block'>SEO <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-seo-block'>
				<div class='form-group'>
					<blockquote>

						<div class='form-group' id='translit-div'>
							<label><b>Транслит:</b></label> <span class='glyphicon glyphicon-question-sign text-info tooltip-element' data-toggle='tooltip' data-placement='right' title='Символьный код страницы в адресной строке браузера'></span>
							<input type='text' class='form-control' id='translit' name='translit' maxlength='255'>
						</div>

						<?php	SEO::Insert(); ?>

					</blockquote>
				</div>
			</div>

				<div class='form-group'>
					<span data-toggle='button'>
						<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-settings-block' aria-expanded='false' aria-controls='slide-settings-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
					</span>
				</div>
				<div class='collapse' id='slide-settings-block'>
					<div class='form-group'>
						<blockquote>

							<div class='form-group <?=$data_tags?>'>
								<label><b>Теги:</b></label>
								<input type='text' class='form-control' name='tags' maxlength='1000'>
								<p class="form-text text-muted">Заполняются через запятую (до 1000 символов)</p>
							</div>

							<input type="hidden" name="data_type" value="<?=$page_data_type?>">

							<?php
							if($admin_id==1)
							{
								?>
								<div class='form-group <?=$data_users_block?>'>
									<label><b>Пользователь:</b></label>
									<select class='form-control' name='user'>
										<?php
										$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
										while($row_user=mysqli_fetch_array($result_user))
										{
											?>
											<option value='<?=$row_user['id']?>'
												<?php if($row_user['id']=='1'){echo' selected';}?>
												><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?>
											</option>
											<?php
										}
										?>
									</select>
								</div>
								<?php
							}
							?>

							<div class='form-group'>
								<label><b>Номер:</b></label>
								<input type='text' class='form-control number' name='number' maxlength='4' value="0" autocomplete="off">
							</div>

							<div class="form-group <?=$data_date_time?>">
								<a href="#datetime" class="dashed" data-btn-text="Добавить Убрать" data-toggle-element="<div class='pt-2 pb-2'><label class='d-block'><b>Дата:</b></label><input type='text' class='form-control datetimepicker' name='datetime_new' value='<?=date('Y-m-d H:i:s')?>' autocomplete='off'></div>">Добавить дату</a>
							</div>

							<div class='form-group'>
								<div class='checkbox'>
									<label>
										<input type='checkbox' name='hide' value='1'> <b>Скрыть страницу</b>
									</label>
								</div>
							</div>

						</blockquote>
					</div>
				</div>

				<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

		</form>
		<?php
	}

	// Запись новой страницы
	elseif(isset($record_new) || isset($record_edit_new))
	{
		$title=trim(mysqli_escape_string($mysqli,$title));
		$tip=trim(mysqli_escape_string($mysqli,$tip));
		$demo=trim(mysqli_escape_string($mysqli,$demo));
		$text=trim(mysqli_escape_string($mysqli,$text));
		$tags=trim(mysqli_escape_string($mysqli,$tags));

		// Последний ID перед вставкой
		$row_last_id = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages order by id desc'));

		// Если транслит не задан, генерируем его автоматически
		if(trim($translit)=='' || (isset($record_edit_new) && !isset($record_edit_new_translit)))
		{
			$translit = translit($title);
		}

		$translit = translit($translit);

		// Если транслит совпадает с уже имеющимся, добавляем соль в виде следующего ID
		if(
				count_query('SELECT id FROM '.DB_PREFIX.'pages where translit = "'.$translit.'"')>0 ||
				mb_strlen(trim($translit)) <=2 ||
				file_exists('../'.$translit)
			)
		{
			$translit =$translit.'-'.($row_last_id['id']+1);
		}

		// Заглушки
		if(isset($page_index)){mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_index=0 where page_index=1');}else{$page_index=0;}
		if(isset($page_faq)){mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_faq=0 where page_faq=1');}else{$page_faq=0;}
		if(isset($page_tags)){mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_tags=0 where page_tags=1');}else{$page_tags=0;}
		if(!isset($section_index)){$section_index=0;}
		if(!isset($hide)){$hide=0;}
		if(!isset($comments)){$comments=0;}
		if(!isset($user)){$user=$admin_id;}
		if(isset($datetime_new) && (trim($datetime_new)!='' || trim($datetime_new)!='0000-00-00 00:00:00')){$date_time_default=$datetime_new;} else {$date_time_default = DATE_TIME;}

		if(mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'pages (
		number,
		user,
		title,
		tip,
		demo,
		translit,
		text,
		hide,
		page_index,
		page_faq,
		page_tags,
		comments,
		template_page,
		template_comments,
		template_faq,
		template_catalog,
		template_navigation,
		section,
		section_index,
		tags,
		data_type,
		date_time
		) VALUES (
		"'.$number.'",
		"'.$user.'",
		"'.$title.'",
		"'.$tip.'",
		"'.$demo.'",
		"'.$translit.'",
		"'.$text.'",
		"'.$hide.'",
		"'.$page_index.'",
		"'.$page_faq.'",
		"'.$page_tags.'",
		"'.$comments.'",
		"'.$template_page.'",
		"'.$template_comments.'",
		"'.$template_faq.'",
		"'.$template_catalog.'",
		"'.$template_navigation.'",
		"'.$section.'",
		"'.$section_index.'",
		"'.$tags.'",
		"'.$data_type.'",
		"'.$date_time_default.'"
		)'))
			{
				// Запись информации
				$row=mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages order by id desc'));

				// Запись массива каталога
				if(!empty($sections))
				{
					$sections_implode=implode(' ',$sections);
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="'.$sections_implode.'" where id='.$row['id']);
				}
				else
				{
					if(!isset($sections) && $section!=0)
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="'.$section.'" where id='.$row['id']);
					}
					else
					{
						mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="" where id='.$row['id']);
					}
				}

				// Запись массива динамических блоков
				if(!empty($dynamic_section))
				{
					$dynamic_section_implode=implode(' ',$dynamic_section);
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET dynamic_section="'.$dynamic_section_implode.'" where id='.$row['id']);
				}
				else
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET dynamic_section="" where id='.$row['id']);
				}

				?>

				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Страницы</a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?<?=new_type('pages','new_type','new')?>'>Новая</a></li>
					<li class='breadcrumb-item active'>Запись</li>
					<?=pages_nav_plus($row['id'])?>
				</ol>

				<div class='bd-callout bd-callout-info'>
					<h4>Информация успешно записана!</h4>
					<p><a href='<?=pageURI::Display($row['id'])?>' target='_blank'>Открыть страницу</a> в новом окне или отредактировать <a href='<?=CURRENT_FILE?>?id=<?=$row['id']?>'>страницу</a></p>
				</div>

				<?php

				// Запись SEO-полей
				SEO::Record($row['id']);

				// Запись дополнительных полей
				Fields::InsertRecord($row['id'],$date_time_default,$admin_id);

				cache_delete();
			}
			else
			{
				echo $block_danger;
			}
	}

	// Редактирование информации
	elseif(isset($_GET['id']))
	{
		if($row_user=mysqli_fetch_array(mysqli_query($mysqli,'SELECT user from '.DB_PREFIX.'pages where id='.$_GET['id'])))
		{
			$user_id=$row_user['user'];
		}

		if($profile_access_edit_pages==1 && $user_id!=$admin_id)
		{
			echo $block_profile_danger;
		}

		else
			{
				?>
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Страницы</a></li>
					<li class='breadcrumb-item active'>Редактирование</li>
					<?=pages_nav_plus($_GET['id'])?>
				</ol>
				<?php

				if($row=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages where id='.$_GET['id'])))
					{
						$quotes_title=htmlspecialchars($row['title'],ENT_QUOTES);
						$quotes_tip=htmlspecialchars($row['tip'],ENT_QUOTES);
						$quotes_demo=htmlspecialchars($row['demo'],ENT_QUOTES);
						$quotes_tags=htmlspecialchars($row['tags'],ENT_QUOTES);

						// Загружаем характеристики типа страницы
						if($row['data_type']!=0)
						{

							$row_data = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where id='.$row['data_type']));

							$page_data_type = $row_data['id'];

							$data_tip = ($row_data['tip']==0) ? 'd-none' : '';
							$data_demo = ($row_data['demo']==0) ? 'd-none' : '';
							$data_text = ($row_data['text']==0) ? 'd-none' : '';
							$data_templates_block = ($row_data['templates_block']==0) ? 'd-none' : '';
							$data_catalog_block = ($row_data['catalog_block']==0) ? 'd-none' : '';
							$data_dynamic_block = ($row_data['dynamic_block']==0) ? 'd-none' : '';
							$data_seo_block = ($row_data['seo_block']==0) ? 'd-none' : '';
							$data_users_block = ($row_data['users_block']==0) ? 'd-none' : '';
							$data_tags = ($row_data['tags']==0) ? 'd-none' : '';
							$data_date_time = ($row_data['date_time_block']==0) ? 'd-none' : '';
							$data_section = $row_data['section'];
							$data_sections = $row_data['sections'];
							$data_dynamic_section = ($row_data['dynamic_section'] != '') ? $row_data['dynamic_section'] : $row['dynamic_section'];
							$data_template_page = $row_data['template_page'];
							$data_template_catalog = $row_data['template_catalog'];
							$data_template_navigation = $row_data['template_navigation'];
							$data_template_faq = $row_data['template_faq'];
							$data_template_comments = $row_data['template_comments'];
							$data_fields_section = $row_data['fields_section'];
							$data_fields_name = $row_data['fields_name'];

							$data_page_index = ($row_data['page_index']==0) ? 'd-none' : '';
							$data_page_index_checked = ($row_data['page_index_checked']==1) ? 'checked' : '';

							$data_page_faq = ($row_data['page_faq']==0) ? 'd-none' : '';
							$data_page_faq_checked = ($row_data['page_faq_checked']==1) ? 'checked' : '';

							$data_page_tags = ($row_data['page_tags']==0) ? 'd-none' : '';
							$data_page_tags_checked = ($row_data['page_tags']==1) ? 'checked' : '';

							$data_section_index = ($row_data['section_index']==0) ? 'd-none' : '';
							$data_section_index_checked = ($row_data['section_index_checked']==1) ? 'checked' : '';

							$data_comments = ($row_data['comments']==0) ? 'd-none' : '';
							$data_comments_checked = ($row_data['comments_checked']==1) ? 'checked' : '';

						}
						else
						{

							$page_data_type = 0;

							$data_tip = '';
							$data_demo = '';
							$data_text = '';
							$data_page_index = '';
							$data_page_index_checked = ($row['page_index']==1) ? 'checked' : '';
							$data_page_faq = '';
							$data_page_faq_checked = ($row['page_faq']==1) ? 'checked' : '';
							$data_page_tags = '';
							$data_page_tags_checked = ($row['page_tags']==1) ? 'checked' : '';
							$data_section_index = '';
							$data_section_index_checked = ($row['section_index']==1) ? 'checked' : '';
							$data_comments = '';
							$data_comments_checked = ($row['comments']==1) ? 'checked' : '';
							$data_templates_block = '';
							$data_catalog_block = '';
							$data_dynamic_block = '';
							$data_seo_block = '';
							$data_users_block = '';
							$data_tags = '';
							$data_date_time = '';
							$data_section = $row['section'];
							$data_sections = $row['sections'];
							$data_dynamic_section = $row['dynamic_section'];
							$data_template_page = $row['template_page'];
							$data_template_catalog = $row['template_catalog'];
							$data_template_navigation = $row['template_navigation'];
							$data_template_faq = $row['template_faq'];
							$data_template_comments = $row['template_comments'];
							$data_fields_section = '';
							$data_fields_name = '';

						}

						?>

						<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>


							<div class='form-group' id='title-div'>
								<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<input type='text' class='form-control' id='title' name='title' value='<?=$quotes_title?>' maxlength='255'>
								<p class='form-text text-muted'>до 255 символов</p>
							</div>

							<div class='form-group <?=$data_tip?>'>
								<label><b>Подзаголовок:</b></label>
								<input type='text' class='form-control' name='tip' value='<?=$quotes_tip?>' maxlength='255'>
								<p class='form-text text-muted'>до 255 символов</p>
							</div>

							<div class='form-group <?=$data_demo?>'>
								<label><b>Описание:</b></label>
								<textarea class='form-control demo' name='demo'><?=$quotes_demo?></textarea>
							</div>

							<div class='form-group <?=$data_text?>'>
								<label><b>Текст:</b></label>
								<textarea class='form-control text tinymce' name='text'><?=$row['text']?></textarea>
							</div>

							<div class='form-group'>

								<div class="form-check form-check-inline <?=$data_page_index?>">
									<label>
										<input type='checkbox' name='page_index' value='1' <?=$data_page_index_checked?>> <b>Главная страница</b>
									</label>
								</div>
								<div class="form-check form-check-inline <?=$data_page_faq?>">
									<label>
										<input type='checkbox' name='page_faq' value='1' <?=$data_page_faq_checked?>> <b>Страница FAQ</b>
									</label>
								</div>
								<div class="form-check form-check-inline <?=$data_page_tags?>">
									<label>
										<input type='checkbox' name='page_tags' value='1' <?=$data_page_tags_checked?>> <b>Страница тегов</b>
									</label>
								</div>
								<div class="form-check form-check-inline <?=$data_section_index?>">
									<label>
										<input type='checkbox' name='section_index' value='1' <?=$data_section_index_checked?>> <b>Раздел</b>
									</label>
								</div>
								<div class="form-check form-check-inline <?=$data_comments?>">
									<label>
										<input type='checkbox' name='comments' value='1' <?=$data_comments_checked?>> <b>Комментарии</b>
									</label>
								</div>

							</div>

							<?php

							if(($page_data_type == 0 && ADMIN_FIELDS == 1) || $page_data_type != 0)
							{

								// Дополнительные поля без группы
								Fields::Edit('pages',$_GET['id'],0,$page_data_type,$data_fields_name);

								// Дополнительные поля с группами
								$result_fields_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_section where data_type="pages" order by number asc, id asc');
								while($row_fields_section=mysqli_fetch_array($result_fields_section))
								{

									if($data_fields_section!='')
									{
										$field_section_display = (preg_match('/\b'.$row_fields_section['id'].'\b/',$data_fields_section)) ? true : false;
									}
									else
									{
										$field_section_display = false;
									}

									if($field_section_display == true || ($field_section_display == false && $page_data_type == 0))
									{

										?>

										<div class='form-group'>
											<span data-toggle='button'>
												<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-fields-section<?=$row_fields_section['id']?>' aria-expanded='false' aria-controls='slide-fields-section<?=$row_fields_section['id']?>'><?=$row_fields_section['title']?> <i class='fa fa-caret-down' aria-hidden='true'></i></button>
											</span>
										</div>
										<div class='collapse' id='slide-fields-section<?=$row_fields_section['id']?>'>
											<div class='form-group'>
												<blockquote>

													<?php Fields::Edit('pages',$_GET['id'],$row_fields_section['id'],$page_data_type,$data_fields_name); ?>

												</blockquote>
											</div>
										</div>

										<?php

									}
									else
									{

										Fields::Edit('pages',$_GET['id'],$row_fields_section['id'],$page_data_type,$data_fields_name);

									}

								}

							}

							?>

							<div class='form-group <?=$data_templates_block?>'>
								<span data-toggle='button'>
									<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-templates-block' aria-expanded='false' aria-controls='slide-templates-block'>Шаблоны <i class='fa fa-caret-down' aria-hidden='true'></i></button>
								</span>
							</div>
							<div class='collapse' id='slide-templates-block'>
								<div class='form-group'>
									<blockquote>

										<div class='form-group'>
											<label><b>Страницы:</b></label>
											<select class='form-control' name='template_page'>
												<?php
												$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages order by number asc, id asc');
												while($row_template=mysqli_fetch_array($result_template))
												{
													?><option value='<?=$row_template['id']?>' <?php if($data_template_page==$row_template['id']){echo'selected';}?>><?=$row_template['title']?></option><?php
												}
												?>
											</select>
										</div>

										<div class='form-group'>
											<label><b>Каталог:</b></label>
											<select class='form-control' name='template_catalog'>
												<?php
												$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_catalog order by number asc, id asc');
												while($row_template=mysqli_fetch_array($result_template))
												{
													?><option value='<?=$row_template['id']?>' <?php if($data_template_catalog==$row_template['id']){echo'selected';}?>><?=$row_template['title']?></option><?php
												}
												?>
											</select>
										</div>

										<div class='form-group'>
											<label><b>Комментарии:</b></label>
											<select class='form-control' name='template_comments'>
												<?php
												$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_pages_comments order by number asc, id asc');
												while($row_template=mysqli_fetch_array($result_template))
												{
													?><option value='<?=$row_template['id']?>' <?php if($data_template_comments==$row_template['id']){echo'selected';}?>><?=$row_template['title']?></option><?php
												}
												?>
											</select>
										</div>

										<div class='form-group'>
											<label><b>FAQ:</b></label>
											<select class='form-control' name='template_faq'>
												<?php
												$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_faq order by number asc, id asc');
												while($row_template=mysqli_fetch_array($result_template))
												{
													?><option value='<?=$row_template['id']?>' <?php if($data_template_faq==$row_template['id']){echo'selected';}?>><?=$row_template['title']?></option><?php
												}
												?>
											</select>
										</div>

										<div class='form-group'>
											<label><b>Навигация:</b></label>
											<select class='form-control' name='template_navigation'>
												<?php
												$result_template=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'templates_navigation order by number asc, id asc');
												while($row_template=mysqli_fetch_array($result_template))
												{
													?><option value='<?=$row_template['id']?>' <?php if($data_template_navigation==$row_template['id']){echo'selected';}?>><?=$row_template['title']?></option><?php
												}
												?>
											</select>
										</div>

									</blockquote>
								</div>
							</div>

							<?php	$data_type_id = ($row['data_type']!=0) ? '&data_type_id='.$row['data_type'] : '';?>

							<div class='form-group <?=$data_catalog_block?>'>
									<span data-toggle='button'>
										<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-sections-block' aria-expanded='false' aria-controls='slide-sections-block'>Каталог <i class='fa fa-caret-down' aria-hidden='true'></i></button>
									</span>
								</div>
								<div class='collapse' id='slide-sections-block'>
									<div class='form-group'>
										<blockquote>

											<script>
												$(document).ready(function(){
												$.ajax({
												url: 'include/catalog-ajax.php?page_id=<?=$_GET['id']?><?=$data_type_id?>',
												cache: false,
												beforeSend: function() {
												$('#catalog-ajax').html('<img src="/<?=ADMIN_DIR?>/images/loading.gif" alt="">');
												},
												success: function(html){
												$('#catalog-ajax').html(html);
												}
												});
												return false;
												});
											</script>

											<div id='catalog-ajax'></div>

										</blockquote>
									</div>
								</div>

							<div class='form-group <?=$data_dynamic_block?>'>
								<span data-toggle='button'>
									<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-dynamic-block' aria-expanded='false' aria-controls='slide-dynamic-block'>Динамические блоки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
								</span>
							</div>
							<div class='collapse' id='slide-dynamic-block'>
								<div class='form-group'>
									<blockquote>
										<div class='form-group'>
										<?php
										$result_dynamic_section=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'blocks_dynamic where code_where="" && data_base="" && data_type="pages" && hide_data=0 order by number asc, id asc');
										while($row_dynamic_section=mysqli_fetch_array($result_dynamic_section))
										{
											?>
											<div>
												<label>
													<input type='checkbox' name='dynamic_section[]' value='<?=$row_dynamic_section['id']?>'
													<?php

													if(preg_match('/\b'.$row_dynamic_section['id'].'\b/',$data_dynamic_section))
													{
														echo'checked';
													}

													?>
													>
													<?=htmlspecialchars($row_dynamic_section['title'],ENT_QUOTES)?>
												</label>
											</div>
											<?php
										}
										?>
										</div>
									</blockquote>
								</div>
							</div>

							<div class='form-group <?=$data_seo_block?>'>
								<span data-toggle='button'>
									<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-seo-block' aria-expanded='false' aria-controls='slide-seo-block'>SEO <i class='fa fa-caret-down' aria-hidden='true'></i></button>
								</span>
							</div>
							<div class='collapse' id='slide-seo-block'>
								<div class='form-group'>
									<blockquote>

										<div class='form-group' id='translit-div'>
											<label><b>Транслит:</b></label> <span class='glyphicon glyphicon-question-sign text-info tooltip-element' data-toggle='tooltip' data-placement='right' title='Символьный код страницы в адресной строке браузера'></span>
											<input type='text' class='form-control' id='translit' name='translit' value='<?=$row['translit']?>' maxlength='255'>
											<?php	$row_prefix = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT catalog_prefix from '.DB_PREFIX.'settings where id = 1'));
											if($row_prefix['catalog_prefix'] == 1) { ?>
											<p class='form-text text-muted'>URI: <?=pageURI::Display($_GET['id'],'/')?></p>
											<?php } ?>
										</div>

										<?php	SEO::Insert($_GET['id']); ?>

									</blockquote>
								</div>
							</div>


							<div class='form-group'>
								<span data-toggle='button'>
									<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-settings-block' aria-expanded='false' aria-controls='slide-settings-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
								</span>
							</div>
							<div class='collapse' id='slide-settings-block'>
								<div class='form-group'>
									<blockquote>

										<div class='form-group <?=$data_tags?>'>
											<label><b>Теги:</b></label>
											<input type='text' class='form-control' name='tags' value='<?=$quotes_tags?>' maxlength='1000'>
											<p class="form-text text-muted">Заполняются через запятую (до 1000 символов)</p>
										</div>

										<?php if($admin_id==1): ?>

											<div class='form-group <?=$data_users_block?>'>
												<label><b>Пользователь:</label></b></label>
												<select class='form-control' name='user'>
											<?php
											$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
											while($row_user=mysqli_fetch_array($result_user))
											{
												?><option value='<?=$row_user['id']?>' <?php if($row_user['id']==$row['user']){echo'selected';}?>><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?></option><?php
											}
											?>
												</select>
											</div>

										<?php endif; ?>

										<div class='form-group'>
											<label><b>Номер:</b></label>
											<input type='text' class='form-control number' name='number' maxlength='4' value="<?=$row['number']?>">
										</div>

										<div class='form-group <?=$data_date_time?>' id='datetime-div'>
											<label class="d-block"><b>Дата создания:</b></label>
											<input type='text' class='form-control datetimepicker' name='datetime' value='<?=$row['date_time']?>' maxlength='19' autocomplete="off">
										</div>

										<div class='form-group'>
											<label><b>Тип страницы:</b></label>
											<select class='form-control' name='data_type'>
												<?php
												$result_data_type=mysqli_query($mysqli,'SELECT id,title from '.DB_PREFIX.'data_types where data_type="pages" order by number asc, id asc');
												while($row_data_type=mysqli_fetch_array($result_data_type))
												{
													?>
													<option value="<?=$row_data_type['id']?>" <?php if($page_data_type==$row_data_type['id']) echo 'selected'; ?>><?=htmlspecialchars($row_data_type['title'],ENT_QUOTES)?></option>
													<?php
												}
												?>
												<option value="0" <?php if($page_data_type==0) echo 'selected'; ?>>Типовая страница</option>
											</select>
										</div>

										<div class='form-group'>

											<div class='checkbox'>
												<label>
													<input type='checkbox' <?php if($row['hide']==1){echo' checked';}?> name='hide' value='1'> <b>Скрыть страницу</b>
												</label>
											</div>

											<div class='checkbox translit_update'>
												<label>
													<input type='checkbox' name='translit_update' value='1'> Сгенерировать Транслит из Заголовка
												</label>
											</div>

											<div class='checkbox checkbox_data_type_update'>
												<label>
													<input type='checkbox' name='data_type_update' value='1'> <span class='text-danger'>Обновить тип данных</span>
												</label>
											</div>

											<div class='checkbox data_type_update d-none' style="padding-left: 17px;">
												<label>
													<input type='checkbox' name='update_catalog' value='1'> Обновить каталог
												</label>
											</div>

											<div class='checkbox data_type_update d-none' style="padding-left: 17px;">
												<label>
													<input type='checkbox' name='update_dynamic_section' value='1'> Обновить динамические блоки
												</label>
											</div>

											<div class='checkbox'>
												<label>
													<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Скопировать страницу</span>
												</label>
											</div>

											<div class='checkbox record_edit d-none' style="padding-left: 17px;">
												<label>
													<input type='checkbox' name='record_edit_new_translit' value='1'> Учитывать текущий Транслит при копировании
												</label>
											</div>

										</div>

									</blockquote>
								</div>
							</div>

							<input type='hidden' name='hidden' value='<?=$_GET['id']?>'>

							<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

						</form>

						<br><br>

						<div class='form-group'>
							<label>Адрес страницы:</label> &nbsp;<a href='<?=pageURI::Display($_GET['id'],'/')?>' target='_blank' class='tooltip-element' data-toggle='tooltip' data-placement='top' title='Открыть в новом окне'><span class='glyphicon glyphicon-new-window'></span></a>
							<input type='text' class='form-control' value='<?=pageURI::Display($_GET['id'],'/')?>' onclick='this.select();'>
							<p class='form-text text-muted'>Нажмите на поле для выделения</p>
						</div>

						<?=date_time($row['user'],$row['user_update'],$row['date_time'],$row['date_time_update'])?>

						<?php
					}
			}
	}

	// Запись отредактированной информации
	elseif(isset($record_edit))
	{
		$title=trim(mysqli_escape_string($mysqli,$title));
		$tip=trim(mysqli_escape_string($mysqli,$tip));
		$demo=trim(mysqli_escape_string($mysqli,$demo));
		$text=trim(mysqli_escape_string($mysqli,$text));
		$tags=trim(mysqli_escape_string($mysqli,$tags));

		// Если транслит не задан, генерируем его автоматически
		if(trim($translit)=='' || isset($translit_update))
		{
			$translit = translit($title);
		}

		$translit = translit($translit);

		// Если транслит не соответствует условиям, добавляем соль в виде следующего ID
		if(
				count_query('SELECT id FROM '.DB_PREFIX.'pages where translit = "'.$translit.'" && id !='.$hidden)>0 ||
				mb_strlen(trim($translit)) <=2 ||
				file_exists('../'.$translit)
			)
		{
			$translit = $translit.'-'.$hidden;
		}

		// Заглушки
		if(isset($page_index)){mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_index=0 where page_index=1');}else{$page_index=0;}
		if(isset($page_faq)){mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_faq=0 where page_faq=1');}else{$page_faq=0;}
		if(isset($page_tags)){mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_tags=0 where page_tags=1');}else{$page_tags=0;}
		if(!isset($section_index)){$section_index=0;}
		if(!isset($hide)){$hide=0;}
		if(!isset($comments)){$comments=0;}
		if(!isset($user)){$user=$admin_id;}

		if(trim($datetime)=='' || $datetime=='0000-00-00 00:00:00')
		{
			$row_datetime = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT date_time from '.DB_PREFIX.'pages where id='.$hidden));
			$datetime = $row_datetime['date_time'];
		}

		// Если задан тип данных, меняем настройки страницы
		if(isset($data_type_update) && $data_type!=0)
		{

			$row_data_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'data_types where id='.$data_type));

			if($row_data_type['page_index_checked']==1) { mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_index=0 where page_index=1'); $page_index = 1; } else { $page_index = 0; }
			if($row_data_type['page_faq_checked']==1) { mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_faq=0 where page_faq=1'); $page_faq = 1; } else { $page_faq = 0; }
			if($row_data_type['page_tags_checked']==1) { mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET page_tags=0 where page_tags=1'); $page_tags = 1; } else { $page_tags = 0; }
			if($row_data_type['comments_checked']==1) { $comments = 1; } else { $comments = 0; }
			if($row_data_type['section_index_checked']==1) { $section_index = 1; } else { $section_index = 0; }

			$template_page = $row_data_type['template_page'];
			$template_comments = $row_data_type['template_comments'];
			$template_faq = $row_data_type['template_faq'];
			$template_catalog = $row_data_type['template_catalog'];
			$template_navigation = $row_data_type['template_navigation'];

			// Если задано обновление каталога
			if(isset($update_catalog))
			{
				$section = $row_data_type['section'];
				$sections_data_type = $row_data_type['sections'];
			}

			// Если задано обновление динамических блоков
			if(isset($update_dynamic_section))
			{
				$dynamic_section_data_type = $row_data_type['dynamic_section'];
			}

		}

		if(mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET
		number="'.$number.'",
		user="'.$user.'",
		user_update="'.$admin_id.'",
		title="'.$title.'",
		tip="'.$tip.'",
		demo="'.$demo.'",
		translit="'.$translit.'",
		text="'.$text.'",
		hide="'.$hide.'",
		page_index="'.$page_index.'",
		page_faq="'.$page_faq.'",
		page_tags="'.$page_tags.'",
		comments="'.$comments.'",
		template_page="'.$template_page.'",
		template_comments="'.$template_comments.'",
		template_faq="'.$template_faq.'",
		template_catalog="'.$template_catalog.'",
		template_navigation="'.$template_navigation.'",
		section="'.$section.'",
		section_index="'.$section_index.'",
		tags="'.$tags.'",
		data_type="'.$data_type.'",
		date_time="'.$datetime.'",
		date_time_update="'.DATE_TIME.'"

		where id='.$hidden))
		{

			// Запись массива каталога
			if(isset($sections_data_type))
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="'.$sections_data_type.'" where id='.$hidden);
			}
			elseif(!empty($sections))
			{
				$sections_implode = implode(' ',$sections);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="'.$sections_implode.'" where id='.$hidden);
			}
			else
			{
				if(!isset($sections) && $section!=0)
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="'.$section.'" where id='.$hidden);
				}
				else
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET sections="" where id='.$hidden);
				}
			}

			// Запись массива динамических блоков
			if(isset($dynamic_section_data_type))
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET dynamic_section="'.$dynamic_section_data_type.'" where id='.$hidden);
			}
			elseif(!empty($dynamic_section))
			{
				$dynamic_section_implode = implode(' ',$dynamic_section);
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET dynamic_section="'.$dynamic_section_implode.'" where id='.$hidden);
			}
			else
			{
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'pages SET dynamic_section="" where id='.$hidden);
			}

			// Запись информации
			if($row=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages where id='.$hidden)))
			{
				?>

				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'>Страницы</a></li>
					<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?id=<?=$hidden?>'>Редактирование</a></li>
					<li class='breadcrumb-item active'>Запись</li>
					<?=pages_nav_plus($hidden)?>
				</ol>

				<div class='bd-callout bd-callout-info'>
					<h4>Информация успешно записана!</h4>
					<p><a href='<?=pageURI::Display($row['id'])?>' target='_blank'>Открыть страницу</a> в новом окне</p>
				</div>

				<?php
			}

			// Запись SEO-полей
			SEO::Record($hidden);

			// Запись дополнительных полей
			Fields::EditRecord($hidden,DATE_TIME,$admin_id);

			cache_delete();
		}
		else
		{
			echo $block_danger;
		}
	}
	// Список страниц
	else
	{
		// Если задано ограничение редактирования пользователем
		if($profile_access_edit_pages==1)
		{
			$where_all='where user='.$admin_id;
			$where_block='&& user='.$admin_id;
		}
		else
		{
			$where_all='';
			$where_block='';
		}

		// Сортировка
		pages_sort();

		// Если задан динамический блок
		if(isset($block))
		{
			if($row_data_base=mysqli_fetch_array(mysqli_query($mysqli,'SELECT code_where, data_base from '.DB_PREFIX.'blocks_dynamic where id='.$block)))
			{

				if($row_data_base['data_base']!=0)
				{
					$reg=$row_data_base['data_base'];
				}
				else
				{
					$reg=$block;
				}

				if($row_data_base['code_where']!=''){$where=$row_data_base['code_where'];}else{$where='dynamic_section REGEXP "'.db_sql('reg_start').$reg.db_sql('reg_end').'"';}

			}
		}

		// Блоки и сортировки
		if(!isset($block) && !isset($field,$sort))
		{
			$template_pagination=CURRENT_FILE.'?page=';
			$count_elements=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages '.$where_all));
		}
		elseif(isset($block) && !isset($field,$sort))
		{
			$template_pagination=CURRENT_FILE.'?block='.$block.'&page=';
			$count_elements=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages where '.$where.' '.$where_block));
		}
		elseif(!isset($block) && isset($field,$sort))
		{
			$template_pagination=CURRENT_FILE.'?field='.$field.'&sort='.$sort.'&page=';
			$count_elements=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages '.$where_all));
		}
		elseif(isset($block) && isset($field,$sort))
		{
			$template_pagination=CURRENT_FILE.'?block='.$block.'&field='.$field.'&sort='.$sort.'&page=';
			$count_elements=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages where '.$where.' '.$where_block));
		}

		// Постраничное разделение: начало
		pagination_header();

		// Вывод навигации
		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'>Страницы</li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?<?=new_type('pages','new_type','new')?>'>+ Создать страницу</a></li>
		</ol>

		<ul class='nav nav-tabs'>
			<li class='nav-item'><a href='<?=CURRENT_FILE?>' class='nav-link <?php if(!isset($block)){echo'active';}?>'>Все страницы <small class='text-muted'><?=$count_pages?></small></a>
		</li>
		<?php
		if(count_query('SELECT id FROM '.DB_PREFIX.'blocks_dynamic where data_type="pages"')>0)
		{
			$result_section_title=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'blocks_dynamic where data_type="pages" && hide_data=0 order by number asc, id asc');
			while($row_section_title=mysqli_fetch_array($result_section_title))
			{

				if($row_section_title['limit2']!=0 && $row_section_title['pagination']==0){$limit='limit '.$row_section_title['limit1'].','.$row_section_title['limit2'];}else{$limit='';}

				if($row_section_title['data_base']!=0)
				{
					if($row_section_title['code_where']!=''){$where_title=$row_section_title['code_where'];}else{$where_title='dynamic_section REGEXP "'.db_sql('reg_start').$row_section_title['data_base'].db_sql('reg_end').'"';}
					$count_pages_section=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages where '.$where_title.' '.$where_block.' '.$limit));
				}
				else
				{
					if($row_section_title['code_where']!=''){$where_title=$row_section_title['code_where'];}else{$where_title='dynamic_section REGEXP "'.db_sql('reg_start').$row_section_title['id'].db_sql('reg_end').'"';}
					$count_pages_section=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages where '.$where_title.' '.$where_block.' '.$limit));
				}

				?>
				<li class='nav-item'><a href='<?=CURRENT_FILE?>?block=<?=$row_section_title['id']?>' class='nav-link <?php if(isset($block) && $block==$row_section_title['id']){echo'active';}?>'><?=$row_section_title['title']?> <small class='text-muted'><?=$count_pages_section?></small></a></li>
				<?php
			}
		}
		echo"
		</ul>

		<br>

		<div class='tab-content'>
		";

		// Все страницы
		if(!isset($block))
		{
			?>
			<div class='tab-pane active' id='allpages'>

				<form role='form' action='_numbers.php' method='post' id='form-post'>
				<?php

				/* Таблица страниц: начало */
				pages_list_header();

				if(mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages '.$where_all))>0)
				{
					$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages '.$where_all.' order by '.$sorting.' limit '.$lpos.','.$links);
					while($row=mysqli_fetch_array($result))
					{
						$array_body = [
						'page_id' => $row['id'],
						'page_number' => $row['number'],
						'page_hide' => $row['hide'],
						'page_user' => $row['user'],
						'page_user_update' => $row['user_update'],
						'page_date' => $row['date_time'],
						'page_date_update' => $row['date_time_update'],
						'page_index' => $row['page_index'],
						'page_faq' => $row['page_faq'],
						'page_tags' => $row['page_tags'],
						'page_comments' => $row['comments'],
						'page_title' => $row['title'],
						'page_translit' => $row['translit'],
						'page_text' => $row['text'],
						];
						pages_list_body($array_body);
					}
				}

				pages_list_footer();
				/* Таблица страниц: конец */

				// Постраничное разделение: конец
				pagination_footer($template_pagination,$count_elements,$links,$pages_count,$show_link,$last_text,$next_text,$separator,$page);

				// Изменения листинга
				list_footer('pages');

				?>

				</form>

			</div>
			<?php
		}

		// Вывод страниц для блоков
		elseif(isset($block))
		{
			if($row_section=mysqli_fetch_array(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'blocks_dynamic where id="'.$block.'"')))
			{
				?>
				<div class='tab-pane active' id='<?=$row_section['id']?>'>
					<form role='form' action='_numbers.php' method='post' id='form-post'>
				<?php

				/* Таблица страниц: начало */
				pages_list_header();

				// Если сортировка не задана, то сортируем как в динамическом блоке
				if(!isset($sort))
				{
					if($row_section_block=mysqli_fetch_array(mysqli_query($mysqli,'SELECT code_sorting from '.DB_PREFIX.'blocks_dynamic where id="'.$block.'"')))
					{
						if($row_section_block['code_sorting']!=''){$sorting=$row_section_block['code_sorting'];}else{$sorting='number asc, id asc';}
					}
				}

				// Если задан лимит и нет постраничного разделения, то выводим ограниченное число данных
				if($row_section['limit2']!=0 && $row_section['pagination']==0){$limit='limit '.$row_section['limit1'].','.$row_section['limit2'];}else{$limit='limit '.$lpos.','.$links;}
				$q = 'SELECT id from '.DB_PREFIX.'pages where '.$where.' '.$where_block;
				if(mysqli_num_rows(mysqli_query($mysqli,$q))>0)
				{
					$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages where '.$where.' '.$where_block.' order by '.$sorting.' '.$limit);
					while($row=mysqli_fetch_array($result))
					{
						$array_body = [
						'page_id' => $row['id'],
						'page_number' => $row['number'],
						'page_hide' => $row['hide'],
						'page_user' => $row['user'],
						'page_user_update' => $row['user_update'],
						'page_date' => $row['date_time'],
						'page_date_update' => $row['date_time_update'],
						'page_index' => $row['page_index'],
						'page_faq' => $row['page_faq'],
						'page_tags' => $row['page_tags'],
						'page_comments' => $row['comments'],
						'page_title' => $row['title'],
						'page_translit' => $row['translit'],
						'page_text' => $row['text'],
						];
						pages_list_body($array_body);
					}
				}

				pages_list_footer();
				/* Таблица страниц: конец */

				// Постраничное разделение: конец
				pagination_footer($template_pagination,$count_elements,$links,$pages_count,$show_link,$last_text,$next_text,$separator,$page);

				// Изменения листинга
				list_footer('pages');

				?>

				</form>

				</div>
				<?php
			}
		}

		?>
		</div>
		<?php
	}
}

require_once('include/footer.php');