<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_pages_comments==0)
	{
		echo $block_profile_danger;
	}
else
	{
		// Редактирование комментария
		if(isset($id))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='pages.php'>Страницы</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Комментарии</a></li>
					<li class='breadcrumb-item active'>Редактирование</li>
				</ol>
				";
				if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."pages_comments where id='$id'")))
					{
						echo"
						<form role='form' action='".CURRENT_FILE."' method='post'>

							<div class='form-group' id='datetime-div'>
								<label><b>Дата создания:</b></label>
								<input type='text' class='form-control' name='datetime' id='datetime' value='$row[date_time]' maxlength='19'>
							</div>
							<div class='form-group'>
								<label><b>Имя:</b></label>
								<input type='text' class='form-control' name='name' value='".htmlspecialchars($row['name'],ENT_QUOTES)."'>
							</div>
							<div class='form-group'>
								<label><b>E-mail:</b></label>
								<input type='text' class='form-control' name='mail' value='".htmlspecialchars($row['mail'],ENT_QUOTES)."'>
							</div>
							<div class='form-group'>
								<label><b>Комментарий:</b></label>
								<textarea class='form-control demo' name='text'>".htmlspecialchars($row['text'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<div class='checkbox'>
									<label>
										<input type='checkbox' name='hide' value='1'";if($row['hide']==1){echo" checked";}echo"> Скрыть
									</label>
								</div>
							</div>

							<input type='hidden' name='hidden' value='$id'>

							<button type='submit' class='btn btn-primary' name='record_edit_comment'>Записать</button>

						</form>
						";
					}
			}
		// Запись отредактированного комментария
		elseif(isset($record_edit_comment))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='pages.php'>Страницы</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Комментарии</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."?id=$hidden'>Редактирование</a></li>
					<li class='breadcrumb-item active'>Запись</li>
				</ol>
				";
				$name=mysqli_escape_string($mysqli,$name);
				$text=mysqli_escape_string($mysqli,$text);
				if(!isset($hide)){$hide=0;}

				if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."pages_comments SET date_time='$datetime',name='$name',mail='$mail',text='$text',hide='$hide' where id='$hidden'"))
					{
						echo $block_info;
						cache_delete();
					}
				else
					{
						echo $block_danger;
					}
			}
		// Список комментариев
		else
			{
				// Предварительные переменные постраничного разделения
				$links=50; // количество данных на странице
				$show_link=9; // количество отображаемых ссылок; нагляднее будет, когда это число будет парное
				$last_text="&laquo;"; // текст для ссылки на первую страницу
				$next_text="&raquo;"; // текст для ссылки на последнюю страницу
				$separator=""; // разделитель ссылок

				$template_pagination=CURRENT_FILE."?page=";
				$count_elements=mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages_comments"));

				if(!isset($_GET["page"]) || ($page=intval($_GET["page"]))<1)
					{
						$page=1;
					}
				else
					{
						$page=(int)$page;
					}
				$pages_count=ceil($count_elements/$links); // Количество страниц
				if($page>$pages_count) $page = $pages_count;
				$page_for_query = $page-1;
				$lpos = $page_for_query * $links;

				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='pages.php'>Страницы</a></li>
					<li class='breadcrumb-item active'>Комментарии</li>
				</ol>

				<form role='form' method='post'>
					<div class='table-responsive'>
						<table class='table table-hover table-pages'>
							<thead>
								<tr>
									<th>Страница</th>
									<th class='text-center'>Дата</th>
									<th class='text-center'>Имя</th>
									<th class='text-center'>E-mail</th>
									<th>Комментарий</th>
									<th class='text-center'>Операции</th>
								</tr>
							</thead>
							<tbody>
				";

				if($count_elements>0)
					{
						$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."pages_comments order by id desc limit $lpos,$links");
						while($row=mysqli_fetch_array($result))
							{
								$text=htmlspecialchars(mb_substr($row['text'],0,100),ENT_QUOTES);
								echo"
								<tr";
								if($row['hide']==1){echo" class='table-danger'";}
								echo">
									<td>
								";
								if($row_page=mysqli_fetch_array(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."pages where id='$row[page]'")))
									{
										echo"<b>".htmlspecialchars($row_page['title'],ENT_QUOTES)."</b>";
									}
								echo"
									</td>
									<td class='text-nowrap text-center'>
										"; echo date_formated($row['date_time']); echo"
									</td>
									<td class='text-center'>
										<abbr class='tooltip-element' data-toggle='tooltip' data-placement='top' title='$row[ip]'>$row[name]</abbr>
									</td>
									<td class='text-center text-nowrap'>
									";
									if($row['mail']==''){echo"&mdash;";}else{echo"<a href='mailto:$row[mail]'>$row[mail]</a>";}
								echo"
									</td>
									<td>
										$text
									</td>
									<td class='text-center text-nowrap'>
									";
									if($row_page=mysqli_fetch_array(mysqli_query($mysqli,"SELECT id,title,translit from ".DB_PREFIX."pages where id='$row[page]'")))
									{
										echo"
										<a href='".pageURI::Display($row['id'])."#comment-$row[id]' target=_blank class='btn btn-secondary btn-sm'>
											<span class='glyphicon glyphicon-new-window'></span>
										</a>
										";
									}
								echo"
										<a href='".CURRENT_FILE."?id=$row[id]' class='btn btn-secondary btn-sm'>
											<span class='glyphicon glyphicon-pencil'></span>
										</a>
										<a href=#delete class='btn btn-secondary btn-sm' data-target='#modal$row[id]' data-toggle='modal'>
											<span class='glyphicon glyphicon-remove'></span>
										</a>
										<div class='modal fade' id='modal$row[id]' tabindex='-1' role='dialog' aria-hidden='true'>
											<div class='modal-dialog modal-sm'>
												<div class='modal-content'>
													<div class='modal-body'>
														<h4>Вы действительно хотите удалить этот комментарий?</h4>
													</div>
													<div class='modal-footer'>
														<a href='_delete.php?comment=$row[id]' class='btn btn-danger'>Удалить навсегда</a> <button type=button class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
													</div>
												</div>
											</div>
										</div>

									</td>
								</tr>
								";
							}
					}

				echo"
						</tbody>
					</table>
				</div>
				";

				// Постраничный вывод
				if($count_elements>$links)
					{
						echo"
						<nav>
							<ul class='pagination pagination-sm'>
						";

						if($pages_count<=$show_link+1) $show_dots="no";
						$begin=$page-intval($show_link/2);
						if($begin>2 && !isset($show_dots)) echo"<li class='page-item'><a class='page-link' href='".$template_pagination."1'>".$last_text."</a></li> ";
						for($j=0;$j<$page;$j++)
						if($begin+$show_link-$j>$pages_count && $pages_count-$show_link+$j>0)
							{
								$page_link=$pages_count-$show_link+$j;
								if (!isset($show_dots)&& $pages_count-$show_link>1)
								{echo" <li class='page-item'><a class='page-link' href='$template_pagination",$page_link-1,"'>&hellip;</a></li> "; $show_dots="no";}
								echo" <li class='page-item'><a class='page-link' href='$template_pagination".$page_link."'>".$page_link."</a></li> ".$separator;
							}
						else continue;
						for($j=0;$j<=$show_link;$j++){$i=$begin+$j;if($i<1){$show_link++;continue;}
						if(!isset($show_dots)&&$begin>1)
						{echo" <li class='page-item'><a  class='page-link' href='$template_pagination",$i-1,"'>&hellip;</a></li> "; $show_dots="no";}
						if($i>$pages_count) break; if($i==$page)
						{echo "<li class='page-item active'><span class='page-link'>$i</span></li>";} else echo" <li class='page-item'><a class='page-link' href='$template_pagination".$i."'>".$i."</a></li> ";
						if($i != $pages_count && $j != $show_link) echo $separator;
						if($j==$show_link && $i<$pages_count) echo" <li class='page-item'><a class='page-link'href='$template_pagination",$i+1,"'>&hellip;</a></li> ";}
						if($begin+$show_link+1<$pages_count) echo" <li class='page-item'><a class='page-link'href='$template_pagination".$pages_count."'>".$next_text."</a></li>";

						echo"
							</ul>
						</nav>
						";
					}

				echo"
				</form>
				";
			}
	}

require_once('include/footer.php');