<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_templates==0)
	{
		echo $block_profile_danger;
	}
else
	{
		// Новый шаблон
		if(isset($new))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны вопросов</a></li>
					<li class='breadcrumb-item active'>Новый</li>
				</ol>

				<form role='form' action='".CURRENT_FILE."' method='post'>

					<div class='form-group' id='title-div'>
						<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
						<input type='text' class='form-control' id='title' name='title' maxlength='255'>
						<p class='form-text text-muted'>до 255 символов</p>
					</div>

					<div class='form-group'>
						<label><b>Обрамление (начало):</b></label>
						<textarea class='form-control demo codemirror' name='frame1'></textarea>
					</div>
					<div class='form-group'>
						<label><b>Шаблон:</b></label>
						<textarea class='form-control demo codemirror' name='template'></textarea>
					</div>
					<div class=form-group>
						<label><b>Обрамление (конец):</b></label>
						<textarea class='form-control demo codemirror' name='frame2'></textarea>
					</div>
					<div class='form-group'>
						<label><b>Код сортировки:</b></label>
						<input type=text class='form-control' name='sort_code'>
					</div>
					<div class='form-group'>
						<label><b>Лимит:</b></label>
						<div class='form-inline'>
							<input type='text' class='form-control mr-sm-2 number' name='limit1' value='0'> <input type='text' class='form-control number' name='limit2' value='0'>
						</div>
					</div>
					<div class='form-group'>
						<div class='checkbox'>
							<label>
								<input type='checkbox' name='pagination' value='1'> <b>Постраничное разделение</b>
							</label>
						</div>
					</div>

					<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

				</form>
				";
			}
		// Запись нового шаблона
		elseif(isset($record_new) || isset($record_edit_new))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны вопросов</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."?new'>Новый</a></li>
					<li class='breadcrumb-item active'>Запись</li>
				</ol>
				";

				$title=mysqli_escape_string($mysqli,$title);
				$template=mysqli_escape_string($mysqli,$template);
				$frame1=mysqli_escape_string($mysqli,$frame1);
				$frame2=mysqli_escape_string($mysqli,$frame2);
				$sort_code=trim($sort_code);

				if(!isset($pagination)){$pagination=0;}

				if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."templates_faq (
				user,
				title,
				template,
				frame1,
				frame2,
				sort_code,
				limit1,
				limit2,
				pagination,
				date_time
				) VALUES (
				'$admin_id',
				'$title',
				'$template',
				'$frame1',
				'$frame2',
				'$sort_code',
				'$limit1',
				'$limit2',
				'$pagination',
				'".DATE_TIME."'
				)"))
					{
						echo $block_info;
						cache_delete();
					}
				else
					{
						echo $block_danger;
					}
			}
		// Редактирование шаблона
		elseif(isset($id))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны вопросов</a></li>
					<li class='breadcrumb-item active'>Редактирование</li>
					<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать шаблон</a></li>
				</ol>
				";

				if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."templates_faq where id='$id'")))
					{
						echo"
						<form role='form' action='".CURRENT_FILE."' method='post'>

							<div class='form-group' id='title-div'>
								<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<input type='text' class='form-control' id='title' name='title' maxlength='255' value='".htmlspecialchars($row['title'],ENT_QUOTES)."'>
								<p class='form-text text-muted'>до 255 символов</p>
							</div>

							<div class='form-group'>
								<label><b>Обрамление (начало):</b></label>
								<textarea class='form-control demo codemirror' name='frame1'>".htmlspecialchars($row['frame1'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<label><b>Шаблон:</b></label>
								<textarea class='form-control demo codemirror' name='template'>".htmlspecialchars($row['template'],ENT_QUOTES)."</textarea>
							</div>
							<div class=form-group>
								<label><b>Обрамление (конец):</b></label>
								<textarea class='form-control demo codemirror' name='frame2'>".htmlspecialchars($row['frame2'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<label><b>Код сортировки:</b></label>
								<input type=text class='form-control' name='sort_code' value='".htmlspecialchars($row['sort_code'],ENT_QUOTES)."'>
							</div>
							<div class='form-group'>
								<label><b>Лимит:</b></label>
								<div class='form-inline'>
									<input type='text' class='form-control mr-sm-2 number' name='limit1' value='$row[limit1]'> <input type='text' class='form-control number' name='limit2' value='$row[limit2]'>
								</div>
							</div>
							<div class='form-group'>
								<div class='checkbox'>
									<label>
										<input type='checkbox'";if($row['pagination']==1){echo" checked";}echo" name='pagination' value='1'> <b>Постраничное разделение</b>
									</label>
								</div>
								<div class='checkbox'>
									<label>
										<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Создать новый шаблон</span>
									</label>
								</div>
							</div>

							<input type='hidden' name='hidden' value='$id'>

							<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

						</form>
						";
						date_time($row['user'],$row['user_update'],$row['date_time'],$row['date_time_update']);
					}
			}
		// Запись отредактированного шаблона
		elseif(isset($record_edit))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны вопросов</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."?id=$hidden'>Редактирование</a></li>
					<li class='breadcrumb-item active'>Запись</li>
					<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать шаблон</a></li>
				</ol>
				";

				$title=mysqli_escape_string($mysqli,$title);
				$template=mysqli_escape_string($mysqli,$template);
				$frame1=mysqli_escape_string($mysqli,$frame1);
				$frame2=mysqli_escape_string($mysqli,$frame2);
				$sort_code=trim($sort_code);

				if(!isset($pagination)){$pagination=0;}

				if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."templates_faq SET
				user_update='$admin_id',
				title='$title',
				template='$template',
				frame1='$frame1',
				frame2='$frame2',
				sort_code='$sort_code',
				limit1='$limit1',
				limit2='$limit2',
				pagination='$pagination',
				date_time_update='".DATE_TIME."'
				where id='$hidden'"))
					{
						echo $block_info;
						cache_delete();
					}
				else
					{
						echo $block_danger;
					}
			}
		// Список шаблонов
		else
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item active'>Шаблоны вопросов</li>
					<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать шаблон</a></li>
				</ol>

				<form role='form' action='_numbers.php' method='post'>
					<div class='table-responsive'>
						<table class='table table-hover table-pages'>
							<thead>
								<tr>
									<th class='pl-4'>#</th>
									<th>Заголовок</th>
									<th class='text-center'>Дата создания</th>
									<th class='text-center'>Дата изменения</th>
									<th class='text-center'>Операции</th>
								</tr>
							</thead>
							<tbody class='dragula-container'>
				";

				$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."templates_faq order by number asc, id asc");
				while($row=mysqli_fetch_array($result))
					{
						$quotes_title=htmlspecialchars($row['title'],ENT_QUOTES);
						echo"
							<td>
								<input type='text' name='id[$row[id]]' value='$row[number]' class='form-control form-control-sm number draggable' maxlength='10' autocomplete='off'>
							</td>
							<td>
								<b>$quotes_title</b>
							</td>
							<td class='text-center text-nowrap'>
								<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user']);	echo"'>"; date_formated($row['date_time']); echo"</abbr>
							</td>
							<td class='text-center text-nowrap'>
						";
							if($row['date_time_update']=='1000-01-01 00:00:00'){echo"&mdash;";}
							else
								{
									echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
									date_formated($row['date_time_update']);
									echo"</abbr>";
								}
						echo"
							</td>
							<td class='text-center text-nowrap'>

								<a href='".CURRENT_FILE."?id=$row[id]' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'>
									</span>
								</a>

								<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal$row[id]' data-toggle='modal'>
									<span class='glyphicon glyphicon-remove'></span>
								</a>
								<div class='modal fade' id='modal$row[id]' tabindex='-1' role='dialog' aria-hidden='true'>
									<div class='modal-dialog modal-sm'>
										<div class='modal-content'>
											<div class='modal-body'>
												<h4>Вы действительно хотите удалить этот шаблон?</h4>
											</div>
											<div class='modal-footer'>
												<a href='_delete.php?faq_template_id=$row[id]' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
											</div>
										</div>
									</div>
								</div>

							</td>
						</tr>
						";
					}
				echo"
						</tbody>
					</table>
				</div>
					<hr>
					<button type='submit' class='btn btn-secondary btn-sm' name='btn-secondary'>Изменить порядок</button>
				</form>
				";
			}
	}

require_once('include/footer.php');