/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `cms`
--

-- --------------------------------------------------------

--
-- Структура таблицы `admin`
--

DROP TABLE IF EXISTS `admin`;

CREATE TABLE `admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '0',
  `mail` varchar(255) NOT NULL DEFAULT '0',
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `admin` int(1) NOT NULL DEFAULT '0',
  `login_settings` int(1) NOT NULL DEFAULT '0',
  `login_fields` int(1) NOT NULL DEFAULT '0',
  `login_pages` int(1) NOT NULL DEFAULT '0',
  `login_elements` int(1) NOT NULL DEFAULT '0',
  `login_pages_search` int(1) NOT NULL DEFAULT '0',
  `login_pages_comments` int(1) NOT NULL DEFAULT '0',
  `login_blocks_static` int(1) NOT NULL DEFAULT '0',
  `login_blocks_dynamic` int(1) NOT NULL DEFAULT '0',
  `login_catalog` int(1) NOT NULL DEFAULT '0',
  `login_faq` int(1) NOT NULL DEFAULT '0',
  `login_templates` int(1) NOT NULL DEFAULT '0',
  `login_data_types` int(1) NOT NULL DEFAULT '0',
  `edit_pages` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `admin`
--

INSERT INTO `admin` (`id`, `name`, `mail`, `password`, `date_time_update`, `admin`, `login_settings`, `login_fields`, `login_pages`, `login_elements`, `login_pages_search`, `login_pages_comments`, `login_blocks_static`, `login_blocks_dynamic`, `login_catalog`, `login_faq`, `login_templates`, `login_data_types`, `edit_pages`) VALUES
(1, 'Администратор', 'a@a.com', 'admins', NOW(), 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `backup`
--

DROP TABLE IF EXISTS `backup`;

CREATE TABLE `backup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(1) NOT NULL DEFAULT '1',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `hash` varchar(32) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- --------------------------------------------------------

--
-- Структура таблицы `blocks_dynamic`
--

DROP TABLE IF EXISTS `blocks_dynamic`;

CREATE TABLE `blocks_dynamic` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `hide` int(1) NOT NULL DEFAULT '0',
  `hide_data` int(1) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `template_default` text DEFAULT NULL,
  `template_checked` text DEFAULT NULL,
  `template_index_default` text DEFAULT NULL,
  `template_index_checked` text DEFAULT NULL,
  `frame1` text DEFAULT NULL,
  `frame2` text DEFAULT NULL,
  `code_sorting` varchar(255) NOT NULL DEFAULT '',
  `code_where` varchar(255) NOT NULL DEFAULT '',
  `limit1` int(11) NOT NULL DEFAULT '0',
  `limit2` int(11) NOT NULL DEFAULT '0',
  `pagination` int(1) NOT NULL DEFAULT '0',
  `data_base` int(1) NOT NULL DEFAULT '0',
  `data_type` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `blocks_dynamic`
--

INSERT INTO `blocks_dynamic` (`id`, `number`, `hide`, `hide_data`, `date_time`, `user`, `title`, `template_default`, `template_checked`, `template_index_default`, `template_index_checked`, `frame1`, `frame2`, `code_sorting`, `code_where`, `limit1`, `limit2`, `pagination`, `data_base`, `data_type`) VALUES
(1, 0, 0, 0, NOW(), 1, 'Меню', '<li><a href=\"<?=cmsPageURI::Display([\'page\'=>$row[\'id\']])?>\"><?=$row[\'title\']?></a></li>', '<li><a href=\"<?=cmsPageURI::Display([\'page\'=>$row[\'id\']])?>\" class=\"active\"><?=$row[\'title\']?></a></li>', '<li><a href=\"/\"><?=$row[\'tip\']?></a></li>', '<li><a href=\"/\" class=\"active\"><?=$row[\'tip\']?></a></li>', '<ul class=\"menu\">', '</ul>', '', '', 0, 0, 0, 0, 'pages');

-- --------------------------------------------------------

--
-- Структура таблицы `blocks_static`
--

DROP TABLE IF EXISTS `blocks_static`;

CREATE TABLE `blocks_static` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
   `number` int(11) NOT NULL DEFAULT '0',
  `hide` int(1) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `template` text DEFAULT NULL,
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `blocks_static`
--

INSERT INTO `blocks_static` (`id`, `title`, `template`, `date_time`, `user`) VALUES
(1, 'Компания', '', NOW(), 1);

-- --------------------------------------------------------

--
-- Структура таблицы `faq`
--

DROP TABLE IF EXISTS `faq`;

CREATE TABLE `faq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_answer` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `ip` varchar(15) NOT NULL DEFAULT '',
  `phone` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `mail` varchar(255) NOT NULL DEFAULT '',
  `question` text DEFAULT NULL,
  `spec` varchar(255) NOT NULL DEFAULT '',
  `answer` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `seo`
--

DROP TABLE IF EXISTS `seo`;

CREATE TABLE `seo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lang` char(2) NOT NULL DEFAULT '',
  `page` int(11) NOT NULL DEFAULT '0',
  `type` varchar(255) NOT NULL DEFAULT '',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `lang`
--

DROP TABLE IF EXISTS `lang`;

CREATE TABLE `lang` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` char(255) DEFAULT NULL,
  `title_header` text DEFAULT NULL,
  `value` char(2) DEFAULT NULL,
  `lang_index` int(1) NOT NULL DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `lang`
--

INSERT INTO `lang` (`id`, `title`, `title_header`, `value`, `lang_index`, `active`) VALUES
(1, 'English', '<?=cms_headers_title();?>', 'en', 0, 0),
(2, 'Afar', '<?=cms_headers_title();?>', 'aa', 0, 0),
(3, 'Abkhazian', '<?=cms_headers_title();?>', 'ab', 0, 0),
(4, 'Afrikaans', '<?=cms_headers_title();?>', 'af', 0, 0),
(5, 'Amharic', '<?=cms_headers_title();?>', 'am', 0, 0),
(6, 'Arabic', '<?=cms_headers_title();?>', 'ar', 0, 0),
(7, 'Assamese', '<?=cms_headers_title();?>', 'as', 0, 0),
(8, 'Aymara', '<?=cms_headers_title();?>', 'ay', 0, 0),
(9, 'Azerbaijani', '<?=cms_headers_title();?>', 'az', 0, 0),
(10, 'Bashkir', '<?=cms_headers_title();?>', 'ba', 0, 0),
(11, 'Belarusian', '<?=cms_headers_title();?>', 'be', 0, 0),
(12, 'Bulgarian', '<?=cms_headers_title();?>', 'bg', 0, 0),
(13, 'Bihari', '<?=cms_headers_title();?>', 'bh', 0, 0),
(14, 'Bislama', '<?=cms_headers_title();?>', 'bi', 0, 0),
(15, 'Bengali/Bangla', '<?=cms_headers_title();?>', 'bn', 0, 0),
(16, 'Tibetan', '<?=cms_headers_title();?>', 'bo', 0, 0),
(17, 'Breton', '<?=cms_headers_title();?>', 'br', 0, 0),
(18, 'Catalan', '<?=cms_headers_title();?>', 'ca', 0, 0),
(19, 'Corsican', '<?=cms_headers_title();?>', 'co', 0, 0),
(20, 'Czech', '<?=cms_headers_title();?>', 'cs', 0, 0),
(21, 'Welsh', '<?=cms_headers_title();?>', 'cy', 0, 0),
(22, 'Danish', '<?=cms_headers_title();?>', 'da', 0, 0),
(23, 'German', '<?=cms_headers_title();?>', 'de', 0, 0),
(24, 'Bhutani', '<?=cms_headers_title();?>', 'dz', 0, 0),
(25, 'Greek', '<?=cms_headers_title();?>', 'el', 0, 0),
(26, 'Esperanto', '<?=cms_headers_title();?>', 'eo', 0, 0),
(27, 'Spanish', '<?=cms_headers_title();?>', 'es', 0, 0),
(28, 'Estonian', '<?=cms_headers_title();?>', 'et', 0, 0),
(29, 'Basque', '<?=cms_headers_title();?>', 'eu', 0, 0),
(30, 'Persian', '<?=cms_headers_title();?>', 'fa', 0, 0),
(31, 'Finnish', '<?=cms_headers_title();?>', 'fi', 0, 0),
(32, 'Fiji', '<?=cms_headers_title();?>', 'fj', 0, 0),
(33, 'Faeroese', '<?=cms_headers_title();?>', 'fo', 0, 0),
(34, 'French', '<?=cms_headers_title();?>', 'fr', 0, 0),
(35, 'Frisian', '<?=cms_headers_title();?>', 'fy', 0, 0),
(36, 'Irish', '<?=cms_headers_title();?>', 'ga', 0, 0),
(37, 'Scots/Gaelic', '<?=cms_headers_title();?>', 'gd', 0, 0),
(38, 'Galician', '<?=cms_headers_title();?>', 'gl', 0, 0),
(39, 'Guarani', '<?=cms_headers_title();?>', 'gn', 0, 0),
(40, 'Gujarati', '<?=cms_headers_title();?>', 'gu', 0, 0),
(41, 'Hausa', '<?=cms_headers_title();?>', 'ha', 0, 0),
(42, 'Hindi', '<?=cms_headers_title();?>', 'hi', 0, 0),
(43, 'Croatian', '<?=cms_headers_title();?>', 'hr', 0, 0),
(44, 'Hungarian', '<?=cms_headers_title();?>', 'hu', 0, 0),
(45, 'Armenian', '<?=cms_headers_title();?>', 'hy', 0, 0),
(46, 'Interlingua', '<?=cms_headers_title();?>', 'ia', 0, 0),
(47, 'Interlingue', '<?=cms_headers_title();?>', 'ie', 0, 0),
(48, 'Inupiak', '<?=cms_headers_title();?>', 'ik', 0, 0),
(49, 'Indonesian', '<?=cms_headers_title();?>', 'in', 0, 0),
(50, 'Icelandic', '<?=cms_headers_title();?>', 'is', 0, 0),
(51, 'Italian', '<?=cms_headers_title();?>', 'it', 0, 0),
(52, 'Hebrew', '<?=cms_headers_title();?>', 'iw', 0, 0),
(53, 'Japanese', '<?=cms_headers_title();?>', 'ja', 0, 0),
(54, 'Yiddish', '<?=cms_headers_title();?>', 'ji', 0, 0),
(55, 'Javanese', '<?=cms_headers_title();?>', 'jw', 0, 0),
(56, 'Georgian', '<?=cms_headers_title();?>', 'ka', 0, 0),
(57, 'Kazakh', '<?=cms_headers_title();?>', 'kk', 0, 0),
(58, 'Greenlandic', '<?=cms_headers_title();?>', 'kl', 0, 0),
(59, 'Cambodian', '<?=cms_headers_title();?>', 'km', 0, 0),
(60, 'Kannada', '<?=cms_headers_title();?>', 'kn', 0, 0),
(61, 'Korean', '<?=cms_headers_title();?>', 'ko', 0, 0),
(62, 'Kashmiri', '<?=cms_headers_title();?>', 'ks', 0, 0),
(63, 'Kurdish', '<?=cms_headers_title();?>', 'ku', 0, 0),
(64, 'Kirghiz', '<?=cms_headers_title();?>', 'ky', 0, 0),
(65, 'Latin', '<?=cms_headers_title();?>', 'la', 0, 0),
(66, 'Lingala', '<?=cms_headers_title();?>', 'ln', 0, 0),
(67, 'Laothian', '<?=cms_headers_title();?>', 'lo', 0, 0),
(68, 'Lithuanian', '<?=cms_headers_title();?>', 'lt', 0, 0),
(69, 'Latvian/Lettish', '<?=cms_headers_title();?>', 'lv', 0, 0),
(70, 'Malagasy', '<?=cms_headers_title();?>', 'mg', 0, 0),
(71, 'Maori', '<?=cms_headers_title();?>', 'mi', 0, 0),
(72, 'Macedonian', '<?=cms_headers_title();?>', 'mk', 0, 0),
(73, 'Malayalam', '<?=cms_headers_title();?>', 'ml', 0, 0),
(74, 'Mongolian', '<?=cms_headers_title();?>', 'mn', 0, 0),
(75, 'Moldavian', '<?=cms_headers_title();?>', 'mo', 0, 0),
(76, 'Marathi', '<?=cms_headers_title();?>', 'mr', 0, 0),
(77, 'Malay', '<?=cms_headers_title();?>', 'ms', 0, 0),
(78, 'Maltese', '<?=cms_headers_title();?>', 'mt', 0, 0),
(79, 'Burmese', '<?=cms_headers_title();?>', 'my', 0, 0),
(80, 'Nauru', '<?=cms_headers_title();?>', 'na', 0, 0),
(81, 'Nepali', '<?=cms_headers_title();?>', 'ne', 0, 0),
(82, 'Dutch', '<?=cms_headers_title();?>', 'nl', 0, 0),
(83, 'Norwegian', '<?=cms_headers_title();?>', 'no', 0, 0),
(84, 'Occitan', '<?=cms_headers_title();?>', 'oc', 0, 0),
(85, '(Afan)/Oromoor/Oriya', '<?=cms_headers_title();?>', 'om', 0, 0),
(86, 'Punjabi', '<?=cms_headers_title();?>', 'pa', 0, 0),
(87, 'Polish', '<?=cms_headers_title();?>', 'pl', 0, 0),
(88, 'Pashto/Pushto', '<?=cms_headers_title();?>', 'ps', 0, 0),
(89, 'Portuguese', '<?=cms_headers_title();?>', 'pt', 0, 0),
(90, 'Quechua', '<?=cms_headers_title();?>', 'qu', 0, 0),
(91, 'Rhaeto-Romance', '<?=cms_headers_title();?>', 'rm', 0, 0),
(92, 'Kirundi', '<?=cms_headers_title();?>', 'rn', 0, 0),
(93, 'Romanian', '<?=cms_headers_title();?>', 'ro', 0, 0),
(94, 'Russian', '<?=cms_headers_title();?>', 'ru', 1, 1),
(95, 'Kinyarwanda', '<?=cms_headers_title();?>', 'rw', 0, 0),
(96, 'Sanskrit', '<?=cms_headers_title();?>', 'sa', 0, 0),
(97, 'Sindhi', '<?=cms_headers_title();?>', 'sd', 0, 0),
(98, 'Sangro', '<?=cms_headers_title();?>', 'sg', 0, 0),
(99, 'Serbo-Croatian', '<?=cms_headers_title();?>', 'sh', 0, 0),
(100, 'Singhalese', '<?=cms_headers_title();?>', 'si', 0, 0),
(101, 'Slovak', '<?=cms_headers_title();?>', 'sk', 0, 0),
(102, 'Slovenian', '<?=cms_headers_title();?>', 'sl', 0, 0),
(103, 'Samoan', '<?=cms_headers_title();?>', 'sm', 0, 0),
(104, 'Shona', '<?=cms_headers_title();?>', 'sn', 0, 0),
(105, 'Somali', '<?=cms_headers_title();?>', 'so', 0, 0),
(106, 'Albanian', '<?=cms_headers_title();?>', 'sq', 0, 0),
(107, 'Serbian', '<?=cms_headers_title();?>', 'sr', 0, 0),
(108, 'Siswati', '<?=cms_headers_title();?>', 'ss', 0, 0),
(109, 'Sesotho', '<?=cms_headers_title();?>', 'st', 0, 0),
(110, 'Sundanese', '<?=cms_headers_title();?>', 'su', 0, 0),
(111, 'Swedish', '<?=cms_headers_title();?>', 'sv', 0, 0),
(112, 'Swahili', '<?=cms_headers_title();?>', 'sw', 0, 0),
(113, 'Tamil', '<?=cms_headers_title();?>', 'ta', 0, 0),
(114, 'Telugu', '<?=cms_headers_title();?>', 'te', 0, 0),
(115, 'Tajik', '<?=cms_headers_title();?>', 'tg', 0, 0),
(116, 'Thai', '<?=cms_headers_title();?>', 'th', 0, 0),
(117, 'Tigrinya', '<?=cms_headers_title();?>', 'ti', 0, 0),
(118, 'Turkmen', '<?=cms_headers_title();?>', 'tk', 0, 0),
(119, 'Tagalog', '<?=cms_headers_title();?>', 'tl', 0, 0),
(120, 'Setswana', '<?=cms_headers_title();?>', 'tn', 0, 0),
(121, 'Tonga', '<?=cms_headers_title();?>', 'to', 0, 0),
(122, 'Turkish', '<?=cms_headers_title();?>', 'tr', 0, 0),
(123, 'Tsonga', '<?=cms_headers_title();?>', 'ts', 0, 0),
(124, 'Tatar', '<?=cms_headers_title();?>', 'tt', 0, 0),
(125, 'Twi', '<?=cms_headers_title();?>', 'tw', 0, 0),
(126, 'Ukrainian', '<?=cms_headers_title();?>', 'uk', 0, 0),
(127, 'Urdu', '<?=cms_headers_title();?>', 'ur', 0, 0),
(128, 'Uzbek', '<?=cms_headers_title();?>', 'uz', 0, 0),
(129, 'Vietnamese', '<?=cms_headers_title();?>', 'vi', 0, 0),
(130, 'Volapuk', '<?=cms_headers_title();?>', 'vo', 0, 0),
(131, 'Wolof', '<?=cms_headers_title();?>', 'wo', 0, 0),
(132, 'Xhosa', '<?=cms_headers_title();?>', 'xh', 0, 0),
(133, 'Yoruba', '<?=cms_headers_title();?>', 'yo', 0, 0),
(134, 'Chinese', '<?=cms_headers_title();?>', 'cn', 0, 0),
(135, 'Zulu', '<?=cms_headers_title();?>', 'zu', 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `data_types`
--

DROP TABLE IF EXISTS `data_types`;

CREATE TABLE `data_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `data_type` varchar(255) NOT NULL DEFAULT '',
  `hide_new` int(1) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `notice` text DEFAULT NULL,
  `tip` int(1) NOT NULL DEFAULT '0',
  `demo` int(1) NOT NULL DEFAULT '0',
  `text` int(1) NOT NULL DEFAULT '0',
  `page_index` int(1) NOT NULL DEFAULT '0',
  `page_index_checked` int(1) NOT NULL DEFAULT '0',
  `page_faq` int(1) NOT NULL DEFAULT '0',
  `page_faq_checked` int(1) NOT NULL DEFAULT '0',
  `page_tags` int(1) NOT NULL DEFAULT '0',
  `page_tags_checked` int(1) NOT NULL DEFAULT '0',
  `comments` int(1) NOT NULL DEFAULT '0',
  `comments_checked` int(1) NOT NULL DEFAULT '0',
  `tags` int(1) NOT NULL DEFAULT '0',
  `templates_block` int(1) NOT NULL DEFAULT '0',
  `template_page` int(11) NOT NULL DEFAULT '1',
  `template_navigation` int(11) NOT NULL DEFAULT '1',
  `template_comments` int(11) NOT NULL DEFAULT '1',
  `template_faq` int(11) NOT NULL DEFAULT '1',
  `template_catalog` int(11) NOT NULL DEFAULT '1',
  `catalog_block` int(1) NOT NULL DEFAULT '0',
  `section` int(11) NOT NULL DEFAULT '0',
  `sections` varchar(1000) NOT NULL DEFAULT '',
  `section_index` int(1) NOT NULL DEFAULT '0',
  `section_index_checked` int(1) NOT NULL DEFAULT '0',
  `dynamic_block` int(1) NOT NULL DEFAULT '0',
  `dynamic_section` varchar(1000) NOT NULL DEFAULT '',
  `seo_block` int(1) NOT NULL DEFAULT '0',
  `users_block` int(1) NOT NULL DEFAULT '0',
  `date_time_block` int(1) NOT NULL DEFAULT '0',
  `fields_section` varchar(1000) NOT NULL DEFAULT '',
  `fields_name` varchar(1000) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `pages`
--

DROP TABLE IF EXISTS `pages`;

CREATE TABLE `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `counter` int(11) NOT NULL DEFAULT '0',
  `hide` int(1) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `tip` varchar(255) NOT NULL DEFAULT '',
  `demo` text DEFAULT NULL,
  `translit` varchar(255) NOT NULL DEFAULT '',
  `text` mediumtext DEFAULT NULL,
  `page_index` int(1) NOT NULL DEFAULT '0',
  `page_faq` int(1) NOT NULL DEFAULT '0',
  `page_tags` int(1) NOT NULL DEFAULT '0',
  `comments` int(1) NOT NULL DEFAULT '0',
  `tags` varchar(1000) NOT NULL DEFAULT '',
  `template_page` int(11) NOT NULL DEFAULT '1',
  `template_navigation` int(11) NOT NULL DEFAULT '1',
  `template_comments` int(11) NOT NULL DEFAULT '1',
  `template_faq` int(11) NOT NULL DEFAULT '1',
  `template_catalog` int(11) NOT NULL DEFAULT '1',
  `section` int(11) NOT NULL DEFAULT '0',
  `sections` varchar(1000) NOT NULL DEFAULT '',
  `section_index` int(1) NOT NULL DEFAULT '0',
  `dynamic_section` varchar(1000) NOT NULL DEFAULT '',
  `data_type` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `pages`
--

INSERT INTO `pages` (`id`, `date_time`, `user`, `title`, `tip`, `demo`, `translit`, `text`, `page_index`, `page_faq`, `page_tags`, `comments`, `tags`, `template_page`, `template_navigation`, `template_comments`, `template_faq`, `template_catalog`, `section`, `sections`, `section_index`, `dynamic_section`, `data_type`) VALUES
(1, NOW(), 1, 'Главная страница', 'Главная', '', 'glavnaya', '<p>Данный шаблон наглядно демонстрирует простоту и функциональность системы управления сайтом <a href=\"//cms-pages.ru\" target=\"_blank\">CMS Pages</a>.</p>\r\n<p>Убедится в этом можно, изучив систему управления изнутри.</p>\r\n<p>Вы также можете использовать этот шаблон для создания сайта-визитки собственной компании, заменив данные в админке.</p>\r\n<p>Шапку, футер и основной текст страниц сайта можно изменить в разделах <strong>Страницы</strong> и <strong>Блоки статические</strong>.</p>\r\n<br />\r\n<h3>Приятного иcпользования...</h3>', 1, 0, 0, 0, '', 1, 1, 1, 1, 1, 0, '', 0, '1', 0),
(2,  NOW(), 1, 'О компании', '', '', 'about', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi rutrum, turpis consequat sollicitudin accumsan, nisl eros hendrerit nisl, eu viverra nisi felis quis orci. Morbi in purus ex. Nunc feugiat efficitur viverra. Donec tincidunt lectus vel interdum ultricies. In hac habitasse platea dictumst. Ut dictum velit dapibus, sollicitudin elit auctor, lobortis mi. Nulla id sapien placerat, porttitor dolor bibendum, dapibus mauris. Sed et risus in sem mattis tincidunt.</p>\r\n<p>Sed ornare commodo massa, at viverra eros. Etiam et rhoncus lorem. Sed bibendum augue ac nunc dignissim aliquam. Phasellus blandit vel nisi ut accumsan. Donec tempor, mauris eu condimentum ornare, neque risus imperdiet leo, a consequat turpis libero varius erat. Donec ultricies velit nec mattis finibus. Proin in fermentum nulla. In non tellus sit amet enim rutrum consectetur eu et enim. Quisque vitae diam sed erat cursus maximus. Etiam sagittis, arcu ut volutpat commodo, nisi diam congue quam, et suscipit sapien erat in lectus. Nunc ac tellus diam. Maecenas blandit eget massa ac sagittis.</p>\r\n<p>Praesent pharetra ultrices nisl, a hendrerit velit molestie ac. Donec congue fermentum mi, sit amet bibendum tellus mattis in. Sed tempor suscipit ipsum nec condimentum. Ut sodales sem sit amet mauris ullamcorper, at accumsan mauris ultricies. Fusce consectetur consequat tellus, vel mattis nisi ornare non. Donec venenatis sodales mi interdum semper. Sed sollicitudin sem id ligula ullamcorper faucibus. Aliquam cursus velit quis diam gravida placerat. Praesent elementum, nibh at aliquet aliquet, urna dolor viverra nunc, lobortis venenatis odio lacus in mauris. Maecenas placerat semper nibh vitae euismod.</p>', 0, 0, 0, 0, '', 1, 1, 1, 1, 1, 0, '', 0, '1', 0),
(3,  NOW(), 1, 'Контакты', '', '', 'contacts', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi rutrum, turpis consequat sollicitudin accumsan, nisl eros hendrerit nisl, eu viverra nisi felis quis orci. Morbi in purus ex. Nunc feugiat efficitur viverra. Donec tincidunt lectus vel interdum ultricies. In hac habitasse platea dictumst.</p>', 0, 0, 0, 0, '', 3, 1, 1, 1, 1, 0, '', 0, '1', 0),
(4,  NOW(), 1, 'Политика конфиденциальности', '', '', 'policy', '<h2>1. Общие положения</h2>\r\n<ol>\r\n<li>Настоящая политика обработки персональных данных составлена в соответствии с требованиями Федерального закона от 27.07.2006. №152-ФЗ &laquo;О персональных данных&raquo; и определяет порядок обработки персональных данных и меры по обеспечению безопасности персональных данных ООО &laquo;Наша компания&raquo; (далее &ndash; Оператор).</li>\r\n<li>Оператор ставит своей важнейшей целью и условием осуществления своей деятельности соблюдение прав и свобод человека и гражданина при обработке его персональных данных, в том числе защиты прав на неприкосновенность частной жизни, личную и семейную тайну.</li>\r\n<li>Настоящая политика Оператора в отношении обработки персональных данных (далее &ndash; Политика) применяется ко всей информации, которую Оператор может получить о посетителях веб-сайта <a href=\"https://site.ru/policy\">https://site.ru</a>.</li>\r\n</ol>\r\n<h2>2. Основные понятия, используемые в Политике</h2>\r\n<ol>\r\n<li>Автоматизированная обработка персональных данных &ndash; обработка персональных данных с помощью средств вычислительной техники;</li>\r\n<li>Блокирование персональных данных &ndash; временное прекращение обработки персональных данных (за исключением случаев, если обработка необходима для уточнения персональных данных);</li>\r\n<li>Веб-сайт &ndash; совокупность графических и информационных материалов, а также программ для ЭВМ и баз данных, обеспечивающих их доступность в сети интернет по сетевому адресу <a href=\"https://site.ru/policy\">https://site.ru</a>;</li>\r\n<li>Информационная система персональных данных &mdash; совокупность содержащихся в базах данных персональных данных, и обеспечивающих их обработку информационных технологий и технических средств;</li>\r\n<li>Обезличивание персональных данных &mdash; действия, в результате которых невозможно определить без использования дополнительной информации принадлежность персональных данных конкретному Пользователю или иному субъекту персональных данных;</li>\r\n<li>Обработка персональных данных &ndash; любое действие (операция) или совокупность действий (операций), совершаемых с использованием средств автоматизации или без использования таких средств с персональными данными, включая сбор, запись, систематизацию, накопление, хранение, уточнение (обновление, изменение), извлечение, использование, передачу (распространение, предоставление, доступ), обезличивание, блокирование, удаление, уничтожение персональных данных;</li>\r\n<li>Оператор &ndash; государственный орган, муниципальный орган, юридическое или физическое лицо, самостоятельно или совместно с другими лицами организующие и (или) осуществляющие обработку персональных данных, а также определяющие цели обработки персональных данных, состав персональных данных, подлежащих обработке, действия (операции), совершаемые с персональными данными;</li>\r\n<li>Персональные данные &ndash; любая информация, относящаяся прямо или косвенно к определенному или определяемому Пользователю веб-сайта <a href=\"https://site.ru/policy\">https://site.ru</a>;</li>\r\n<li>Пользователь &ndash; любой посетитель веб-сайта <a href=\"https://site.ru/policy\">https://site.ru</a>;</li>\r\n<li>Предоставление персональных данных &ndash; действия, направленные на раскрытие персональных данных определенному лицу] или определенному кругу лиц;</li>\r\n<li>Распространение персональных данных &ndash; любые действия, направленные на раскрытие персональных данных неопределенному кругу лиц (передача персональных данных) или на ознакомление с персональными данными неограниченного круга лиц, в том числе обнародование персональных данных в средствах массовой информации, размещение в информационно-телекоммуникационных сетях или предоставление доступа к персональным данным каким-либо иным способом;</li>\r\n<li>Трансграничная передача персональных данных &ndash; передача персональных данных на территорию иностранного государства органу власти иностранного государства, иностранному физическому или иностранному юридическому лицу;</li>\r\n<li>Уничтожение персональных данных &ndash; любые действия, в результате которых персональные данные уничтожаются безвозвратно с невозможностью дальнейшего восстановления содержания персональных данных в информационной системе персональных данных и (или) результате которых уничтожаются материальные носители персональных данных.</li>\r\n</ol>\r\n<h2>3. Оператор может обрабатывать следующие персональные данные Пользователя</h2>\r\n<ol>\r\n<li>Фамилия, имя, отчество;</li>\r\n<li>Электронный адрес;</li>\r\n<li>Номера телефонов;</li>\r\n<li>Также на сайте происходит сбор и обработка обезличенных данных о посетителях (в т.ч. файлов &laquo;cookie&raquo;) с помощью сервисов интернет-статистики (Яндекс.Метрика, Гугл.Аналитика и других).</li>\r\n<li>Вышеперечисленные данные далее по тексту Политики объединены общим понятием Персональные данные.</li>\r\n</ol>\r\n<h2>4. Цели обработки персональных данных</h2>\r\n<ol>\r\n<li>Цель обработки персональных данных Пользователя &mdash; информирование Пользователя посредством отправки электронных писем; оформление заявки на сотрудничество.</li>\r\n<li>Также Оператор имеет право направлять Пользователю уведомления о новых продуктах и услугах, специальных предложениях и различных событиях. Пользователь всегда может отказаться от получения информационных сообщений, направив Оператору письмо на адрес электронной почты <a href=\"mailto:office@site.ru\">office@site.ru</a> с пометкой &laquo;Отказ от уведомлениях о новых продуктах и услугах и специальных предложениях&raquo;.</li>\r\n<li>Обезличенные данные Пользователей, собираемые с помощью сервисов интернет-статистики, служат для сбора информации о действиях Пользователей на сайте, улучшения качества сайта и его содержания.</li>\r\n</ol>\r\n<h2>5. Правовые основания обработки персональных данных</h2>\r\n<ol>\r\n<li>Оператор обрабатывает персональные данные Пользователя только в случае их заполнения и/или отправки Пользователем самостоятельно через специальные формы, расположенные на сайте <a href=\"https://site.ru/policy\">https://site.ru</a>. Заполняя соответствующие формы и/или отправляя свои персональные данные Оператору, Пользователь выражает свое согласие с данной Политикой.</li>\r\n<li>Оператор обрабатывает обезличенные данные о Пользователе в случае, если это разрешено в настройках браузера Пользователя (включено сохранение файлов &laquo;cookie&raquo; и использование технологии JavaScript).</li>\r\n</ol>\r\n<h2>6. Порядок сбора, хранения, передачи и других видов обработки персональных данных</h2>\r\n<p>Безопасность персональных данных, которые обрабатываются Оператором, обеспечивается путем реализации правовых, организационных и технических мер, необходимых для выполнения в полном объеме требований действующего законодательства в области защиты персональных данных.</p>\r\n<ol>\r\n<li>Оператор обеспечивает сохранность персональных данных и принимает все возможные меры, исключающие доступ к персональным данным неуполномоченных лиц.</li>\r\n<li>Персональные данные Пользователя никогда, ни при каких условиях не будут переданы третьим лицам, за исключением случаев, связанных с исполнением действующего законодательства.</li>\r\n<li>В случае выявления неточностей в персональных данных, Пользователь может актуализировать их самостоятельно, путем направления Оператору уведомление на адрес электронной почты Оператора <a href=\"mailto:office@site.ru\">office@site.ru</a> с пометкой &laquo;Актуализация персональных данных&raquo;.</li>\r\n<li>Срок обработки персональных данных является неограниченным. Пользователь может в любой момент отозвать свое согласие на обработку персональных данных, направив Оператору уведомление посредством электронной почты на электронный адрес Оператора <a href=\"mailto:office@site.ru\">office@site.ru</a> с пометкой &laquo;Отзыв согласия на обработку персональных данных&raquo;.</li>\r\n</ol>\r\n<h2>7. Трансграничная передача персональных данных</h2>\r\n<ol>\r\n<li>Оператор до начала осуществления трансграничной передачи персональных данных обязан убедиться в том, что иностранным государством, на территорию которого предполагается осуществлять передачу персональных данных, обеспечивается надежная защита прав субъектов персональных данных.</li>\r\n<li>Трансграничная передача персональных данных на территории иностранных государств, не отвечающих вышеуказанным требованиям, может осуществляться только в случае наличия согласия в письменной форме субъекта персональных данных на трансграничную передачу его персональных данных и/или исполнения договора, стороной которого является субъект персональных данных.</li>\r\n</ol>\r\n<h2>8. Заключительные положения</h2>\r\n<ol>\r\n<li>Пользователь может получить любые разъяснения по интересующим вопросам, касающимся обработки его персональных данных, обратившись к Оператору с помощью электронной почты <a href=\"mailto:office@site.ru\">office@site.ru</a>.</li>\r\n<li>В данном документе будут отражены любые изменения политики обработки персональных данных Оператором. Политика действует бессрочно до замены ее новой версией.</li>\r\n<li>Актуальная версия Политики в свободном доступе расположена в сети Интернет по адресу <a href=\"https://site.ru/policy\">https://site.ru/policy</a></li>\r\n</ol>', 0, 0, 0, 0, '', 2, 1, 1, 1, 1, 0, '', 0, '', 0),
(5,  NOW(), 1, 'Ошибка 404', '', '', '404', '', 0, 0, 0, 0, '', 1, 1, 1, 1, 1, 0, '', 0, '', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `elements`
--

DROP TABLE IF EXISTS `elements`;

CREATE TABLE `elements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `hide` int(1) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `dynamic_section` varchar(1000) NOT NULL DEFAULT '',
  `data_type` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `pages_comments`
--

DROP TABLE IF EXISTS `pages_comments`;

CREATE TABLE `pages_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hide` int(1) NOT NULL DEFAULT '0',
  `page` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `ip` varchar(15) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `mail` varchar(255) NOT NULL DEFAULT '',
  `text` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

DROP TABLE IF EXISTS `settings`;

CREATE TABLE `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mail` varchar(255) NOT NULL DEFAULT '',
  `date` varchar(255) NOT NULL DEFAULT '',
  `timezone` int(11) NOT NULL DEFAULT '0',
  `notice_comments` int(1) NOT NULL DEFAULT '0',
  `notice_faq` int(1) NOT NULL DEFAULT '0',
  `catalog_checkbox` int(1) NOT NULL DEFAULT '0',
  `catalog_prefix` int(1) NOT NULL DEFAULT '0',
  `noindex` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `settings`
--

INSERT INTO `settings` (`id`, `mail`, `date`, `timezone`, `catalog_checkbox`, `catalog_prefix`, `notice_comments`, `notice_faq`, `noindex`) VALUES
(1, '', 'd.m.Y в H:i:s', 14, 0, 1, 1, 0, 0);
-- --------------------------------------------------------

--
-- Структура таблицы `settings_timezone`
--

DROP TABLE IF EXISTS `settings_timezone`;

CREATE TABLE `settings_timezone` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `settings_timezone`
--

INSERT INTO `settings_timezone` (`id`, `title`, `value`) VALUES
(1, '(GMT-10:00) Гавайи', 'US/Hawaii'),
(2, '(GMT-09:00) Аляска', 'US/Alaska'),
(3, '(GMT-08:00) Тихоокеанское время', 'US/Pacific'),
(4, '(GMT-07:00) Аризона', 'US/Arizona'),
(5, '(GMT-06:00) Мехико', 'America/Mexico_City'),
(6, '(GMT-05:00) Восточная Индиана', 'US/East-Indiana'),
(7, '(GMT-04:00) Сантьяго', 'America/Santiago'),
(8, '(GMT-03:00) Буэнос-Айрес', 'America/Buenos_Aires'),
(9, '(GMT-02:00) Фернанду-ди-Норонья', 'Brazil/DeNoronha'),
(10, '(GMT-01:00) Кабо-Верде', 'Atlantic/Cape_Verde'),
(11, '(GMT) Лондон', 'Europe/London'),
(12, '(GMT+01:00) Берлин', 'Europe/Berlin'),
(13, '(GMT+02:00) Калининград', 'Europe/Kiev'),
(14, '(GMT+03:00) Москва', 'Europe/Moscow'),
(15, '(GMT+04:00) Самара', 'Europe/Samara'),
(16, '(GMT+05:00) Екатеринбург', 'Asia/Yekaterinburg'),
(17, '(GMT+06:00) Омск', 'Asia/Omsk'),
(18, '(GMT+07:00) Новосибирск', 'Asia/Krasnoyarsk'),
(19, '(GMT+08:00) Иркутск', 'Asia/Irkutsk'),
(20, '(GMT+09:00) Якутск', 'Asia/Yakutsk'),
(21, '(GMT+10:00) Владивосток', 'Asia/Vladivostok'),
(22, '(GMT+11:00) Магадан', 'Asia/Magadan'),
(23, '(GMT+12:00) Петропавловск-Камчатский', 'Asia/Kamchatka'),
(24, '(GMT+13:00) Нукуалофа', 'Pacific/Tongatapu');

-- --------------------------------------------------------

--
-- Структура таблицы `templates_catalog`
--

DROP TABLE IF EXISTS `templates_catalog`;

CREATE TABLE `templates_catalog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `section_frame1` text DEFAULT NULL,
  `section_frame2` text DEFAULT NULL,
  `section_template` text DEFAULT NULL,
  `section_limit1` int(11) NOT NULL DEFAULT '0',
  `section_limit2` int(11) NOT NULL DEFAULT '0',
  `section_pagination` int(1) NOT NULL DEFAULT '0',
  `section_sort_code` varchar(255) NOT NULL DEFAULT '',
  `element_frame1` text DEFAULT NULL,
  `element_frame2` text DEFAULT NULL,
  `element_template` text DEFAULT NULL,
  `element_sort_code` varchar(255) NOT NULL DEFAULT '',
  `element_limit1` int(11) NOT NULL DEFAULT '0',
  `element_limit2` int(11) NOT NULL DEFAULT '0',
  `element_pagination` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `templates_catalog`
--

INSERT INTO `templates_catalog` (`id`, `date_time`, `user`, `title`, `section_frame1`, `section_frame2`, `section_template`, `section_limit1`, `section_limit2`, `section_pagination`, `section_sort_code`, `element_frame1`, `element_frame2`, `element_template`, `element_sort_code`, `element_limit1`, `element_limit2`, `element_pagination`) VALUES
(1, NOW(), 1, 'Типовой каталог', '<ul>', '</ul>', '<li>\r\n  <a href=\"<?=cmsPageURI::Display([\'page\'=>$row[\'id\']])?>\"><?=$row[\'title\']?></a>\r\n</li>', 0, 0, 0, '', '<ul>', '</ul>', '<li>\r\n  <a href=\"<?=cmsPageURI::Display([\'page\'=>$row[\'id\']])?>\"><?=$row[\'title\']?></a>\r\n</li>', '', 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `templates_faq`
--

DROP TABLE IF EXISTS `templates_faq`;

CREATE TABLE `templates_faq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '0',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `frame1` text DEFAULT NULL,
  `frame2` text DEFAULT NULL,
  `template` text DEFAULT NULL,
  `limit1` int(11) NOT NULL DEFAULT '0',
  `limit2` int(11) NOT NULL DEFAULT '0',
  `pagination` int(1) NOT NULL DEFAULT '0',
  `sort_code` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `templates_faq`
--

INSERT INTO `templates_faq` (`id`, `date_time`, `user`, `title`, `frame1`, `frame2`, `template`, `limit1`, `limit2`, `pagination`, `sort_code`) VALUES
(1, NOW(), 1, 'Типовые вопросы', '<div class=\"row\">\r\n <div class=\"col-lg-12\">\r\n<form action=\"#\" method=\"post\" id=\"form-faq\">\r\n<div class=\"form-group\">\r\n<label>Представьтесь, пожалуйста:</label>\r\n <input type=\"text\" class=\"form-control\" name=\"name\" maxlength=\"255\">\r\n </div>\r\n <div class=\"form-group\">\r\n <label>Ваш телефон:</label> (не публикуется)\r\n <input type=\"text\" class=\"form-control\" name=\"phone\" maxlength=\"255\">\r\n </div>\r\n <div class=\"form-group\">\r\n <label>Ваш e-mail:</label> (не публикуется)\r\n <input type=\"text\" class=\"form-control\" name=\"mail\" maxlength=\"255\">\r\n </div>\r\n <div class=\"form-group\">\r\n <label>Ваш вопрос:</label>\r\n <textarea class=\"form-control text\" name=\"text\"></textarea>\r\n </div>\r\n <div class=\"form-message-faq\"></div>\r\n <input type=\"hidden\" name=\"send_faq\" value=\"1\">\r\n <button type=\"submit\" class=\"btn btn-primary\">Отправить</button>\r\n </form>\r\n <hr id=\"faq-line\">', ' </div>\r\n</div>', '<blockquote class=\"faq\">\r\n <p id=\"q<?=$row[\'id\']?>\">\r\n <b><?=$row[\'name\']?> спрашивает:</b>\r\n <br>\r\n <?=$row[\'question\']?>\r\n </p>\r\n <p class=\"text-muted\">\r\n <b>Отвечает <?=$row[\'spec\']?>:</b>\r\n <br>\r\n <?=$row[\'answer\']?>\r\n </p>\r\n</blockquote>', 0, 0, 0, '');

-- --------------------------------------------------------

--
-- Структура таблицы `templates_navigation`
--

DROP TABLE IF EXISTS `templates_navigation`;

CREATE TABLE `templates_navigation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `frame1` text DEFAULT NULL,
  `frame2` text DEFAULT NULL,
  `template_default` text DEFAULT NULL,
  `template_end` text DEFAULT NULL,
  `template_index` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `templates_navigation`
--

INSERT INTO `templates_navigation` (`id`, `date_time`, `user`, `title`, `frame1`, `frame2`, `template_default`, `template_end`, `template_index`) VALUES
(1, NOW(), 1, 'Типовая навигация', '<ol class=\"breadcrumb\">', '</ol>', '<li class=\"breadcrumb-item\"><a href=\"<?=cmsPageURI::Display([\'page\'=>$row[\'id\']])?>\"><?=$row[\'title\']?></a></li>', '', '<li class=\"breadcrumb-item\"><a href=\"/\"><?=$row[\'title\']?></a></li>');

-- --------------------------------------------------------

--
-- Структура таблицы `templates_pages`
--

DROP TABLE IF EXISTS `templates_pages`;

CREATE TABLE `templates_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `template` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `templates_pages`
--

INSERT INTO `templates_pages` (`id`, `date_time`, `user`, `title`, `template`) VALUES
(1, NOW(), 1, 'Типовая страница', '<h1><?=$row[\'title\']?></h1>\r\n\r\n<?=$row[\'text\']?>'),
(2, NOW(), 1, 'Политика конфиденциальности', '<h1><?=$row[\'title\']?></h1>\r\n\r\n<div class=\"text-left\">\r\n<?=$row[\'text\']?>\r\n</div>'),
(3, NOW(), 1, 'Контакты', '<h1><?=$row[\'title\']?></h1>\r\n\r\n<div class=\"mb-5\">\r\n<?=$row[\'text\']?>\r\n</div>\r\n\r\n<p><a href=\"tel:<?=preg_replace(\'/[^+0-9]/\',\'\',cms_field(1,2))?>\"><?=cms_field(1,2)?></a></p>\r\n\r\n<p><a href=\"mailto:<?=cms_field(1,3)?>\"><?=cms_field(1,3)?></a></p>\r\n\r\n<p><?=cms_field(1,4)?></p>');

-- --------------------------------------------------------

--
-- Структура таблицы `templates_pages_comments`
--

DROP TABLE IF EXISTS `templates_pages_comments`;

CREATE TABLE `templates_pages_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `frame1` text DEFAULT NULL,
  `frame2` text DEFAULT NULL,
  `template` text DEFAULT NULL,
  `limit1` int(11) NOT NULL DEFAULT '0',
  `limit2` int(11) NOT NULL DEFAULT '0',
  `pagination` int(1) NOT NULL DEFAULT '0',
  `moderate` int(1) NOT NULL DEFAULT '0',
  `sort_code` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `templates_pages_comments`
--

INSERT INTO `templates_pages_comments` (`id`, `date_time`, `user`, `title`, `frame1`, `frame2`, `template`, `limit1`, `limit2`, `pagination`, `moderate`, `sort_code`) VALUES
(1, NOW(), 1, 'Типовые комментарии', '<div class=\"row\">\r\n  <div class=\"col-lg-12\">\r\n<hr>\r\n   <form action=\"#\" method=\"post\" role=\"form\" id=\"form-comments\">\r\n      <div class=\"form-group\">\r\n        <label>Имя:</label>\r\n       <input type=\"text\" class=\"form-control\" name=\"name\" maxlength=\"255\">\r\n      </div>\r\n      <div class=\"form-group\">\r\n        <label>E-mail:</label> (не публикуется)\r\n       <input type=\"text\" class=\"form-control\" name=\"mail\" maxlength=\"255\">\r\n      </div>\r\n      <div class=\"form-group\">\r\n        <label>Сообщение:</label>\r\n       <textarea class=\"form-control\" name=\"text\"></textarea>\r\n      </div>\r\n <div class=\"form-message-comments\"></div>\r\n   <input type=\"hidden\" name=\"page\" value=\"<?=cms_page_id()?>\">\r\n      <input type=\"hidden\" name=\"send_comment\" value=\"1\">\r\n     <button type=\"submit\" class=\"btn btn-primary\">Оставить комментарий</button>\r\n   </form>\r\n   <hr id=\"comments-line\">', ' </div>\r\n</div>', '<p id=\"comment-<?=$row[\'id\']?>\">\r\n  <b><?=$row[\'name\']?></b>\r\n  <br>\r\n  <?=$row[\'text\']?>\r\n <br>\r\n  <small class=\"text-muted\"><?=date(\'d.m.Y в H:i:s\',strtotime($row[\'date_time\']))?></small>\r\n</p>', 0, 0, 0, 1, '');

-- --------------------------------------------------------

--
-- Структура таблицы `fields_decimal`
--

DROP TABLE IF EXISTS `fields_decimal`;

CREATE TABLE `fields_decimal` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` decimal(18,2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_file`
--

DROP TABLE IF EXISTS `fields_file`;

CREATE TABLE `fields_file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `fields_file`
--

INSERT INTO `fields_file` (`id`, `name`, `element`, `value`) VALUES
(1, 6, 1, '1.ico');

-- --------------------------------------------------------

--
-- Структура таблицы `fields_image`
--

DROP TABLE IF EXISTS `fields_image`;

CREATE TABLE `fields_image` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `image_big` varchar(255) NOT NULL DEFAULT '',
  `image_small` varchar(255) NOT NULL DEFAULT '',
  `image_original` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_int`
--

DROP TABLE IF EXISTS `fields_int`;

CREATE TABLE `fields_int` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` int(18) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_name`
--

DROP TABLE IF EXISTS `fields_name`;

CREATE TABLE `fields_name` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `section` int(11) NOT NULL DEFAULT '0',
  `dynamic_section` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `notice` varchar(255) NOT NULL DEFAULT '',
  `element_type` varchar(50) NOT NULL DEFAULT '',
  `field_type` varchar(255) NOT NULL DEFAULT '',
  `editor` int(1) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  `length` int(5) NOT NULL DEFAULT '0',
  `width_big` int(5) NOT NULL DEFAULT '0',
  `width_small` int(5) NOT NULL DEFAULT '0',
  `original` int(1) NOT NULL DEFAULT '0',
  `frame1` text DEFAULT NULL,
  `frame2` text DEFAULT NULL,
  `template` text DEFAULT NULL,
  `sort_code` varchar(255) NOT NULL DEFAULT '',
  `where_code` varchar(255) NOT NULL DEFAULT '',
  `limit1` int(11) NOT NULL DEFAULT '0',
  `limit2` int(11) NOT NULL DEFAULT '0',
  `pagination` int(1) NOT NULL DEFAULT '0',
  `last_frame` int(1) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `fields_name`
--

INSERT INTO `fields_name` (`id`, `number`, `section`, `dynamic_section`, `title`, `notice`, `element_type`, `field_type`, `editor`, `length`, `width_big`, `width_small`, `frame1`, `frame2`, `template`, `sort_code`, `limit1`, `limit2`, `pagination`, `last_frame`, `date_time`, `user`) VALUES
(1, 0, 1, 0, 'Название', '', 'blocks_static', 'fields_varchar', 0, 0, 0, 0, '', '', '', '', 0, 0, 0, 0, NOW(), 1),
(2, 0, 1, 0, 'Телефон', '', 'blocks_static', 'fields_varchar', 0, 0, 0, 0, '', '', '', '', 0, 0, 0, 0, NOW(), 1),
(3, 0, 1, 0, 'E-mail', '', 'blocks_static', 'fields_varchar', 0, 0, 0, 0, '', '', '', '', 0, 0, 0, 0, NOW(), 1),
(4, 0, 1, 0, 'Адрес', '', 'blocks_static', 'fields_varchar', 0, 0, 0, 0, '', '', '', '', 0, 0, 0, 0, NOW(), 1),
(5, 0, 1, 0, 'Copyright', '', 'blocks_static', 'fields_text', 2, 0, 0, 0, '', '', '', '', 0, 0, 0, 0, NOW(), 1),
(6, 0, 1, 0, 'Значок сайта', '', 'blocks_static', 'fields_file', 0, 0, 0, 0, '', '', '', '', 0, 0, 0, 0, NOW(), 1);

-- --------------------------------------------------------

--
-- Структура таблицы `fields_section`
--

DROP TABLE IF EXISTS `fields_section`;

CREATE TABLE `fields_section` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `data_type` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_select`
--

DROP TABLE IF EXISTS `fields_select`;

CREATE TABLE `fields_select` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_select_multiple`
--

DROP TABLE IF EXISTS `fields_select_multiple`;

CREATE TABLE `fields_select_multiple` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` varchar(1000) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_select_list`
--

DROP TABLE IF EXISTS `fields_select_list`;

CREATE TABLE `fields_select_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `name` int(11) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_text`
--

DROP TABLE IF EXISTS `fields_text`;

CREATE TABLE `fields_text` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` mediumtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `fields_text`
--

INSERT INTO `fields_text` (`id`, `name`, `element`, `value`) VALUES
(1, 5, 1, '© <?=date(\'Y\')?> Все права защищены');

-- --------------------------------------------------------

--
-- Структура таблицы `fields_varchar`
--

DROP TABLE IF EXISTS `fields_varchar`;

CREATE TABLE `fields_varchar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Дамп данных таблицы `fields_varchar`
--

INSERT INTO `fields_varchar` (`id`, `name`, `element`, `value`) VALUES
(1, 1, 1, 'Наша компания'),
(2, 2, 1, '+7 999 999-99-99'),
(3, 3, 1, 'a@a.com'),
(4, 4, 1, 'г. Москва, ул. Ленина 350, офис 508');

-- --------------------------------------------------------

--
-- Структура таблицы `fields_date`
--

DROP TABLE IF EXISTS `fields_date`;

CREATE TABLE `fields_date` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_boolean`
--

DROP TABLE IF EXISTS `fields_boolean`;

CREATE TABLE `fields_boolean` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_gallery`
--

DROP TABLE IF EXISTS `fields_gallery`;

CREATE TABLE `fields_gallery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `image_big` varchar(255) NOT NULL DEFAULT '',
  `image_small` varchar(255) NOT NULL DEFAULT '',
  `image_original` varchar(255) NOT NULL DEFAULT '',
  `cover` int(1) NOT NULL DEFAULT '0',
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_archive`
--

DROP TABLE IF EXISTS `fields_archive`;

CREATE TABLE `fields_archive` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `file` varchar(255) NOT NULL DEFAULT '',
  `title_first` varchar(255) NOT NULL DEFAULT '',
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_elements`
--

DROP TABLE IF EXISTS `fields_elements`;

CREATE TABLE `fields_elements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL DEFAULT '0',
  `hide` int(1) NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `date_time_update` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `user` int(11) NOT NULL DEFAULT '1',
  `user_update` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `fields_array`
--

DROP TABLE IF EXISTS `fields_array`;

CREATE TABLE `fields_array` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` int(11) NOT NULL DEFAULT '0',
  `element` int(11) NOT NULL DEFAULT '0',
  `value` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;