<?php

/**
 * Конфигурационные данные CMS
 */

// Сообщения об ошибках
error_reporting( E_ALL );
ini_set( 'display_errors', 1 );

 // Тема сайта
define( 'THEME_NAME', 'default' );

// Версия CMS
define( 'CMS_VERSION', '3.10.21' );

// Кодировка
mb_http_input( 'I' );
mb_http_output( 'UTF-8' );
mb_internal_encoding( 'UTF-8' );

// Данные административной панели
define( 'ADMIN_TOKEN', '' );
define( 'ADMIN_DIR', 'admin' );
define( 'ADMIN_START', 'pages.php' );
define( 'ADMIN_FIELDS', 1 );

// Подключение к базе данных
define( 'DB_HOST', '127.0.0.1' );
define( 'DB_PORT', '' );
define( 'DB_CHARSET', 'utf8mb4' );
define( 'DB_NAME', 'cms' );
define( 'DB_USER', 'root' );
define( 'DB_PASSWORD', '' );
define( 'DB_PREFIX', 'cms_' );

// Системные
if( isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' ) define( 'HOST_PROTOCOL', 'https://' ); else define( 'HOST_PROTOCOL', 'http://' );
define( 'HOST_NAME', $_SERVER['HTTP_HOST'] );