<?php

/**
* Модуль загрузки всех функций и классов
*/

// Загрузка функций из ядра
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/cms/app/core/functions/function-*.php') as $function_file)
{

  $function_file_custom_child = str_replace('cms/app/core/functions/','cms/templates-child/'.THEME_NAME.'/app/functions/core/',$function_file);
  $function_file_custom = str_replace('cms/app/core/functions/','cms/templates/'.THEME_NAME.'/app/functions/core/',$function_file);  

	if(file_exists($function_file_custom_child))
	{
		require_once $function_file_custom_child;
	}
	elseif(file_exists($function_file_custom))
	{
		require_once $function_file_custom;
	}
	else
	{
		require_once $function_file;
	}

}

// Загрузка классов из ядра
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/cms/app/core/functions/class-*.php') as $function_file)
{

  $function_file_custom_child = str_replace('cms/app/core/functions/','cms/templates-child/'.THEME_NAME.'/app/functions/core/',$function_file);
  $function_file_custom = str_replace('cms/app/core/functions/','cms/templates/'.THEME_NAME.'/app/functions/core/',$function_file);  

	if(file_exists($function_file_custom_child))
	{
		require_once $function_file_custom_child;
	}
	elseif(file_exists($function_file_custom))
	{
		require_once $function_file_custom;
	}
	else
	{
		require_once $function_file;
	}

}

// Загрузка кастомизированных функций
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/cms/templates/'.THEME_NAME.'/app/functions/extensions/function-*.php') as $function_file)
{

	$function_file_custom_child = str_replace('cms/templates/','cms/templates-child/',$function_file);

	if(file_exists($function_file_custom_child))
	{
		require_once $function_file_custom_child;
	}
	else
	{
		require_once $function_file;
	}	

}

// Загрузка кастомизированных классов
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/cms/templates/'.THEME_NAME.'/app/functions/extensions/class-*.php') as $function_file)
{

	$function_file_custom_child = str_replace('cms/templates/','cms/templates-child/',$function_file);

	if(file_exists($function_file_custom_child))
	{
		require_once $function_file_custom_child;
	}
	else
	{
		require_once $function_file;
	}	

}