<?php

/**
* Перевод даты на заданный язык
*/

function cms_date_translate( $date, $lang = 'ru' )
{

	// Русский язык
	if($lang=='ru')
	{
		$date_month1 = array('January','February','March','April','May','June','July','August','September','October','November','December');
		$date_month2 = array('января','февраля','марта','апреля','мая','июня','июля','августа','сентября','октября','ноября','декабря');
		$date = str_replace($date_month1,$date_month2,$date);
		$date_month_short1 = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
		$date_month_short2 = array('янв','фев','мар','апр','мая','июн','июл','авг','сен','окт','ноя','дек');
		$date = str_replace($date_month_short1,$date_month_short2,$date);
		$date_day1 = array('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday');
		$date_day2 = array('понедельник','вторник','среда','четверг','пятница','суббота','воскресенье');
		$date = str_replace($date_day1,$date_day2,$date);
		$date_day_short1 = array('Mon','Tue','Wed','Thu','Fri','Sat','Sun');
		$date_day_short2 = array('пн','вт','ср','чт','пт','сб','вс');
		$date = str_replace($date_day_short1,$date_day_short2,$date);
	}

	return $date;

}