<?php

/**
 * FAQ - отправка методом AJAX
*/

function cms_faq_post()
{

	extract($_REQUEST);

	$pdo = cms_pdo();

	$row_settings_timezone = $pdo->query('select timezone from '.DB_PREFIX.'settings')->fetch();
	$row_timezone = $pdo->query('select value from '.DB_PREFIX.'settings_timezone where id='.$row_settings_timezone['timezone'])->fetch();
	date_default_timezone_set($row_timezone['value']);

	$date_time_default = date('Y-m-d H:i:s');

	if(isset($send_faq))
	{

		// Убираем боковые пробелы
		$name=trim(strip_tags($name));
		$mail=trim(strip_tags($mail));
		$text=trim(strip_tags($text));

		if(mb_strlen($name)<1 || !preg_match("/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/",$mail) || mb_strlen($text)<5)
		{
			$result = 'Пожалуйста, заполните необходимые поля формы!';
		}
		else
		{

			// От кого
			if(strstr($_SERVER['HTTP_HOST'],'xn--')){$http_host='dremin.org';}else{$http_host=$_SERVER['HTTP_HOST'];}
			$mail_from="webmaster@".$http_host;

			if(isset($mail))
			{
				$address=$mail; // куда отвечать
			}

			// Инициализация Phpmailer
			require_once 'cms/app/libs/phpmailer/src/PHPMailer.php';
			$mailer = new PHPMailer\PHPMailer\PHPMailer();
			$mailer->CharSet = 'utf-8';
			$mailer->setFrom($mail_from, $_SERVER['HTTP_HOST']);
			$mailer->addAddress(cms_mail_send(),cms_mail_send());
			$mailer->Subject = "Поступил новый вопрос";

			$row_notice = $pdo->query('SELECT notice_faq from '.DB_PREFIX.'settings where id=1')->fetch();
			$notice_faq=$row_notice['notice_faq'];

			$mailer->Body = "Имя: $name\r\nТелефон: $phone\r\nE-mail: $mail\r\n\r\n$text";

			$row_insert = $pdo->prepare('INSERT INTO '.DB_PREFIX.'faq (name,phone,mail,question,date_time,ip) VALUES (:name,:phone,:mail,:question,:date_time_default,:ip)');
			$row_insert->execute([
				'name' => $name,
				'phone' => $phone,
				'mail' => $mail,
				'question' => $text,
				'date_time_default' => $date_time_default,
				'ip' => $_SERVER['REMOTE_ADDR']
			]);

			if($notice_faq==1){$mailer->send();}

			// Вывод текста во всплывающем окне
			$result = 'Ваш вопрос отправлен!';

		}

		echo json_encode(array('success' => 1, 'text' => $result));

	}

}