<?php 

/**
 * Комментарии к странице - отправка методом AJAX
*/

function cms_page_comments_post()
{

	extract($_REQUEST);

	$pdo = cms_pdo();

	$row_settings_timezone = $pdo->query('select timezone from '.DB_PREFIX.'settings')->fetch();
	$row_timezone = $pdo->query('select value from '.DB_PREFIX.'settings_timezone where id='.$row_settings_timezone['timezone'])->fetch();
	date_default_timezone_set($row_timezone['value']);

	$date_time_default = date('Y-m-d H:i:s');

	// Отправка комментария
	if(isset($send_comment))
	{

		// Убираем боковые пробелы
		$name=trim(strip_tags($name));
		$mail=trim(strip_tags($mail));
		$text=trim(strip_tags($text));

		if(mb_strlen($name)<1 || !preg_match("/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/",$mail) || mb_strlen($text)<5)
		{
			$result = 'Пожалуйста, заполните необходимые поля формы!';
		}
		else
		{

			// От кого
			if(strstr($_SERVER['HTTP_HOST'],'xn--')){$http_host='dremin.org';}else{$http_host=$_SERVER['HTTP_HOST'];}
			$mail_from="webmaster@".$http_host;

			if(isset($mail))
			{
				$address=$mail; // куда отвечать
			}

			// Инициализация Phpmailer
			require_once 'cms/app/libs/phpmailer/src/PHPMailer.php';
			$mailer = new PHPMailer\PHPMailer\PHPMailer();
			$mailer->CharSet = 'utf-8';
			$mailer->setFrom($mail_from, $_SERVER['HTTP_HOST']);
			$mailer->addAddress(cms_mail_send(),cms_mail_send());
			$mailer->Subject = "Опубликован новый комментарий";

			$row_notice = $pdo->query('SELECT notice_comments from '.DB_PREFIX.'settings where id=1')->fetch();
			$notice_comments=$row_notice['notice_comments'];

			$row_title = $pdo->prepare('select title,template_comments from '.DB_PREFIX.'pages where id=:page');
			$row_title->execute([
					'page' => $page
				]);
			$row_title = $row_title->fetch();

			$page_title = $row_title['title'];
			$protocol = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') ? 'https://' : 'http://';
			$page_url = $protocol.$_SERVER['HTTP_HOST'].cmsPageURI::Display(['page'=>$page]);

			$row_template = $pdo->query('SELECT moderate from '.DB_PREFIX.'templates_pages_comments where id='.$row_title['template_comments'])->fetch();

			if($row_template['moderate']==1)
			{
				$hide=1;
				$success='Ваш комментарий будет опубликован после проверки модератором';
			}
			else
			{
				$hide=0;
				$success.="Ваш комментарий успешно добавлен!";
				$success.="<script type='text/javascript'>setTimeout(function(){location.replace('$page_url#comments-line');},3000);</script>";
			}

			$mailer->Body = "Комментарий к странице — $page_title\r\nСсылка: $page_url\r\n\r\nИмя: $name\r\nE-mail: $mail\r\n\r\n$text";

			$row_insert = $pdo->prepare('INSERT INTO '.DB_PREFIX.'pages_comments (page,name,mail,text,hide,date_time,ip) VALUES (:page,:name,:mail,:text,:hide,:date_time_default,:ip)');
			$row_insert->execute([
				'page' => $page,
				'name' => $name,
				'mail' => $mail,
				'text' => $text,
				'hide' => $hide,
				'date_time_default' => $date_time_default,
				'ip' => $_SERVER['REMOTE_ADDR']
			]);

			if($notice_comments==1){$mailer->send();}
			cms_cache_delete();

			// Вывод текста во всплывающем окне
			$result = $success;

		}

		echo json_encode(array('success' => 1, 'text' => $result));

	}

}