<?php

/**
* Определение ID текущей страницы
*/
function cms_page_id()
{

	$pdo = cms_pdo();

	// Определение ID внутренней страницы
	if(isset($_GET['cms_translit']))
	{

		$translit = array_reverse( explode('/', $_GET['cms_translit']) );

		$row_id = $pdo->prepare('SELECT id FROM '.DB_PREFIX.'pages where translit = :translit');
		$row_id->execute([
			'translit' => $translit[0]
		]);
		$row_id = $row_id->fetch();

	}

	// Определение ID главной страницы
	else
	{

		// Если главная страница не задана, возвращаем ID страницы с наименьшим значением
		if(cms_count_query('SELECT id from '.DB_PREFIX.'pages where page_index = 1') == 0)
		{

			$row_id = $pdo->query('SELECT id from '.DB_PREFIX.'pages order by id asc')->fetch();

		}

		// Если главная страница задана
		else
		{

			$row_id = $pdo->query('SELECT id FROM '.DB_PREFIX.'pages where page_index = 1')->fetch();

		}

	}

	return $row_id['id'];;

}