<?php

/**
* Подключение к базе данных с помощью PDO
*/

function cms_pdo()
{

	static $pdo;

	if( !isset($pdo) )
	{

		$port = (DB_PORT) ? ';port='.DB_PORT : '';

		$pdo = new PDO('mysql:host='.DB_HOST.$port.';dbname='.DB_NAME.';charset='.DB_CHARSET, DB_USER, DB_PASSWORD,
			[
				PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
				PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
				PDO::ATTR_EMULATE_PREPARES   => true,
			]
		);

		$pdo->exec('SET names '.DB_CHARSET);

	}

	return $pdo;

}