<?php

/**
 * Путь до папки с текущей темой сайта:
 *
 * $args - переменная с аргументами, по умолчанию выводит к папке темы сайта
 * $args = 'child' - передает путь к папке дочерней темы сайта
 * $args = 'server' - передает полный серверный путь к папке темы сайта
 * $args = 'child-server' - передает полный серверный путь к папке дочерней темы сайта 
 */

function cms_theme( $args = '' )
{

	if($args == 'child')
	{
		return '/cms/templates-child/'.THEME_NAME;
	}
	elseif($args == 'server')
	{
		return $_SERVER['DOCUMENT_ROOT'].'/cms/templates/'.THEME_NAME;
	}
	elseif($args == 'child-server')
	{
		return $_SERVER['DOCUMENT_ROOT'].'/cms/templates-child/'.THEME_NAME;
	}	
	else
	{
		return '/cms/templates/'.THEME_NAME;
	}

}