<?php

session_start();

if(!empty($_SESSION['login']) && !empty($_SESSION['password']))
{

	require_once '../app/config/config.php';
	require_once '../../'.ADMIN_DIR.'/include/functions.php';

	$mysqli = db_mysqli();

	$row_profile = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'admin where mail = "'.$_SESSION['login'].'"'));

	// Права доступа
	if($row_profile['login_settings'] == 1)
	{

		/* Восстановление резервной копии */
		if(isset($_GET['recover']))
		{

			// Очищение бэкапа перед восстановлением
			$result = mysqli_query($mysqli,'SELECT hash from '.DB_PREFIX.'backup');
			while($row = mysqli_fetch_array($result))
			{

				if($_GET['recover']!=$row['hash'])
				{
					if(file_exists($row['hash'].'.sql')) unlink($row['hash'].'.sql');
					if(file_exists($row['hash'].'.zip')) unlink($row['hash'].'.zip');
				}

			}

			// Восстановление базы
			if(file_exists($_GET['recover'].'.sql'))
			{
				// Очищение базы перед восстановлением
				$result = mysqli_query($mysqli,'SHOW TABLES from `'.DB_NAME.'`');
				while($row = mysqli_fetch_array($result))
				{
					mysqli_query($mysqli,'DROP TABLE `'.$row[0].'`');
				}

				// Восстановление базы из дампа
				exec('mysql --user='.DB_USER.' --password="'.DB_PASSWORD.'" '.DB_NAME.' < '.$_GET['recover'].'.sql');

				// Удаление восстановленного дампа базы
				unlink($_GET['recover'].'.sql');
			}

			// Восстановление файлов
			if(file_exists($_GET['recover'].'.zip'))
			{
				// Удаление файлов
				rdir('../app');
				rdir('../cache');
				rdir('../files');
				rdir('../files-thumbs');
				rdir('../pages-files');
				rdir('../pages-images');
				rdir('../templates');
				rdir('../../'.ADMIN_DIR);
				$dir_index = scandir('../../');
				foreach ($dir_index as $dir_index_file)
				{
					if(is_file('../../'.$dir_index_file)) unlink('../../'.$dir_index_file);
				}

				// Восстановление файлов из архива
				if( empty(exec('unzip')) )
				{
					ZIP::Extract( $_GET['recover'].'.zip', '../../' );
				}
				else
				{
					exec('cd ../.. && unzip -o cms/backup/'.$_GET['recover'].'.zip');
				}
				 // Удаление восстановленного архива файлов
				unlink($_GET['recover'].'.zip');
			}

			// Возврат в админку
			$file_content = file_get_contents('../app/config/config.php');
			preg_match('~\'ADMIN_DIR\', \'(.*?)\'~', $file_content, $output);

			header('Location: ../../'.$output[1].'/backup.php');

		}

		/* Загрузка резервной копии */
		elseif(isset($_FILES['upload_sql']['name']))
		{

			// Загрузка базы
			if($_FILES['upload_sql']['name']!='' && is_uploaded_file($_FILES['upload_sql']['tmp_name']))
			{
				// Очищение базы перед загрузкой
				$result=mysqli_query($mysqli,'SHOW TABLES from `'.DB_NAME.'`');
				while($row=mysqli_fetch_array($result))
				{
					mysqli_query($mysqli,'DROP TABLE `'.$row[0].'`');
				}

				exec('mysql --user='.DB_USER.' --password="'.DB_PASSWORD.'" '.DB_NAME.' < '.$_FILES['upload_sql']['tmp_name']); // загрузка дампа
			}

			// Загрузка файлов
			if($_FILES['upload_zip']['name']!='' && is_uploaded_file($_FILES['upload_zip']['tmp_name']) && file_check($_FILES['upload_zip']['tmp_name'],'zip'))
			{

				// Очищение сайта перед загрузкой
				$result = mysqli_query($mysqli,'SELECT hash from '.DB_PREFIX.'backup');
				while($row = mysqli_fetch_array($result))
				{
					if(file_exists($row['hash'].'.sql')) unlink($row['hash'].'.sql');
					if(file_exists($row['hash'].'.zip')) unlink($row['hash'].'.zip');
				}

				rdir('../app');
				rdir('../cache');
				rdir('../files');
				rdir('../files-thumbs');
				rdir('../pages-files');
				rdir('../pages-images');
				rdir('../templates');
				rdir('../../'.ADMIN_DIR);

				$dir_index = scandir('../../');
				foreach ($dir_index as $dir_index_file)
				{
					if(is_file('../../'.$dir_index_file)) unlink('../../'.$dir_index_file);
				}

				// Разархивация
				if( empty(exec('unzip')) )
				{
					ZIP::Extract( $_FILES['upload_zip']['tmp_name'], '../../' );
				}
				else
				{
					exec('cd ../.. && unzip -o '.$_FILES['upload_zip']['tmp_name']);
				}

				// Перезапись доступа к базе
				$file_content = file_get_contents('../app/config/config.php');

				$file_content = preg_replace('|\'DB_HOST\', \'(.*)\'|Uis', '\'DB_HOST\', \''.DB_HOST.'\'', $file_content);
				$file_content = preg_replace('|\'DB_NAME\', \'(.*)\'|Uis', '\'DB_NAME\', \''.DB_NAME.'\'', $file_content);
				$file_content = preg_replace('|\'DB_USER\', \'(.*)\'|Uis', '\'DB_USER\', \''.DB_USER.'\'', $file_content);
				$file_content = preg_replace('|\'DB_PASSWORD\', \'(.*)\'|Uis', '\'DB_PASSWORD\', \''.DB_PASSWORD.'\'', $file_content);

				$file = fopen('../app/config/config.php', 'w');
				fwrite ($file, $file_content);
				fclose ($file);

			}

			// Возврат в админку
			$file_config = file_get_contents('../app/config/config.php');
			preg_match('~\'ADMIN_DIR\', \'(.*?)\'~', $file_config, $file_config_output);

			header('Location: ../../'.$file_config_output[1].'/backup.php');

		}


	}

}
