<!DOCTYPE html>
<html lang="<?=cmsLang::Display()?>">
<head>

	<?php	cms_headers();?>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1">

	<link rel="shortcut icon" type="image/x-icon" href="<?=cms_field(1,6)?>">

	<link rel="stylesheet" href="<?=cms_theme()?>/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?=cms_theme()?>/css/index.css?<?=filemtime(cms_theme('server').'/css/index.css')?>">	

	<script src="<?=cms_theme()?>/js/jquery.min.js"></script>
	<script src="<?=cms_theme()?>/bootstrap/js/bootstrap.min.js"></script>
	<script src="<?=cms_theme()?>/js/index.js?<?=filemtime(cms_theme('server').'/js/index.js')?>"></script>

</head>
<body>

	<header>
		<div class="container">
			<div class="row">

				<div class="col-lg-3 d-none d-lg-block">
					<div class="logo">
						<?=cms_field(1,1)?>
					</div>
				</div>

				<div class="col-lg-6 col-md-8 text-center">
					<?php cms_block_dynamic(1);?>
				</div>

				<div class="col-lg-3 col-md-4 d-none d-md-block text-center text-lg-right">
					<a href="tel:<?=preg_replace('/[^+0-9]/','',cms_field(1,2))?>"><?=cms_field(1,2)?></a>
				</div>

			</div>
		</div>
	</header>

	<article>
		<div class="container">

			<?php cms_content(); ?>

		</div>
	</article>

	<footer class="bg-light">
		<div class="container">
			<div class="row">

				<div class="col-md-4 text-center text-md-left">
					<?=cms_field(1,5)?>
				</div>

				<div class="col-md-4 text-center mt-2 mt-md-0 mb-2 mb-md-0">
					<a href="/policy/"><?=cms_field_value('title',DB_PREFIX.'pages','where','id','=',4)?></a>
				</div>

				<div class="col-md-4 text-center text-lg-right">
					Сделано на <a href="//cms-pages.com" target="_blank">CMS Pages</a>
				</div>

			</div>
		</div>
	</footer>

</body>
</html>