<?php

/* Удаление инсталляционных файлов */
if(file_exists('install.php') || file_exists('cms.sql') || file_exists('cms.zip'))
{

	if(file_exists('install.php')) unlink('install.php');
	if(file_exists('cms.sql')) unlink('cms.sql');
	if(file_exists('cms.zip')) unlink('cms.zip');

	// Редирект на главную
	header('location: /');

}

/* Вывод сайта */
else
{

	/* Подключение конфигурации */
	require_once 'cms/app/config/config.php';

	/* Подключение модуля загрузки функций и классов */
	if(file_exists('cms/templates-child/'.THEME_NAME.'/app/functions.php'))
	{
		require_once 'cms/templates-child/'.THEME_NAME.'/app/functions.php';
	}
	elseif(file_exists('cms/templates/'.THEME_NAME.'/app/functions.php'))
	{
		require_once 'cms/templates/'.THEME_NAME.'/app/functions.php';
	}
	else
	{
		require_once 'cms/app/core/functions.php';
	}
	

	/* Подключение модуля проверки страниц сайта */
	if(file_exists('cms/templates-child/'.THEME_NAME.'/app/check.php'))
	{
		require_once 'cms/templates-child/'.THEME_NAME.'/app/check.php';
	}
	elseif(file_exists('cms/templates/'.THEME_NAME.'/app/check.php'))
	{
		require_once 'cms/templates/'.THEME_NAME.'/app/check.php';
	}
	else
	{
		require_once 'cms/app/config/check.php';
	}

	/* Подключение точки входа */
	if(file_exists('cms/templates-child/'.THEME_NAME.'/index.php'))
	{
		require_once 'cms/templates-child/'.THEME_NAME.'/index.php';
	}
	else
	{
		require_once 'cms/templates/'.THEME_NAME.'/index.php';
	}	

}