<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_fields==0)
{
	echo $block_profile_danger;
}
else
{

	// Список файлов
	if(isset($_GET['field']) && isset($_GET['element']) && !isset($_GET['archive_file']))
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));

		if($row_field['sort_code']!=''){$sorting=$row_field['sort_code'];}else{$sorting="number asc, id asc";} // сортировка

		$count_files = count_query('SELECT id from '.DB_PREFIX.'fields_archive where name = '.$_GET['field'].' && element = '.$_GET['element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$_GET['element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$_GET['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_GET['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_GET['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>


		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$_GET['element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item active'><?=string_cut($row_field['title'],30)?> (<?=$count_files?>)</li>
		</ol>

		<?php
		echo"
		<form action='".CURRENT_FILE."' id='archive-form' method='post' enctype='multipart/form-data'>
			<div class='form-row'>
				<div class='form-group col-md-3' id='archive-file-div'>
					<input type='file' name='fields_archive".$row_field['id']."[]' multiple class='filestyle' id='archive-file' data-buttonBefore='true' data-buttonText=''>
					<p class='form-text text-muted'>".$row_field['notice']."</p>
				</div>
				<div class='form-group col-md-3'>
					<input type='hidden' name='hidden_field' value='".$_GET['field']."'>
					<input type='hidden' name='hidden_element' value='".$_GET['element']."'>
					<button type='submit' class='btn btn-primary' name='record_new_file'>Загрузить</button>
					<p class='form-text text-muted'>&nbsp;</p>
				</div>
			</div>
		</form>

		<hr>

		<form action='_numbers.php' method='post' id='form-post'>
		";

		if($count_files!=0)
		{

			?>
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='text-center'>ID</th>
							<th class='pl-4'>#</th>
							<th></th>
							<th>Название</th>
							<th class='text-center'>Файл</th>
							<th class='text-center'>Размер (Кб)</th>
							<th class='text-center'>Дата загрузки</th>
							<th class='text-center'>Дата изменения</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

			<?php

			$result_files=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_archive where name = '.$_GET['field'].' && element = '.$_GET['element'].' order by '.$sorting);
			while($row_files=mysqli_fetch_array($result_files))
			{

				$file_size=round((filesize('../cms/pages-files/archive/'.$row_files['file'])/1024),2); // Размер файла

				if($row_files['title']==''){$file_title=$row_files['title_first'];}else{$file_title=$row_files['title'];} // Имя файла

				echo"
				<tr>
					<td class='text-center'>$row_files[id]</td>
					<td><input type='text' name='id[$row_files[id]]' value='$row_files[number]' class='form-control form-control-sm number draggable' maxlength='4' autocomplete='off'></td>
					<td class='text-center'><input type='checkbox' name='checkbox[]' value='$row_files[file]' class='checkbox-element'></td>
					<td><input type='text' name='title_id[$row_files[id]]' class='form-control form-control-sm' value='".htmlspecialchars($row_files['title'],ENT_QUOTES)."' placeholder='".htmlspecialchars($row_files['title_first'],ENT_QUOTES)."'></td>
					<td class='text-center'><a href='/cms/pages-files/archive/$row_files[file]' target='_blank' download><span class='glyphicon glyphicon-download-alt'></span></a></td>
					<td class='text-center'>$file_size</td>
					<td class='text-center'><abbr class='tooltip-element' title='Пользователь: ";user_detection($row_files['user']);echo"'>";date_formated($row_files['date_time']);echo"</abbr></td>
					<td class='text-center'>";
					if($row_files['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
					else{echo"<abbr class='tooltip-element' title='Пользователь: ";user_detection($row_files['user_update']);echo"'>";date_formated($row_files['date_time_update']);echo"</abbr>";}
					echo"</td>
					<td class='text-center'>

						<a href='".CURRENT_FILE."?archive_file=$row_files[id]' class='btn btn-secondary btn-sm'>
							<span class='glyphicon glyphicon-pencil'></span>
						</a>

						<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal$row_files[id]' data-toggle='modal'>
							<span class='glyphicon glyphicon-remove'></span>
						</a>

						<div class='modal fade' id='modal$row_files[id]' tabindex='-1' role='dialog' aria-hidden='true'>
							<div class='modal-dialog modal-sm'>
								<div class='modal-content'>
									<div class='modal-header text-center'>
										<h5>Вы действительно хотите удалить файл<br><b class='text-break'>$file_title</b>?</h5>
									</div>
									<div class='modal-footer'>
										<a href='_delete.php?archive_file_name=$row_files[file]' class='btn btn-danger'>Удалить навсегда</a>
										<button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
									</div>
								</div>
							</div>
						</div>

					</td>
				</tr>
				";
			}

			echo"
					</tbody>
				</table>
			</div>
			";

		}



		if($count_files!=0)
		{
			echo"
			<div class='row'>
				<div class='col-lg-12'>
					<hr>
					<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_archive_files'>Обновить</button>
					<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_archive_files' id='delete-numbers-pages-images'>Удалить группу</button>
					<label class='checkbox-inline'>
						&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
					</label>
				</div>
			</div>
			";
		}

		echo"
		</form>
		";

	}

	// Загрузка файлов
	elseif(isset($record_new_file))
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_POST['hidden_field']));

		$count_files = count_query('SELECT id from '.DB_PREFIX.'fields_archive where name = '.$_POST['hidden_field'].' && element = '.$_POST['hidden_element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$_POST['hidden_element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$_POST['hidden_element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$_POST['hidden_element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$_POST['hidden_element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$_POST['hidden_element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_POST['hidden_element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_POST['hidden_element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$_POST['hidden_element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$_POST['hidden_field']?>&element=<?=$_POST['hidden_element']?>'><?=string_cut($row_field['title'],30)?> (<?=$count_files?>)</a></li>
			<li class='breadcrumb-item active'>Загрузка</li>
		</ol>

		<?php

		$field_key = 'fields_archive'.$_POST['hidden_field'];

		$array_string = [
		'field_number' => $_POST['hidden_field'],
		'f_name' => $_FILES[$field_key]['name'],
		'f_tmp_name' => $_FILES[$field_key]['tmp_name'],
		'element_id' => $_POST['hidden_element'],
		'date_time_default' => DATE_TIME,
		'admin_id' => $admin_id
		];

		upload_archive($array_string);

		cache_delete();

	}

	// Редактирование файла
	elseif(isset($_GET['archive_file']))
	{

		$row_file = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_archive where id='.$_GET['archive_file']));
		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_file['name']));

		$count_images = count_query('SELECT id from '.DB_PREFIX.'fields_archive where name = '.$row_file['name'].' && element = '.$row_file['element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$row_file['element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$row_file['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$row_file['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$row_file['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$row_file['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_file['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_file['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$row_file['element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$row_file['name']?>&element=<?=$row_file['element']?>'><?=string_cut($row_field['title'],30)?> (<?=$count_images?>)</a></li>
			<li class='breadcrumb-item active'>Редактирование</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>
			<div class='form-group'>
				<label><b>Название:</b></label>
				<input type='text' class='form-control' name='title' value='<?=htmlspecialchars($row_file['title'],ENT_QUOTES)?>' placeholder='<?=htmlspecialchars($row_file['title_first'],ENT_QUOTES)?>' maxlength='255'>
			</div>
			<div class='form-group'>
				<label><b>Заменить файл:</b></label>
				<input type='file' name='file' class='filestyle' data-buttonBefore='true' data-buttonText=''>
			</div>
			<div class='form-group'>
				<label><b>Дата загрузки:</b></label>
				<br>
				<input type='text' class='form-control datetimepicker' name='date_time' value='<?=$row_file['date_time']?>' maxlenth='19'>
			</div>
			<div class='form-group'>
				<input type='hidden' name='hidden_file' value='<?=$row_file['file']?>'>
				<input type='hidden' name='hidden_file_id' value='<?=$_GET['archive_file']?>'>
				<button type='submit' class='btn btn-primary' name='record_edit_file'>Сохранить</button>
			</div>
		</form>

		<?php

		date_time($row_file['user'],$row_file['user_update'],$row_file['date_time'],$row_file['date_time_update']);

	}

	// Запись отредактированного файла
	elseif(isset($record_edit_file))
	{

		$row_file = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_archive where id='.$_POST['hidden_file_id']));
		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_file['name']));

		$count_files = count_query('SELECT id from fields_archive where name = '.DB_PREFIX.$row_file['name'].' && element = '.$row_file['element']); // количество файлов

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$row_file['element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$row_file['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$row_file['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$row_file['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$row_file['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_file['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_file['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$row_file['element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$row_file['name']?>&element=<?=$row_file['element']?>'><?=string_cut($row_field['title'],30)?> (<?=$count_files?>)</a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?archive_file=<?=$_POST['hidden_file_id']?>'>Редактирование</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		if(trim($_POST['date_time'])=='')
		{
			$row_datetime = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT date_time from '.DB_PREFIX.'fields_archive where id='.$hidden_file_id));
			$date_time = $row_datetime['date_time'];
		}

		// Запись в базу
		if(mysqli_query($mysqli,"UPDATE fields_archive SET

		date_time='$date_time',
		date_time_update='".DATE_TIME."',
		user_update='$admin_id',
		title='$title'

		where id='$hidden_file_id'"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

		// Загрузка файла
		if($_FILES['file']['name']!='')
		{

			$file_extension=pathinfo($_FILES['file']['name'],PATHINFO_EXTENSION);
			$file_name=$hidden_file_id.'.'.$file_extension;

			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_archive SET file='$file_name' where id='$hidden_file_id'");
			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_archive SET title_first='".mysqli_escape_string($mysqli,$_FILES['file']['name'])."' where id='$hidden_file_id'");

			$file_upload=$_FILES['file']['tmp_name'];
			$file_url="../cms/pages-files/archive/";

			unlink("$file_url$hidden_file");

			if(copy($file_upload,"$file_url$file_name"))
			{
				echo"
				<div class='bd-callout bd-callout-warning'>
					<h4>Файл ".$_FILES['file']['name']." успешно загружен!</h4>
					<p><a href='$file_url$file_name' target='_blank'>Открыть</a> в новом окне</p>
				</div>
				";
			}

		}

		cache_delete();

	}

}

require_once('include/footer.php');