<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_settings==0)
{

	echo $block_profile_danger;

}
else
{

	// Создание копии
	if(isset($_GET['new']))
	{

		if($_POST)
		{

			$hash = md5(microtime().rand());

			// Создание архива сайта
			if(isset($_POST['backup_files']))
			{
				if( empty(exec('zip')) )
				{
					ZIP::Add( '../', '../cms/backup/'.$hash.'.zip' );
				}
				else
				{
					exec('cd .. && zip -r cms/backup/'.$hash.'.zip .');
				}
			}

			 // Создание дампа базы
			if(isset($_POST['backup_mysql']))
			{
				exec('mysqldump --user='.DB_USER.' --password="'.DB_PASSWORD.'" '.DB_NAME.' --result-file=../cms/backup/'.$hash.'.sql');
			}

			if(file_exists('../cms/backup/'.$hash.'.zip') || file_exists('../cms/backup/'.$hash.'.sql'))
			{
				mysqli_query($mysqli,'INSERT into '.DB_PREFIX.'backup ( date_time, user, hash ) VALUES ( "'.DATE_TIME.'", "'.$admin_id.'", "'.$hash.'" )'); // Добавление записи в базу
			}

			redirect(CURRENT_FILE);

		}
		else
		{
			?>

			<ol class="breadcrumb">
				<li class="breadcrumb-item"><a href="<?=CURRENT_FILE?>">Резервное копирование</a></li>
			</ol>

			<form action="<?=CURRENT_FILE?>?new" method="POST">

				<div class="form-group">
					<label><b>Вид резервной копии:</b></label>
					<div class="form-check">
						<input class="form-check-input" type="checkbox" name="backup_mysql" value="1" id="backup_mysql" checked>
						<label class="form-check-label" for="backup_mysql">
							Дамп базы
						</label>
					</div>
					<div class="form-check">
						<input class="form-check-input" type="checkbox" name="backup_files" value="1" id="backup_files" checked>
						<label class="form-check-label" for="backup_files">
							Архив сайта
						</label>
					</div>
				</div>

				<button class="btn btn-primary">Создать</button>

			</form>

			<?php
		}

	}

	// Загрузка копии
	elseif(isset($_GET['upload']))
	{
		?>

		<ol class="breadcrumb">
			<li class="breadcrumb-item active">Резервное копирование</li>
			<li class='flex-float-right d-none d-sm-block'>
				<a href='<?=CURRENT_FILE?>?upload'>+ Загрузить копию</a> &nbsp; <a href='<?=CURRENT_FILE?>?new'>+ Создать копию</a>
			</li>
		</ol>

		<form role='form' action='../cms/backup/backup_out.php' method='POST' enctype='multipart/form-data'>

			<div class='form-group'>
				<label><b>Файл MySQL:</b></label>
				<input type='file' name='upload_sql' class='filestyle' data-buttonBefore='true'>
			</div>

			<div class='form-group'>
				<label><b>Архив файлов:</b></label>
				<input type='file' name='upload_zip' class='filestyle' data-buttonBefore='true'>
				<p class="form-text text-muted">В формате *.zip</p>
			</div>

			<button class="btn btn-primary">Восстановить</button>

		</form>

		<?php
	}

	// Список копий
	else
	{

		?>

		<ol class="breadcrumb">
			<li class="breadcrumb-item active">Резервное копирование</li>
			<li class='flex-float-right d-none d-sm-block'>
				<a href='<?=CURRENT_FILE?>?upload'>+ Загрузить копию</a> &nbsp; <a href='<?=CURRENT_FILE?>?new'>+ Создать копию</a>
			</li>
		</ol>

		<?php
		if(count_query('SELECT id from '.DB_PREFIX.'backup') == 0)
		{
			?>

			<a href="<?=CURRENT_FILE?>?upload" class="btn btn-primary">Загрузить копию</a>
			<a href="<?=CURRENT_FILE?>?new" class="btn btn-primary">Создать копию</a>

			<?php
		}
		else
		{
			?>

			<form role='form' action='_delete.php' method='post' id='form-post'>

				<div class='table-responsive'>
					<table class='table table-hover'>
						<thead>
							<tr>
								<th class='text-center'>ID</th>
								<th></th>
								<th class='text-center text-nowrap'>Дата создания</th>
								<th class='text-center'>База, Кб</th>
								<th class='text-center'>Файлы, Кб</th>
								<th class='text-center'>Операции</th>
							</tr>
						</thead>
						<tbody>

							<?php
							if(count_query('SELECT id from '.DB_PREFIX.'backup')>0)
							{
								$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'backup order by date_time desc');
								while($row=mysqli_fetch_array($result))
								{
									?>

									<tr>

										<td class='text-center'>
											<?=$row['id']?>
										</td>

										<td>
											<input type='checkbox' name='checkbox[]' value='<?=$row['hash']?>' class="checkbox-element">
										</td>

										<td class='text-center text-nowrap'>
											<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'> <?=date_formated($row['date_time'])?></abbr>
										</td>

										<td class='text-center'>
										<?php
											if(file_exists('../cms/backup/'.$row['hash'].'.sql'))
											{
												?>
												<a href="/cms/backup/<?=$row['hash']?>.sql" download><?=round((filesize('../cms/backup/'.$row['hash'].'.sql')/1024),2)?></a>
												<?php
											}
											else
											{
												?>
												&mdash;
												<?php
											}
											?>
										</td>

										<td class='text-center'>
											<?php
											if(file_exists('../cms/backup/'.$row['hash'].'.zip'))
											{
												?>
												<a href="/cms/backup/<?=$row['hash']?>.zip" download><?=round((filesize('../cms/backup/'.$row['hash'].'.zip')/1024),2)?></a>
												<?php
											}
											else
											{
												?>
												&mdash;
												<?php
											}
											?>
										</td>

										<td class='text-center text-nowrap'>

											<a href='../cms/backup/backup_out.php?recover=<?=$row['hash']?>' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-repeat'></span></a>

											<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['hash']?>' data-toggle='modal'>
												<span class='glyphicon glyphicon-remove'></span>
											</a>
											<div class='modal fade' id='modal<?=$row['hash']?>' tabindex='-1' role='dialog' aria-hidden='true'>
												<div class='modal-dialog modal-sm'>
													<div class='modal-content'>
														<div class='modal-body'>
															<h5>Вы действительно хотите эту резервную копию?</h5>
														</div>
														<div class='modal-footer'>
															<a href='_delete.php?backup=<?=$row['hash']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
														</div>
													</div>
												</div>
											</div>

										</td>

										</tr>

									<?php
								}
							}
							?>

						</tbody>
					</table>
				</div>

				<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_backup'>Удалить группу</button>
					<label>
						&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
					</label>

			</form>

			<?php
		}

	}

}

require_once('include/footer.php');