<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_pages==0)
{
	echo $block_profile_danger;
}
else
{

	$title_section='Блоки статические';
	$title_new_section='Новый блок';
	$title_new_field='Новое поле';
	if(count_query('SELECT id from '.DB_PREFIX.'blocks_static')==0)
	{
		$info_new="<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_block'>+ Создать блок</a>";
	}
	else
	{
		$info_new="<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new_block'>+ Создать блок</a> &nbsp; <a href='".CURRENT_FILE."?new_field'>+ Создать поле</a></li>";
	}

	// Новый блок
	if(isset($_GET['new_block']))
	{
		?>
		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'><?=$title_new_section?></li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<div class='form-group'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='hide' value='1'> <b>Скрыть</b>
					</label>
				</div>
			</div>

			<button type='submit' class='btn btn-primary' name='record_new_block'>Записать</button>

		</form>
		<?php
	}

	// Запись нового блока
	elseif(isset($_POST['record_new_block']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new_block'><?=$title_new_section?></a></li>
			<li class='breadcrumb-item active'>Запись</li>
			<?=$info_new?>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));
		if(!isset($hide)){$hide=0;}

		if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."blocks_static (user,title,hide,date_time) VALUES ('$admin_id','$title','$hide','".DATE_TIME."')"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}
	}

	// Редактирование блока
	elseif(isset($_GET['block']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'>Редактирование</li>
		</ol>

		<?php

		if($row=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."blocks_static where id='$block'")))
		{
			?>

			<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

				<div class='form-group' id='title-div'>
					<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
					<input type='text' class='form-control' id='title' name='title' maxlength='255' value="<?=htmlspecialchars($row['title'],ENT_QUOTES)?>">
				</div>

				<div class='form-group'>
					<blockquote>
						<?php Fields::Edit('blocks_static',$_GET['block'],$row['id']); ?>
					</blockquote>
				</div>

				<div class='form-group'>
					<label><b>Шаблон:</b></label>
					<textarea name="template" class="form-control demo codemirror"><?=htmlspecialchars($row['template'],ENT_QUOTES)?></textarea>
				</div>

				<div class='form-group'>
					<div class='checkbox'>
						<label>
							<input type=checkbox <?php if($row['hide']==1) echo'checked'; ?> name='hide' value='1'> <b>Скрыть</b>
						</label>
					</div>
				</div>

				<input type="hidden" name="hidden" value="<?=$row['id']?>">

				<button type='submit' class='btn btn-primary' name='record_edit_block'>Записать</button>

			</form>

			<?php

			date_time($row['user'],$row['user_update'],$row['date_time'],$row['date_time_update']);
		}
	}

	// Запись отредактированного блока
	elseif(isset($_POST['record_edit_block']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?block=<?=$hidden?>'>Редактирование</a></li>
			<li class='breadcrumb-item active'>Запись</li>
			<?=$info_new?>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));
		$template=trim(mysqli_escape_string($mysqli,$template));
		if(!isset($hide)){$hide=0;}

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."blocks_static SET
			user_update='$admin_id',
			title='$title',
			hide='$hide',
			template='$template',
			date_time_update='".DATE_TIME."'
			where id='$hidden'"))
		{
			echo $block_info;
			cache_delete();
		}
		else
		{
			echo $block_danger;
		}

		// Запись дополнительных полей
		Fields::EditRecord($hidden,DATE_TIME,$admin_id);

	}

	// Новое поле
	elseif(isset($_GET['new_field']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'><?=$title_new_field?></li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<div class="form-group">
				<label><b>Пояснение:</b></label>
				<input type='text' name='notice' class='form-control' maxlength="255">
			</div>

			<div class="form-group">
				<label><b>Тип поля:</b></label>
				<select name="field_type" class="form-control">
					<option value="fields_varchar">Строка</option>
					<option value="fields_text">Текст</option>
					<option value="fields_select">Список однозначный</option>
					<option value="fields_select_multiple">Список многозначный</option>
					<option value="fields_boolean">Булево значение</option>
					<option value="fields_int">Целое число</option>
					<option value="fields_decimal">Дробное число</option>
					<option value="fields_date">Дата</option>
					<option value="fields_image">Изображение</option>
					<option value="fields_gallery">Галерея</option>
					<option value="fields_file">Файл</option>
					<option value="fields_archive">Архив</option>
					<option value="fields_array">Массив данных</option>
					<option value="fields_elements">Динамический блок</option>
				</select>
			</div>

			<div class="form-group">
				<label><b>Обработка:</b></label>
				<select name="editor" class="form-control">
					<option value="0">-- Без обработки --</option>
					<option value="1">Html-редактор</option>
					<option value="2">Код</option>
				</select>
			</div>

			<div class="form-group">
				<label><b>Значение по умолчанию:</b></label>
				<input type='text' name='value_default' class='form-control' maxlength="255" value="">
			</div>

			<div class="form-group">
				<label><b>Длина поля:</b></label>
				<input type='text' name='length' class='form-control' maxlength="5" value="0">
				<p class='form-text text-muted'>неограниченно - 0</p>
			</div>

			<div class="form-group">
				<label><b>Ширина большого эскиза:</b></label>
				<input type='text' name='width_big' class='form-control' maxlength="5" value="0">
			</div>

			<div class="form-group">
				<label><b>Ширина малого эскиза:</b></label>
				<input type='text' name='width_small' class='form-control' maxlength="5" value="0">
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-original'>
					<label>
						<input type='checkbox' name='original' value='1'> <b>Сохранять оригинал</b>
					</label>
				</div>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (начало):</b></label>
				<textarea class='form-control demo codemirror' name='frame1'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Шаблон:</b></label>
				<textarea class='form-control demo codemirror' name='template'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Обрамление (конец):</b></label>
				<textarea class='form-control demo codemirror' name='frame2'></textarea>
			</div>

			<div class='form-group'>
				<label><b>Код сортировки:</b></label>
				<input type=text class='form-control' name='sort_code' value=''>
			</div>

			<div class='form-group'>
				<label><b>Код выборки:</b></label>
				<input type=text class='form-control' name='where_code' value=''>
			</div>

			<div class='form-group'>
				<label><b>Лимит:</b></label>
				<div class='form-inline input-limit'>
					<input type='text' class='form-control mr-sm-2 number' name='limit1' value='0'> <input type='text' class='form-control number' name='limit2' value='0'>
				</div>
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-pagination'>
					<label>
						<input type='checkbox' name='pagination' value='1'> <b>Постраничное разделение</b>
					</label>
				</div>
			</div>

			<div class='form-group'>
				<div class='checkbox checkbox-lastframe'>
					<label>
						<input type='checkbox' name='last_frame' value='1'> <b>Отобразить последний элемент обрамления</b>
					</label>
				</div>
			</div>

			<div class="form-group">
				<label><b>Блок статический:</b></label>
				<select name="section" class="form-control">
					<?php
					$result_section=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."blocks_static order by number asc, id asc");
					while($row_section=mysqli_fetch_array($result_section))
					{
						?>
						<option value="<?=$row_section['id']?>"><?=$row_section['title']?></option>
						<?php
					}
					?>
				</select>
			</div>

			<button type='submit' class='btn btn-primary' name='record_new_field'>Записать</button>

		</form>

		<?php
	}

	// Запись нового поля
	elseif(isset($_POST['record_new_field']))
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?new_field'><?=$title_new_field?></a></li>
			<li class='breadcrumb-item active'>Запись</li>
			<?=$info_new?>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$_POST['title']));
		$notice=trim(mysqli_escape_string($mysqli,$_POST['notice']));
		$value_default=trim(mysqli_escape_string($mysqli,$_POST['value_default']));
		$frame1=trim(mysqli_escape_string($mysqli,$_POST['frame1']));
		$frame2=trim(mysqli_escape_string($mysqli,$_POST['frame2']));
		$template=trim(mysqli_escape_string($mysqli,$_POST['template']));
		$sort_code=trim(mysqli_escape_string($mysqli,$_POST['sort_code']));
		$where_code=trim(mysqli_escape_string($mysqli,$_POST['where_code']));

		$pagination = (isset($_POST['pagination'])) ? $_POST['pagination'] : 0;
		$last_frame = (isset($_POST['last_frame'])) ? $_POST['last_frame'] : 0;

		if(mysqli_query($mysqli,'INSERT INTO
			'.DB_PREFIX.'fields_name (

			title,
			notice,
			section,
			element_type,
			field_type,
			editor,
			value,
			length,
			width_big,
			width_small,
			frame1,
			frame2,
			template,
			sort_code,
			where_code,
			limit1,
			limit2,
			pagination,
			last_frame,
			user,
			date_time

			)	VALUES (

			"'.$title.'",
			"'.$notice.'",
			"'.$section.'",
			"blocks_static",
			"'.$field_type.'",
			"'.$editor.'",
			"'.$value_default.'",
			"'.$length.'",
			"'.$width_big.'",
			"'.$width_small.'",
			"'.$frame1.'",
			"'.$frame2.'",
			"'.$template.'",
			"'.$sort_code.'",
			"'.$where_code.'",
			"'.$limit1.'",
			"'.$limit2.'",
			"'.$pagination.'",
			"'.$last_frame.'",
			"'.$admin_id.'",
			"'.DATE_TIME.'"

			)
			'))
		{
			echo $block_info;
		}
		else
		{
			echo mysqli_error($mysqli);
			echo $block_danger;
		}

	}

	// Редактирование поля
	elseif(isset($_GET['field']))
	{
		if($row=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_name where id='".$_GET['field']."'")))
		{
			if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."blocks_static where id='$row[section]'")))
			{
				$section_title=$row_section_nav['title'];
			}
			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row['section']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item active'>Редактирование</li>
			</ol>

			<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

				<div class='form-group' id='title-div'>
					<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
					<input type='text' class='form-control' id='title' name='title' maxlength='255' value="<?=htmlspecialchars($row['title'],ENT_QUOTES)?>">
				</div>

				<div class="form-group">
					<label><b>Пояснение:</b></label>
					<input type='text' name='notice' class='form-control' maxlength="255" value="<?=htmlspecialchars($row['notice'],ENT_QUOTES)?>">
				</div>

				<div class="form-group">
					<label><b>Тип поля:</b></label>
					<select name="field_type" class="form-control">
						<option value="fields_varchar" <?php if($row['field_type']=='fields_varchar') echo 'selected';?>>Строка</option>
						<option value="fields_text" <?php if($row['field_type']=='fields_text') echo 'selected';?>>Текст</option>
						<option value="fields_select" <?php if($row['field_type']=='fields_select') echo 'selected';?>>Список однозначный</option>
						<option value="fields_select_multiple" <?php if($row['field_type']=='fields_select_multiple') echo 'selected';?>>Список многозначный</option>
						<option value="fields_boolean" <?php if($row['field_type']=='fields_boolean') echo 'selected';?>>Булево значение</option>
						<option value="fields_int" <?php if($row['field_type']=='fields_int') echo 'selected';?>>Целое число</option>
						<option value="fields_decimal" <?php if($row['field_type']=='fields_decimal') echo 'selected';?>>Дробное число</option>
						<option value="fields_date" <?php if($row['field_type']=='fields_date') echo 'selected';?>>Дата</option>
						<option value="fields_image" <?php if($row['field_type']=='fields_image') echo 'selected';?>>Изображение</option>
						<option value="fields_gallery" <?php if($row['field_type']=='fields_gallery') echo 'selected';?>>Галерея</option>
						<option value="fields_file" <?php if($row['field_type']=='fields_file') echo 'selected';?>>Файл</option>
						<option value="fields_archive" <?php if($row['field_type']=='fields_archive') echo 'selected';?>>Архив</option>
						<option value="fields_array" <?php if($row['field_type']=='fields_array') echo 'selected';?>>Массив данных</option>
						<option value="fields_elements" <?php if($row['field_type']=='fields_elements') echo 'selected';?>>Динамический блок</option>
					</select>
				</div>

				<div class="form-group">
					<label><b>Обработка:</b></label>
					<select name="editor" class="form-control">
						<option value="0">-- Без обработки --</option>
						<option value="1" <?php if($row['editor']=='1') echo 'selected';?>>Html-редактор</option>
						<option value="2" <?php if($row['editor']=='2') echo 'selected';?>>Код</option>
					</select>
				</div>

				<div class="form-group">
					<label><b>Значение по умолчанию:</b></label>
					<input type='text' name='value_default' class='form-control' maxlength="255" value="<?=htmlspecialchars($row['value'],ENT_QUOTES)?>">
				</div>

				<div class="form-group">
					<label><b>Длина поля:</b></label>
					<input type='text' name='length' class='form-control' maxlength="5" value="<?=$row['length']?>">
					<p class='form-text text-muted'>неограниченно - 0</p>
				</div>

				<div class="form-group">
					<label><b>Ширина большого эскиза:</b></label>
					<input type='text' name='width_big' class='form-control' maxlength="5" value="<?=$row['width_big']?>">
				</div>

				<div class="form-group">
					<label><b>Ширина малого эскиза:</b></label>
					<input type='text' name='width_small' class='form-control' maxlength="5" value="<?=$row['width_small']?>">
				</div>

				<div class='form-group'>
					<div class='checkbox checkbox-original'>
						<label>
							<input type='checkbox' name='original' value='1' <?php if($row['original']==1) echo 'checked'; ?>> <b>Сохранять оригинал</b>
						</label>
					</div>
				</div>

				<div class='form-group'>
					<label><b>Обрамление (начало):</b></label>
					<textarea class='form-control demo codemirror' name='frame1'><?=htmlspecialchars($row['frame1'],ENT_QUOTES)?></textarea>
				</div>

				<div class='form-group'>
					<label><b>Шаблон:</b></label>
					<textarea class='form-control demo codemirror' name='template'><?=htmlspecialchars($row['template'],ENT_QUOTES)?></textarea>
				</div>

				<div class='form-group'>
					<label><b>Обрамление (конец):</b></label>
					<textarea class='form-control demo codemirror' name='frame2'><?=htmlspecialchars($row['frame2'],ENT_QUOTES)?></textarea>
				</div>

				<div class='form-group'>
					<label><b>Код сортировки:</b></label>
					<input type=text class='form-control' name='sort_code' value='<?=htmlspecialchars($row['sort_code'],ENT_QUOTES)?>'>
				</div>

				<div class='form-group'>
					<label><b>Код выборки:</b></label>
					<input type=text class='form-control' name='where_code' value='<?=htmlspecialchars($row['where_code'],ENT_QUOTES)?>'>
				</div>

				<div class='form-group'>
					<label><b>Лимит:</b></label>
					<div class='form-inline input-limit'>
						<input type='text' class='form-control mr-sm-2 number' name='limit1' value='<?=$row['limit1']?>'> <input type='text' class='form-control number' name='limit2' value='<?=$row['limit2']?>'>
					</div>
				</div>

				<div class='form-group'>
					<div class='checkbox checkbox-pagination'>
						<label>
							<input type='checkbox' name='pagination' value='1' <?php if($row['pagination']==1) echo 'checked'; ?>> <b>Постраничное разделение</b>
						</label>
					</div>
				</div>

				<div class='form-group'>
					<div class='checkbox checkbox-lastframe'>
						<label>
							<input type='checkbox' name='last_frame' value='1' <?php if($row['last_frame']==1) echo 'checked'; ?>> <b>Отобразить последний элемент обрамления</b>
						</label>
					</div>
				</div>

				<div class="form-group">
					<label><b>Блоки статические:</b></label>
					<select name="section" class="form-control">
						<?php
						$result_section=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'blocks_static order by number asc, id asc');
						while($row_section=mysqli_fetch_array($result_section))
						{
							?>
							<option value="<?=$row_section['id']?>" <?php if($row['section']==$row_section['id']) echo 'selected';?>><?=$row_section['title']?></option>
							<?php
						}
						?>
					</select>
				</div>

				<input type="hidden" name="hidden" value="<?=$_GET['field']?>">

				<button type='submit' class='btn btn-primary' name='record_edit_field'>Записать</button>

			</form>

			<?php
		}
	}

	// Запись отредактированного поля
	elseif(isset($_POST['record_edit_field']))
	{
		if($row=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_name where id='$hidden'")))
		{
			if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."blocks_static where id='$row[section]'")))
			{
				$section_title=$row_section_nav['title'];
			}
			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?section_fields=<?=$row['section']?>'><?=$section_title?></a></li>
				<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$hidden?>'>Редактирование</a></li>
				<li class='breadcrumb-item active'>Запись</li>
			</ol>

			<?php

			$title=trim(mysqli_escape_string($mysqli,$_POST['title']));
			$notice=trim(mysqli_escape_string($mysqli,$_POST['notice']));
			$value_default=trim(mysqli_escape_string($mysqli,$_POST['value_default']));
			$frame1=trim(mysqli_escape_string($mysqli,$_POST['frame1']));
			$frame2=trim(mysqli_escape_string($mysqli,$_POST['frame2']));
			$template=trim(mysqli_escape_string($mysqli,$_POST['template']));
			$sort_code=trim(mysqli_escape_string($mysqli,$_POST['sort_code']));
			$where_code=trim(mysqli_escape_string($mysqli,$_POST['where_code']));

			$pagination = (isset($_POST['pagination'])) ? $_POST['pagination'] : 0;
			$last_frame = (isset($_POST['last_frame'])) ? $_POST['last_frame'] : 0;

			if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_name SET

				title='$title',
				notice='$notice',
				section='$section',
				field_type='$field_type',
				editor='$editor',
				value='$value_default',
				length='$length',
				width_big='$width_big',
				width_big='$width_big',
				frame1='$frame1',
				frame2='$frame2',
				template='$template',
				limit1='$limit1',
				limit2='$limit2',
				sort_code='$sort_code',
				where_code='$where_code',
				pagination='$pagination',
				last_frame='$last_frame',
				user_update='$admin_id',
				date_time_update='".DATE_TIME."'

				where id='$hidden'

				"))
			{
				echo $block_info;
			}
			else
			{
				echo $block_danger;
			}

		}
	}

	// Список значений списка
	elseif(isset($_GET['select']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."fields_name where id='".$_GET['select']."'"));

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item active'><?=$row_list['title']?></li>
			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?select_new=<?=$_GET['select']?>'>+ Создать значение</a></li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post'>
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='pl-4'>#</th>
							<th>Значение</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody>

					<?php
					$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_select_list where name='".$_GET['select']."' order by number asc, id asc");
					while($row=mysqli_fetch_array($result))
					{
						?>

						<tr>
							<td>
								<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number' maxlength='10' autocomplete="off">
							</td>
							<td>
								<b><?=htmlspecialchars($row['value'],ENT_QUOTES)?></b>
							</td>
							<td class="text-center">

								<a href='<?=CURRENT_FILE?>?select_edit=<?=$row['id']?>&select_section=<?=$_GET['select']?>' class='btn btn-secondary btn-sm'>
									<span class='glyphicon glyphicon-pencil'></span>
								</a>

								<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
									<span class='glyphicon glyphicon-remove'></span>
								</a>
								<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
									<div class='modal-dialog modal-sm'>
										<div class='modal-content'>
											<div class='modal-body'>
												<h5>Вы действительно хотите удалить это значение?</h5>
											</div>
											<div class='modal-footer'>
												<a href='<?=CURRENT_FILE?>?delete_select=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
											</div>
										</div>
									</div>
								</div>

							</td>
						</tr>

						<?php
					}
					?>

					</tbody>
				</table>
				<hr>
				<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_fields_select'>Изменить порядок</button>
			</div>
		</form>

		<?php

	}

	// Новое значение списка
	elseif(isset($_GET['select_new']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."fields_name where id='".$_GET['select_new']."'"));

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_GET['select_new']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item active'>Новое значение списка</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255'>
			</div>

			<input type="hidden" name="select_id" value="<?=$_GET['select_new']?>">

			<button type='submit' class='btn btn-primary' name='record_new_select'>Записать</button>

		</form>

		<?php

	}

	// Запись нового значение для списка
	elseif(isset($_POST['record_new_select']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."fields_name where id='".$_POST['select_id']."'"));

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_POST['select_id']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select_new=<?=$_POST['select_id']?>'>Новое значение списка</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));

		if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."fields_select_list (name, value)	VALUES (".$_POST['select_id'].", '$title')"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

		echo mysqli_error($mysqli);

	}

	// Редактирование значения списка
	elseif(isset($_GET['select_edit'],$_GET['select_section']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."fields_name where id='".$_GET['select_section']."'"));

		$row=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_select_list where id='".$_GET['select_edit']."'"));

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_GET['select_section']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item active'>Редактирование значения списка</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Название:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength='255' value="<?=htmlspecialchars($row['value'],ENT_QUOTES)?>">
			</div>

			<input type="hidden" name="select_section_id" value="<?=$_GET['select_section']?>">
			<input type="hidden" name="select_edit_id" value="<?=$_GET['select_edit']?>">

			<button type='submit' class='btn btn-primary' name='record_edit_select'>Записать</button>

		</form>

		<?php

	}

	// Запись отредактированного значения списка
	elseif(isset($_POST['record_edit_select']))
	{

		$row_list=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."fields_name where id='".$_POST['select_section_id']."'"));

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>'><?=$title_section?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select=<?=$_POST['select_section_id']?>'><?=$row_list['title']?></a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?select_edit=<?=$select_edit_id?>&select_section=<?=$select_section_id?>'>Редактирование значения списка</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));

		if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_select_list SET

			value='$title',
			name='$select_section_id'

			where id='$select_edit_id'

			"))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

	}

	// Изменение порядка в значениях списка
	elseif(isset($_POST['record_numbers_fields_select']))
	{

		foreach($_POST['id'] as $id => $number)
		{
			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_select_list SET number='$number' where id='$id'");
		}

		redirect(REFERER);

	}

	// Удаление значения спика
	elseif(isset($_GET['delete_select']))
	{

		mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select where value='.$_GET['delete_select']);
		mysqli_query($mysqli,'DELETE FROM '.DB_PREFIX.'fields_select_list where id='.$_GET['delete_select']);

		redirect(REFERER);

	}

	// Список полей конкретного блока
	elseif(isset($_GET['section_fields']))
	{
		if($row_section_nav=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT title from ".DB_PREFIX."blocks_static where id='$section_fields'"))){$section_title=$row_section_nav['title'];}
		if($section_fields==0){$section_title='Без группы';}
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>">Блоки статические</a></li>
			<li class='breadcrumb-item active'><?=$section_title?></li>
			<?=$info_new?>
		</ol>

		<form action='_numbers.php' method='post' id="form-post">
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='text-center'>#</th>
							<th></th>
							<th>Название</th>
							<th class='text-center'>Тип</th>
							<th class='text-center'>Обработка</th>
							<th class='text-center'>Длина</th>
							<th class='text-center d-none d-xl-table-cell'>Дата создания</th>
							<th class='text-center d-none d-xl-table-cell'>Дата изменения</th>
							<th>Код вставки</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody class="dragula-container">

						<?php
						$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."fields_name where section = ".$_GET['section_fields']." && element_type='blocks_static' order by number asc, id asc");
						while($row=mysqli_fetch_array($result))
						{
							?>
							<tr>
								<td>
									<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='10' autocomplete="off">
								</td>
								<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>
								<td>
									<b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b>
								</td>
								<td class='text-center'>
									<?php
									if($row['field_type']=='fields_varchar') {echo'Строка';}
									elseif($row['field_type']=='fields_text') {echo'Текст';}
									elseif($row['field_type']=='fields_select') { ?> <a href="<?=CURRENT_FILE?>?select=<?=$row['id']?>">Список однозначный (<?=count_query('SELECT id from '.DB_PREFIX.'fields_select_list where name='.$row['id'])?>)</a> <?php }
									elseif($row['field_type']=='fields_select_multiple') { ?> <a href="<?=CURRENT_FILE?>?select=<?=$row['id']?>">Список многозначный (<?=count_query('SELECT id from '.DB_PREFIX.'fields_select_list where name='.$row['id'])?>)</a> <?php }
									elseif($row['field_type']=='fields_boolean') {echo'Булево значение';}
									elseif($row['field_type']=='fields_int') {echo'Целое число';}
									elseif($row['field_type']=='fields_decimal') {echo'Дробное число';}
									elseif($row['field_type']=='fields_date') {echo'Дата';}
									elseif($row['field_type']=='fields_image') {echo'Изображение';}
									elseif($row['field_type']=='fields_gallery') {echo'Галерея';}
									elseif($row['field_type']=='fields_file') {echo'Файл';}
									elseif($row['field_type']=='fields_archive') {echo'Архив';}
									elseif($row['field_type']=='fields_array') {echo'Массив данных';}
									elseif($row['field_type']=='fields_elements') { ?> <a href="fields.php?dynamic=<?=$row['id']?>">Динамический блок (<?=count_query('SELECT id from '.DB_PREFIX.'fields_name where dynamic_section='.$row['id'])?>)</a> <?php }
									?>
								</td>
								<td class='text-center'>
									<?php
									if($row['editor']==0) {echo'&mdash;';}
									elseif($row['editor']==1) {echo'Html-редактор';}
									elseif($row['editor']==2) {echo'Код';}
									?>
								</td>
								<td class='text-center'>
									<?php
									if($row['length']==0) {echo'&mdash;';}
									else {echo $row['length'];}
									?>
								</td>
								<td class="text-center text-nowrap d-none d-xl-table-cell">
									<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time'])?></abbr>
								</td>
								<td class="text-center text-nowrap d-none d-xl-table-cell">
									<?php
									if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
									else
									{
										?>
										<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time_update'])?></abbr>
										<?php
									}
									?>
								</td>
								<td>
									<input type='text' class='form-control' value='<?php echo"<?=cms_field($_GET[section_fields],$row[id])?>"; ?>' onclick='this.select();'>
								</td>
								<td class="text-center text-nowrap">

									<a href='<?=CURRENT_FILE?>?field=<?=$row['id']?>' class='btn btn-secondary btn-sm'>
										<span class='glyphicon glyphicon-pencil'></span>
									</a>

									<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
										<span class='glyphicon glyphicon-remove'></span>
									</a>
									<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
										<div class='modal-dialog modal-sm'>
											<div class='modal-content'>
												<div class='modal-body'>
													<h5>Вы действительно хотите удалить это поле?</h5>
												</div>
												<div class='modal-footer'>
													<a href='_delete.php?field_id=<?=$row['id']?>&field_type=<?=$row['field_type']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
												</div>
											</div>
										</div>
									</div>

								</td>
							</tr>
							<?php
						}
						?>

					</tbody>
				</table>
			</div>
			<hr>
			<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_fields'>Изменить порядок</button>
			<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_fields' onClick="document.getElementById('form-post').action='_delete.php';">Удалить группу</button>
			<label>
				&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
			</label>
		</form>

		<?php
	}

	// Общий список блоков
	else
	{
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item active'>Блоки статические</li>
			<?=$info_new?>
		</ol>

		<form action='_numbers.php' method='post'>
			<div class='table-responsive'>
				<table class='table table-hover table-pages'>
				<thead>
					<tr>
						<th class='pl-4'>#</th>
						<th>Блок</th>
						<th class="text-center">Поля</th>
						<th class='text-center text-nowrap'>Дата создания</th>
						<th class='text-center text-nowrap'>Дата изменения</th>
						<th>Код вставки</th>
						<th class='text-center'>Операции</th>
					</tr>
				</thead>
				<tbody class="dragula-container">

					<?php

					if(count_query('SELECT id from '.DB_PREFIX.'blocks_static')>0)
					{
						$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."blocks_static order by number asc, id asc");
						while($row=mysqli_fetch_array($result))
						{

							$count_fields=count_query('SELECT id from '.DB_PREFIX.'fields_name where section='.$row['id'].' && element_type="blocks_static"');// полей в группе

							if($row['hide']==1)
							{
								$hide_style = 'style="color: #aaa;"';
								$hide_block = '<span class="glyphicon glyphicon-info-sign tooltip-element" data-toggle="tooltip" data-placement="right" title="Блок скрыт"></span>';
							}
							else
							{
								$hide_style = '';
								$hide_block = '';
							}

							?>
							<tr>
								<td>
									<input type='text' name='id[<?=$row['id']?>]' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='10' autocomplete="off">
								</td>
								<td>
									<b <?=$hide_style?>><?=htmlspecialchars($row['title'],ENT_QUOTES)?> <?=$hide_block?></b>
								</td>
								<td class="text-center">
									<?php
									if($count_fields!=0)
									{
										?>
										<a href="<?=CURRENT_FILE?>?section_fields=<?=$row['id']?>"><?=$count_fields?></a>
										<?php
									}
									else
									{
										echo $count_fields;
									}
									?>
								</td>
								<td class="text-center text-nowrap">
									<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time'])?></abbr>
								</td>
								<td class="text-center text-nowrap">
									<?php
									if($row['date_time_update']=='1000-01-01 00:00:00'){echo'&mdash;';}
									else
									{
										?>
										<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time_update'])?></abbr>
										<?php
									}
									?>
								</td>
								<td class="text-center">
									<input type='text' class='form-control' value='<?php echo"<?php cms_block_static($row[id]);?>"; ?>' onclick='this.select();'>
								</td>
								<td class="text-center text-nowrap">

									<a href='<?=CURRENT_FILE?>?block=<?=$row['id']?>' class='btn btn-secondary btn-sm'>
										<span class='glyphicon glyphicon-pencil'></span>
									</a>

									<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
										<span class='glyphicon glyphicon-remove'></span>
									</a>
									<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
										<div class='modal-dialog modal-sm'>
											<div class='modal-content'>
												<div class='modal-body'>
													<h5>Вы действительно хотите удалить этот блок с внутренними полями?</h5>
												</div>
												<div class='modal-footer'>
													<a href='_delete.php?block_static_id=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
												</div>
											</div>
										</div>
									</div>

								</td>
							</tr>
							<?php
						}
					}

				?>

				</tbody>
			</table>
			</div>
			<hr>
			<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_blocks_static'>Изменить порядок</button>
		</form>

	<?php
	}
}

require_once('include/footer.php');