<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_faq==0)
	{
		echo $block_profile_danger;
	}
else
	{
		// Редактирование вопроса
		if(isset($id))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Вопрос-ответ</a></li>
					<li class='breadcrumb-item active'>Редактирование</li>
				</ol>
				";

				if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."faq where id='$id'")))
					{
						$quotes_name=htmlspecialchars($row['name'],ENT_QUOTES);
						$quotes_phone=htmlspecialchars($row['phone'],ENT_QUOTES);
						$quotes_mail=htmlspecialchars($row['mail'],ENT_QUOTES);
						$quotes_question=htmlspecialchars($row['question'],ENT_QUOTES);
						$quotes_spec=htmlspecialchars($row['spec'],ENT_QUOTES);
						$quotes_answer=htmlspecialchars($row['answer'],ENT_QUOTES);

						echo"
						<form action='".CURRENT_FILE."' method='post'>

							<div class='form-group' id='title-div'>
								<label><b>Автор:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<input type='text' class='form-control' id='title' name='name' value='$quotes_name' maxlength='255'>
							</div>

							<div class='form-group'>
								<label><b>Телефон:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<input type='text' class='form-control' name='phone' value='$quotes_phone' maxlength='255'>
							</div>

							<div class='form-group'>
								<label><b>E-mail:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<input type='text' class='form-control' name='mail' value='$quotes_mail' maxlength='255'>
							</div>

							<div class='form-group'>
								<label><b>Вопрос:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<textarea class='form-control demo' name='question'>$quotes_question</textarea>
							</div>

							<div class='form-group' id='title-div'>
								<label><b>Специалист:</b></label>
								<input type='text' class='form-control' name='spec' value='$quotes_spec' maxlength='255'>
							</div>

							<div class='form-group'>
								<label><b>Ответ:</b></label>
								<textarea class='form-control demo' name='answer'>$quotes_answer</textarea>
							</div>

							<div class='form-group'>
								<div class='checkbox'>
									<label>
										<input type='checkbox' name='send_answer' value='1'> Отправить ссылку на ответ автору
									</label>
								</div>
							</div>

							<input type='hidden' name='hidden' value='$id'>
							<button type='submit' class='btn btn-secondary' name='record_edit'>Записать</button>

						</form>
						<br><br>
						";
					}
			}
		// Запись отредактированного вопроса
		elseif(isset($record_edit))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Вопрос-ответ</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."?id=$hidden'>Редактирование</a></li>
					<li class='breadcrumb-item active'>Запись</li>
				</ol>
				";

				$name=mysqli_escape_string($mysqli,$name);
				$phone=mysqli_escape_string($mysqli,$phone);
				$mail=mysqli_escape_string($mysqli,$mail);
				$question=mysqli_escape_string($mysqli,$question);
				$spec=mysqli_escape_string($mysqli,$spec);
				$answer=mysqli_escape_string($mysqli,$answer);
				if(!isset($send_answer)){$send_answer=0;}

				if($spec!='' && $answer!=''){$date_time_answer=DATE_TIME;}else{$date_time_answer='1000-01-01 00:00:00';}
				if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."faq SET name='$name',phone='$phone',mail='$mail',question='$question',spec='$spec',answer='$answer',date_time_answer='$date_time_answer' where id='$hidden'"))
					{
						echo"
						<div class='bd-callout'>
							<h4>Информация успешно записана!</h4>
						";

						if($send_answer==1 && $spec!='' && $answer!='' && preg_match("/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/",$mail))
							{

								// Вычисление страницы FAQ
								$row_page_faq=mysqli_fetch_assoc(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where page_faq='1'"));

								$url_page_faq = HOST_PROTOCOL.HOST_NAME.pageURI::Display($row_page_faq['id']).'#q'.$hidden;

								// Инициализация почты
								if($row_mail=mysqli_fetch_array(mysqli_query($mysqli,"SELECT mail from ".DB_PREFIX."settings")))
								{
									if($row_mail['mail']!='')
									{
										$mail_send=$row_mail['mail'];
									}
									else
									{
										if($row_mail_admin=mysqli_fetch_array(mysqli_query($mysqli,"SELECT mail from ".DB_PREFIX."admin where admin='1'")))
										{
											$mail_send=$row_mail_admin['mail'];
										}
									}
								}

								$mail_from="webmaster@".HOST_NAME; // от кого
								$address=$mail_send; // куда отвечать

								// Инициализация Phpmailer
								require_once '../cms/app/libs/phpmailer/src/PHPMailer.php';
								$mailer = new PHPMailer\PHPMailer\PHPMailer();
								$mailer->CharSet = 'utf-8';
								$mailer->IsHTML(true);
								$mailer->setFrom ($mail_from, idn_convert(HOST_NAME));
								$mailer->addAddress($mail,$mail);
								$mailer->AddReplyTo($address,$address);

								$mailer->Subject = "Уведомление об ответе на вопрос";
								$mailer->Body = "
								<html>
									<head>
										<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
									</head>
									<body>
										<p>Здравствуйте, $name. Вы задавали вопрос:</p>

										$question

										<br><br>
										Ответ доступен по адресу $url_page_faq
									</body>
								</html>
								";

								if($mailer->send())
								{
									echo"
									<p>Уведомление об ответе направлено на <b>$mail</b></p>
									";
								}

							}

						echo"
						</div>
						";
						cache_delete();
					}
				else
					{
						echo $block_danger;
					}
			}
		else
			{
				// Предварительные переменные постраничного разделения
				$links=50; // количество данных на странице
				$show_link=9; // количество отображаемых ссылок; нагляднее будет, когда это число будет парное
				$last_text="&laquo;"; // текст для ссылки на первую страницу
				$next_text="&raquo;"; // текст для ссылки на последнюю страницу
				$separator=""; // разделитель ссылок

				$template_pagination=CURRENT_FILE.'?page=';
				$count_elements=mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."faq"));

				if(!isset($_GET["page"]) || ($page=intval($_GET["page"]))<1)
					{
						$page=1;
					}
				else
					{
						$page=(int)$page;
					}
				$pages_count=ceil($count_elements/$links); // Количество страниц
				if($page>$pages_count) $page = $pages_count;
				$page_for_query = $page-1;
				$lpos = $page_for_query * $links;

				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item active'>Вопрос-ответ</li>
				</ol>

				<div class='table-responsive'>
				<table class='table table-hover table-pages'>
					<thead>
						<tr>
							<th class='text-center'>Автор / IP</th>
							<th class='text-center'>Телефон</th>
							<th class='text-center'>E-mail</th>
							<th>Вопрос</th>
							<th class='text-center'>Специалист</th>
							<th class='text-center'>Ответ</th>
							<th class='text-center'>Операции</th>
						</tr>
					</thead>
					<tbody>
			";
					if(mysqli_num_rows(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."faq"))>0)
					{
						$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."faq order by id desc limit $lpos,$links");
						while($row=mysqli_fetch_array($result))
						{
							$name=htmlspecialchars($row['name'],ENT_QUOTES);
							$phone=htmlspecialchars($row['phone'],ENT_QUOTES);
							$question=htmlspecialchars(mb_substr($row['question'],0,100));
							$spec=htmlspecialchars($row['spec'],ENT_QUOTES);
							$answer=htmlspecialchars(mb_substr($row['answer'],0,100),ENT_QUOTES);

							echo"
							<tr
							";
							if($name=='' || $answer==''){echo"class='table-danger'";}
							echo"
							>
								<td class='text-center'>
									<abbr class='tooltip-element' data-toggle='tooltip' data-placement='top' title='"; echo date_formated($row['date_time']); echo"'>$name</abbr>
									<br>
									$row[ip]
								</td>
								<td class='text-center text-nowrap'>
									$phone
								</td>
								<td class='text-center'>
									<a href='mailto:$row[mail]'>$row[mail]</a>
								</td>
								<td>
									$question
								</td>
								<td class='text-center'>
									<abbr class='tooltip-element' data-toggle='tooltip' data-placement='top' title='"; echo date_formated($row['date_time_answer']); echo"'>$spec</abbr>
								</td>
								<td>
									$answer
								</td>
								<td class='text-center text-nowrap'>

									<a href='".CURRENT_FILE."?id=$row[id]' class='btn btn-secondary btn-sm'>
										<span class='glyphicon glyphicon-pencil'></span>
									</a>

									<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal$row[id]' data-toggle='modal'>
										<span class='glyphicon glyphicon-remove'></span>
									</a>
									<div class='modal fade' id='modal$row[id]' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
										<div class='modal-dialog modal-sm'>
											<div class='modal-content'>
												<div class='modal-body'>
													<h4>Вы действительно хотите удалить этот вопрос?</h4>
												</div>
												<div class='modal-footer'>
													<a href='_delete.php?faq_id=$row[id]' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
												</div>
											</div>
										</div>
									</div>

								</td>
							</tr>
							";
						}
					}
				echo"
							</tbody>
						</table>
					</div>
				";

				// Постраничный вывод
				if($count_elements>$links)
					{
						echo"
						<nav>
							<ul class='pagination pagination-sm'>
						";

						if($pages_count<=$show_link+1) $show_dots="no";
						$begin=$page-intval($show_link/2);
						if($begin>2 && !isset($show_dots)) echo"<li class='page-item'><a class='page-link' href='".$template_pagination."1'>".$last_text."</a></li> ";
						for($j=0;$j<$page;$j++)
						if($begin+$show_link-$j>$pages_count && $pages_count-$show_link+$j>0)
							{
								$page_link=$pages_count-$show_link+$j;
								if (!isset($show_dots)&& $pages_count-$show_link>1)
								{echo" <li class='page-item'><a class='page-link' href='$template_pagination",$page_link-1,"'>&hellip;</a></li> "; $show_dots="no";}
								echo" <li class='page-item'><a class='page-link' href='$template_pagination".$page_link."'>".$page_link."</a></li> ".$separator;
							}
						else continue;
						for($j=0;$j<=$show_link;$j++){$i=$begin+$j;if($i<1){$show_link++;continue;}
						if(!isset($show_dots)&&$begin>1)
						{echo" <li class='page-item'><a  class='page-link' href='$template_pagination",$i-1,"'>&hellip;</a></li> "; $show_dots="no";}
						if($i>$pages_count) break; if($i==$page)
						{echo "<li class='page-item active'><span class='page-link'>$i</span></li>";} else echo" <li class='page-item'><a class='page-link' href='$template_pagination".$i."'>".$i."</a></li> ";
						if($i != $pages_count && $j != $show_link) echo $separator;
						if($j==$show_link && $i<$pages_count) echo" <li class='page-item'><a class='page-link'href='$template_pagination",$i+1,"'>&hellip;</a></li> ";}
						if($begin+$show_link+1<$pages_count) echo" <li class='page-item'><a class='page-link'href='$template_pagination".$pages_count."'>".$next_text."</a></li>";

						echo"
							</ul>
						</nav>
						";
					}
			}

	}

require_once('include/footer.php');