<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_fields==0)
{
	echo $block_profile_danger;
}
else
{

	// Добавление элементов
	if(isset($_GET['add'],$_GET['field'],$_GET['element']))
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));
		$row_field_array = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_array where name='.$_GET['field'].' && element = '.$_GET['element']));

		$array_search = (count_query('SELECT id from '.DB_PREFIX.'fields_array where name='.$_GET['field'].' && element = '.$_GET['element']) > 0) ? explode(' ', $row_field_array['value']) : '';

		if($row_field['element_type'] == 'pages')
		{
			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_GET['element']));
			$nav_start='
			<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>
			<li class="breadcrumb-item"><a href="pages.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>
			';
		}
		elseif($row_field['element_type'] == 'elements')
		{
			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_GET['element']));
			$nav_start='
			<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>
			<li class="breadcrumb-item"><a href="elements.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>
			';
		}
		elseif($row_field['element_type'] == 'blocks_static')
		{
			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_GET['element']));
			$nav_start='
			<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>
			<li class="breadcrumb-item"><a href="blocks_static.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>
			';
		}

		if(isset($keyword))
		{
			$keyword=htmlspecialchars(trim($keyword),ENT_QUOTES);
			$page_id='';
			$nav_end='
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?add&field='.$_GET['field'].'&element='.$_GET['element'].'">'.$row_field['title'].'</a></li>
			<li class="breadcrumb-item active">Результаты поиска для <b>'.$keyword.'</b></li>
			';
		}
		else
		{
			$keyword='';
			$page_id='';
			$nav_end='<li class="breadcrumb-item active">'.$row_field['title'].'</li>';
		}

		?>

		<ol class="breadcrumb">
			<?=$nav_start?>
			<?=$nav_end?>
		</ol>

		<form action='<?=CURRENT_FILE?>?add&field=<?=$_GET['field']?>&element=<?=$_GET['element']?>' class='mb-3' method='get'>
			<div class='form-group'>
				<div class='input-group'>
					<input type='text' class='form-control' name='keyword' value='<?=$keyword?>' placeholder='Поиск по контексту страницы'>
					<div class='input-group-append'>
						<input type='submit' class='btn btn-primary' value='Найти'>
					</div>
				</div>
			</div>

			<input type="hidden" name="add">
			<input type="hidden" name="field" value="<?=$_GET['field']?>">
			<input type="hidden" name="element" value="<?=$_GET['element']?>">

		</form>

		<?php

		if(isset($_GET['keyword']))
		{

			$where_code = ($row_field['where_code']) ? '('.$row_field['where_code'].') &&' : '';

			if(mb_strlen($keyword,'UTF-8')<3)
			{
				echo"<span class='text-danger'><b>Введен некорректный запрос!</b></span>";
			}
			elseif(mysqli_num_rows(mysqli_query($mysqli,"SELECT id from ".DB_PREFIX."pages where $where_code (title like '%$keyword%'	or tip like '%$keyword%' or demo like '%$keyword%' or text like '%$keyword%'	or tags like '%$keyword%')"))==0)
			{
				echo"<span class='text-danger'><b>По данному запросу ничего не найдено!</b></span>";
			}
			else
			{
				?>

				<form role='form' action='<?=CURRENT_FILE?>' method='post' id='form-post'>

					<div class='table-responsive'>
						<table class='table table-hover'>
							<thead>
								<tr>
									<th></th>
									<th class='text-center'>ID</th>
									<th>Наименование</th>
									<th class='text-center'>Текст</th>
									<th class='text-center hidden-xl'>Комментарии</th>
									<th class='text-center text-nowrap'>Дата создания</th>
									<th class='text-center text-nowrap'>Дата изменения</th>
								</tr>
							</thead>

							<tbody>

								<?php

								$result = mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages where '.$where_code.' (title like "%'.$keyword.'%"	or tip like "%'.$keyword.'%" or demo like "%'.$keyword.'%" or text like "%'.$keyword.'%"	or tags like "%'.$keyword.'%") limit 0, 100');
								while($row = mysqli_fetch_array($result))
								{
									?>
									<tr>

										<td class='text-center'>
											<?php
											if(is_array($array_search))
											{
												if(in_array($row['id'],$array_search))
												{
													?>
													<span class='glyphicon glyphicon-ok'></span>
													<?php
												}
												else
												{
													?>
													<input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element">
													<?php
												}
											}
											else
											{
												?>
												<input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element">
												<?php
											}
											?>
										</td>
										<td class='text-center'><?=$row['id']?></td>
										<td>
											<?php
											if($row['hide']==1)
											{
												?>
												<b style='color:#aaa;'><?=htmlspecialchars($row['title'],ENT_QUOTES)?> <span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Страница скрыта'></span></b>
												<?php
											}
											else
											{
												?>
												<b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b>
												<?php
											}
											?>
										</td>
										<td class='text-center'>
											<?php if($row['text']){echo"<span class='glyphicon glyphicon-ok'></span>";}else{echo"&mdash;";} ?>
										</td>
										<td class="text-center">
											<?php if($row['comments'] == 1){echo"<span class='glyphicon glyphicon-ok'></span>";}else{echo"&mdash;";} ?>
										</td>
										<td class='text-center text-nowrap'>
											<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'><?=date_formated($row['date_time'])?></abbr>
										</td>
										<td class='text-center text-nowrap'>
										<?php
											if($row['date_time_update'] == '1000-01-01 00:00:00'){echo"&mdash;";}
											else
											{
												echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
												date_formated($row['date_time_update']);
												echo"</abbr>";
											}
										?>
										</td>


									</tr>
									<?php
								}
								?>

							</tbody>

						</table>
					</div>


					<hr>

					<button type="submit" class="btn btn-secondary btn-sm" name="add_elements">Добавить</button>

					<label>
						&nbsp; <input type="checkbox" class="select-checkbox"> Выбрать все
					</label>

					<input type="hidden" name="field" value="<?=$_GET['field']?>">
					<input type="hidden" name="element" value="<?=$_GET['element']?>">

				</form>

				<?php
			}

		}

	}

	// Добавление элементов
	elseif(isset($_POST['add_elements']))
	{

		if((count_query('SELECT id from '.DB_PREFIX.'fields_array where name='.$_POST['field'].' && element = '.$_POST['element']) > 0))
		{
			$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_array where name='.$_POST['field'].' && element = '.$_POST['element']));

			$field_array = explode(' ', $row_field['value'].' '.implode(' ', $_POST['checkbox']));

			$field_array = array_unique($field_array);

			$field_array = implode(' ',$field_array);

    	mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_array SET value="'.trim($field_array).'" where name='.$_POST['field'].' && element = '.$_POST['element']);
		}
		else
		{
			mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'fields_array (name, element, value) VALUES ('.$_POST['field'].','.$_POST['element'].',"'.implode(' ', $_POST['checkbox']).'")');
		}

		redirect(CURRENT_FILE.'?field='.$_POST['field'].'&element='.$_POST['element']);

	}

	// Список элементов
	elseif(!isset($_GET['add']) && isset($_GET['field'],$_GET['element']))
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));

		if($row_field['element_type'] == 'pages')
		{
			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_GET['element']));
			$nav_start='
			<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>
			<li class="breadcrumb-item"><a href="pages.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>
			';
		}
		elseif($row_field['element_type'] == 'elements')
		{
			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_GET['element']));
			$nav_start='
			<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>
			<li class="breadcrumb-item"><a href="elements.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>
			';
		}
		elseif($row_field['element_type'] == 'blocks_static')
		{
			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_GET['element']));
			$nav_start='
			<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>
			<li class="breadcrumb-item"><a href="blocks_static.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>
			';
		}

		?>

			<ol class='breadcrumb'>

				<?=$nav_start?>
				<li class="breadcrumb-item active"><?=$row_field['title']?></li>

				<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?add&field=<?=$_GET['field']?>&element=<?=$_GET['element']?>'>+ Добавить</a></li>

			</ol>

			<form role='form' action='<?=CURRENT_FILE?>' method='post' id='form-post'>

				<div class='table-responsive'>
					<table class='table table-hover'>
						<thead>
							<tr>
								<th></th>
								<th class='text-center'>ID</th>
								<?php if($row_field['sort_code'] == '') { ?>
									<th class='pl-4'>#</th>
								<?php } ?>
								<th>Заголовок</th>
								<th class='text-center'>Текст</th>
								<th class='text-center hidden-xl'>Комментарии</th>
								<th class='text-center text-nowrap'>Дата создания</th>
								<th class='text-center text-nowrap'>Дата изменения</th>
							</tr>
						</thead>
						<tbody class="dragula-container">

							<?php

							if(count_query('SELECT id from '.DB_PREFIX.'fields_array where name='.$_GET['field'].' && element = '.$_GET['element']) > 0)
							{

								$row_field_array = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT value from '.DB_PREFIX.'fields_array where name='.$_GET['field'].' && element = '.$_GET['element']));
								$field_array = str_replace(' ', ',', $row_field_array['value']);

								$sorting = ($row_field['sort_code']) ? 'order by '.$row_field['sort_code'] : 'order by FIELD(id, '.$field_array.')';

								$result = mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'pages where id IN ('.$field_array.') '.$sorting);
								while($row = mysqli_fetch_array($result))
								{
									?>

									<tr>
										<td class='text-center'><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>
										<td class='text-center'><?=$row['id']?></td>
										<?php if($row_field['sort_code'] == '') { ?>
											<td><input type='text' name='<?php echo"id[$row[id]]";?>' value='0' class='form-control form-control-sm number draggable' maxlength='4' autocomplete="off"></td>
										<?php } ?>
										<td>
											<?php
											if($row['hide'] ==1)
											{
												echo"<b style='color:#aaa;'>".htmlspecialchars($row['title'],ENT_QUOTES)." <span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Элемент скрыт'></span></b>";
											}
											else
											{
												echo '<b>'.htmlspecialchars($row['title'],ENT_QUOTES).'</b>';
											}
											?>
										</td>
										<td class='text-center'>
											<?php if($row['text']){echo"<span class='glyphicon glyphicon-ok'></span>";}else{echo"&mdash;";} ?>
										</td>
										<td class="text-center">
											<?php if($row['comments'] == 1){echo"<span class='glyphicon glyphicon-ok'></span>";}else{echo"&mdash;";} ?>
										</td>
										<td class='text-center text-nowrap'>
											<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'> <?=date_formated($row['date_time'])?></abbr>
										</td>

										<td class='text-center text-nowrap'>
											<?php
											if($row['date_time_update'] =='1000-01-01 00:00:00'){echo'&mdash;';}
											else
											{
												echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
												date_formated($row['date_time_update']);
												echo"</abbr>";
											}
											?>
										</td>
									</tr>

									<?php
								}

							}
							?>

						</tbody>
					</table>
				</div>

				<hr>

				<?php if($row_field['sort_code'] == '') { ?>
					<button type="submit" class="btn btn-secondary btn-sm" name="record_numbers">Изменить порядок</button>
				<?php } ?>
				<button type="submit" class="btn btn-secondary btn-sm" name="delete_numbers" onclick="document.getElementById('form-post').action='<?=CURRENT_FILE?>';">Удалить группу</button>
				<label>
					&nbsp; <input type="checkbox" class="select-checkbox"> Выбрать все
				</label>

				<input type="hidden" name="field" value="<?=$_GET['field']?>">
				<input type="hidden" name="element" value="<?=$_GET['element']?>">

			</form>

		<?php
	}

	// Запись ручной сортировки элементов
	elseif(isset($_POST['record_numbers']))
	{

		$field_array = [];

		foreach($_POST['id'] as $id => $number)
		{
			array_push($field_array, $id);
		}

		mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_array SET value="'.implode(' ',$field_array).'" where name='.$_POST['field'].' && element = '.$_POST['element']);

		redirect(REFERER);

	}

	// Удаление элементов из массива
	elseif(isset($_POST['delete_numbers']))
	{

		$row_field_array = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id, value from '.DB_PREFIX.'fields_array where name='.$_POST['field'].' && element = '.$_POST['element']));

		$field_array = explode(' ',$row_field_array['value']);

		if(isset($_POST['checkbox']))
		{
			foreach($_POST['checkbox'] as $checkbox => $key)
			{
				unset($field_array[array_search($key,$field_array)]);
			}
		}

		if(empty($field_array))
		{
			mysqli_query($mysqli,'DELETE from '.DB_PREFIX.'fields_array where id = '.$row_field_array['id']);
		}
		else
		{
			mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_array SET value="'.implode(' ',$field_array).'" where name='.$_POST['field'].' && element = '.$_POST['element']);
		}

		redirect(REFERER);

	}

}

require_once('include/footer.php');