<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_fields==0)
{
	echo $block_profile_danger;
}
else
{

	// Новый элемент
	if(isset($_GET['new'],$_GET['field'],$_GET['element']))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));

		if($row['element_type'] == 'pages')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="pages.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_GET['field'].'&element='.$_GET['element'].'">'.string_cut($row['title'],30).'</a></li>
			<li class="breadcrumb-item active">Новый</li>
			';

		}
		elseif($row['element_type'] == 'elements')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="elements.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_GET['field'].'&element='.$_GET['element'].'">'.string_cut($row['title'],30).'</a></li>
			<li class="breadcrumb-item active">Новый</li>
			';

		}
		elseif($row['element_type'] == 'blocks_static')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="blocks_static.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_GET['field'].'&element='.$_GET['element'].'">'.string_cut($row['title'],30).'</a></li>
			<li class="breadcrumb-item active">Новый</li>
			';

		}

		?>

		<ol class='breadcrumb'>

			<?=$nav_type.$nav_element.$nav_field?>

			<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?new&field=<?=$_GET['field']?>&element=<?=$_GET['element']?>'>+ Создать запись</a></li>

		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' maxlength="255">
				<p class='form-text text-muted'>до 255 символов</p>
			</div>

			<?php

			// Дополнительные поля
			Fields::Insert('fields_elements',0,0,'',$_GET['field']);

			?>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-settings-block' aria-expanded='false' aria-controls='slide-settings-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-settings-block'>
				<div class='form-group'>
					<blockquote>

						<?php
						if($admin_id==1)
						{
							?>
							<div class='form-group <?=$data_users_block?>'>
								<label><b>Пользователь:</b></label>
								<select class='form-control' name='user'>
									<?php
									$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
									while($row_user=mysqli_fetch_array($result_user))
									{
										?>
										<option value='<?=$row_user['id']?>'
											<?php if($row_user['id'] =='1'){echo' selected';}?>
											><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?>
										</option>
										<?php
									}
									?>
								</select>
							</div>
							<?php
						}
						?>

						<div class='form-group'>
							<label><b>Номер:</b></label>
							<input type='text' class='form-control number' name='number' maxlength='4' value="0" autocomplete="off">
						</div>

						<div class="form-group">
							<a href="#datetime" class="dashed" data-btn-text="Добавить Убрать" data-toggle-element="<div class='pt-2 pb-2'><label class='d-block'><b>Дата:</b></label><input type='text' class='form-control datetimepicker' name='datetime_new' value='<?=date('Y-m-d H:i:s')?>' autocomplete='off'></div>">Добавить дату</a>
						</div>

						<div class='form-group'>

							<div class="checkbox">
								<label>
									<input type='checkbox' name='hide' value='1'> <b>Скрыть</b>
								</label>
							</div>

						</div>

					</blockquote>
				</div>
			</div>

			<input type="hidden" name="dynamic_section" value="<?=$_GET['field']?>">
			<input type="hidden" name="element" value="<?=$_GET['element']?>">

			<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

		</form>

		<?php
	}

	// Запись нового элемента
	elseif(isset($_POST['record_new']) || isset($_POST['record_edit_new']))
	{

		$title=trim(mysqli_escape_string($mysqli,$title));

		// Заглушки
		if(!isset($hide)){$hide=0;}
		if(isset($datetime_new) && (trim($datetime_new)!='' || trim($datetime_new)!='0000-00-00 00:00:00')){$date_time_default=$datetime_new;} else {$date_time_default = DATE_TIME;}

		if(mysqli_query($mysqli,'INSERT INTO '.DB_PREFIX.'fields_elements (
			number,
			user,
			title,
			hide,
			name,
			element,
			date_time
		) VALUES (
			"'.$number.'",
			"'.$user.'",
			"'.$title.'",
			"'.$hide.'",
			"'.$dynamic_section.'",
			"'.$element.'",
			"'.$date_time_default.'"
		)'))
		{

			// ID созданного элемента
			$row_id = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'fields_elements order by id desc'));

			$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_POST['dynamic_section']));

			if($row['element_type'] == 'pages')
			{

				$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_POST['element']));

				$nav_type = '<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>';
				$nav_element = '<li class="breadcrumb-item"><a href="pages.php?id='.$_POST['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
				$nav_field = '
				<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">'.string_cut($row['title'],30).'</a></li>
				<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?new&field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">Новый</a></li>
				<li class="breadcrumb-item active">Запись</li>
				';

			}
			elseif($row['element_type'] == 'elements')
			{

				$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_POST['element']));

				$nav_type = '<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>';
				$nav_element = '<li class="breadcrumb-item"><a href="elements.php?id='.$_POST['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
				$nav_field = '
				<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">'.string_cut($row['title'],30).'</a></li>
				<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?new&field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">Новый</a></li>
				<li class="breadcrumb-item active">Запись</li>
				';

			}
			elseif($row['element_type'] == 'blocks_static')
			{

				$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_POST['element']));

				$nav_type = '<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>';
				$nav_element = '<li class="breadcrumb-item"><a href="blocks_static.php?id='.$_POST['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
				$nav_field = '
				<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">'.string_cut($row['title'],30).'</a></li>
				<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?new&field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">Новый</a></li>
				<li class="breadcrumb-item active">Запись</li>
				';

			}

			?>

			<ol class='breadcrumb'>

				<?=$nav_type.$nav_element.$nav_field?>

			</ol>

			<div class='bd-callout bd-callout-info'>
				<h4>Информация успешно записана!</h4>
				<p><a href='<?=CURRENT_FILE?>?id=<?=$row_id['id']?>&field=<?=$_POST['dynamic_section']?>&element=<?=$_POST['element']?>'>Отредактировать элемент</a></p>
			</div>

			<?php

			// Запись дополнительных полей
			Fields::InsertRecord($row_id['id'],$date_time_default,$admin_id);

			cache_delete();
		}
		else
		{
			echo $block_danger;
		}

	}

	// Редактирование элемента
	elseif(isset($_GET['id'],$_GET['field'],$_GET['element']))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_elements where id='.$_GET['id']));

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));

		if($row_field['element_type'] == 'pages')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="pages.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_GET['field'].'&element='.$_GET['element'].'">'.string_cut($row_field['title'],30).'</a></li>
			<li class="breadcrumb-item active">Редактирование</li>
			';

		}
		elseif($row_field['element_type'] == 'elements')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="elements.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_GET['field'].'&element='.$_GET['element'].'">'.string_cut($row_field['title'],30).'</a></li>
			<li class="breadcrumb-item active">Редактирование</li>
			';

		}
		elseif($row_field['element_type'] == 'blocks_static')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="blocks_static.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_GET['field'].'&element='.$_GET['element'].'">'.string_cut($row_field['title'],30).'</a></li>
			<li class="breadcrumb-item active">Редактирование</li>
			';

		}

		?>

		<ol class='breadcrumb'>

			<?=$nav_type.$nav_element.$nav_field?>

		</ol>

		<form role='form' action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>

			<div class='form-group' id='title-div'>
				<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
				<input type='text' class='form-control' id='title' name='title' value='<?=htmlspecialchars($row['title'],ENT_QUOTES)?>' maxlength='255'>
				<p class='form-text text-muted'>до 255 символов</p>
			</div>

			<?php

			// Дополнительные поля
			Fields::Edit('fields_elements',$_GET['id'],0,0,'',$_GET['field']);

			?>

			<div class='form-group'>
				<span data-toggle='button'>
					<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-settings-block' aria-expanded='false' aria-controls='slide-settings-block'>Настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
				</span>
			</div>
			<div class='collapse' id='slide-settings-block'>
				<div class='form-group'>
					<blockquote>

						<?php if($admin_id==1): ?>

							<div class='form-group'>
								<label><b>Пользователь:</b></label>
								<select class='form-control' name='user'>
									<?php
									$result_user=mysqli_query($mysqli,'SELECT id,name,mail from '.DB_PREFIX.'admin order by id asc');
									while($row_user=mysqli_fetch_array($result_user))
									{
										?><option value='<?=$row_user['id']?>' <?php if($row_user['id'] ==$row['user']){echo'selected';}?>><?=htmlspecialchars($row_user['name'],ENT_QUOTES)?> / <?=$row_user['mail']?></option><?php
									}
									?>
								</select>
							</div>

						<?php endif; ?>

						<div class='form-group'>
							<label><b>Номер:</b></label>
							<input type='text' class='form-control number' name='number' maxlength='4' value="<?=$row['number']?>" autocomplete="off">
						</div>

						<div class='form-group' id='datetime-div'>
							<label class="d-block"><b>Дата создания:</b></label>
							<input type='text' class='form-control datetimepicker' name='datetime' value='<?=$row['date_time']?>' maxlength='19' autocomplete="off">
						</div>

						<div class='form-group'>

							<div class="checkbox">
								<label>
									<input type='checkbox' <?php if($row['hide'] ==1){echo' checked';}?> name='hide' value='1'> <b>Скрыть</b>
								</label>
							</div>

							<div class='checkbox'>
								<label>
									<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Создать новый элемент</span>
								</label>
							</div>

						</div>

					</blockquote>
				</div>
			</div>

			<input type='hidden' name='hidden' value='<?=$_GET['id']?>'>
			<input type="hidden" name="dynamic_section" value="<?=$_GET['field']?>">
			<input type="hidden" name="element" value="<?=$_GET['element']?>">

			<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

		</form>

		<?php
	}

	// Запись отредактированной информации
	elseif(isset($record_edit))
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_POST['dynamic_section']));

		if($row['element_type'] == 'pages')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_POST['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="pages.php?id='.$_POST['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">'.string_cut($row['title'],30).'</a></li>
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?id='.$_POST['hidden'].'&field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">Редактирование</a></li>
			<li class="breadcrumb-item active">Запись</li>
			';

		}
		elseif($row['element_type'] == 'elements')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_POST['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="elements.php?id='.$_POST['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">'.string_cut($row['title'],30).'</a></li>
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?id='.$_POST['hidden'].'&field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">Редактирование</a></li>
			<li class="breadcrumb-item active">Запись</li>
			';

		}
		elseif($row['element_type'] == 'blocks_static')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_POST['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="blocks_static.php?id='.$_POST['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">'.string_cut($row['title'],30).'</a></li>
			<li class="breadcrumb-item"><a href="'.CURRENT_FILE.'?id='.$_POST['hidden'].'&field='.$_POST['dynamic_section'].'&element='.$_POST['element'].'">Редактирование</a></li>
			<li class="breadcrumb-item active">Запись</li>
			';

		}

		?>

		<ol class='breadcrumb'>

			<?=$nav_type.$nav_element.$nav_field?>

		</ol>

		<?php

		$title=trim(mysqli_escape_string($mysqli,$title));

		// Заглушки
		if(!isset($hide)){$hide=0;}
		if(!isset($user)){$user=$admin_id;}

		if(trim($datetime)=='' || $datetime=='0000-00-00 00:00:00')
		{
			$row_datetime = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT date_time from '.DB_PREFIX.'fields_elements where id='.$hidden));
			$datetime = $row_datetime['date_time'];
		}

		if(mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_elements SET
		number="'.$number.'",
		user="'.$user.'",
		user_update="'.$admin_id.'",
		title="'.$title.'",
		hide="'.$hide.'",
		date_time="'.$datetime.'",
		date_time_update="'.DATE_TIME.'"

		where id='.$hidden))
		{

			echo $block_info;

			// Запись дополнительных полей
			Fields::EditRecord($hidden,DATE_TIME,$admin_id);

			cache_delete();

		}
		else
		{

			echo $block_danger;

		}

	}

	// Список элементов динамического блока
	else
	{

		$row = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));

		if($row['element_type'] == 'pages')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'pages where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="pages.php">Страницы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="pages.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '<li class="breadcrumb-item active">'.string_cut($row['title'],30).'</li>';

		}
		elseif($row['element_type'] == 'elements')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'elements where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="elements.php">Элементы</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="elements.php?id='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '<li class="breadcrumb-item active">'.string_cut($row['title'],30).'</li>';

		}
		elseif($row['element_type'] == 'blocks_static')
		{

			$row_type = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.'blocks_static where id='.$_GET['element']));

			$nav_type = '<li class="breadcrumb-item"><a href="blocks_static.php">Блоки статические</a></li>';
			$nav_element = '<li class="breadcrumb-item"><a href="blocks_static.php?block='.$_GET['element'].'">'.string_cut($row_type['title'],30).'</a></li>';
			$nav_field = '<li class="breadcrumb-item active">'.string_cut($row['title'],30).'</li>';

		}


		?>

			<ol class='breadcrumb'>

				<?=$nav_type.$nav_element.$nav_field?>

				<li class='flex-float-right d-none d-sm-block'><a href='<?=CURRENT_FILE?>?new&field=<?=$_GET['field']?>&element=<?=$_GET['element']?>'>+ Создать элемент</a></li>

			</ol>

			<form role='form' action='_numbers.php' method='post' id='form-post'>

				<div class='table-responsive'>
					<table class='table table-hover'>
						<thead>
							<tr>
								<th class='text-center'>ID</th>
								<th class='pl-4'>#</th>
								<th></th>
								<th>Заголовок</th>
								<th class='text-center text-nowrap'>Дата создания</th>
								<th class='text-center text-nowrap'>Дата изменения</th>
								<th class='text-center'>Операции</th>
							</tr>
						</thead>
						<tbody class="dragula-container">

							<?php

							// Выборка данных из динамического блока
							$row_section = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id="'.$_GET['field'].'"'));

							// Сортировка как в динамическом блоке
							if($row_section['sort_code']!=''){$sorting=$row_section['sort_code'];}else{$sorting='number asc, id asc';}

							// Если задан лимит и нет постраничного разделения, то выводим ограниченное число данных
							if($row_section['limit2']!=0 && $row_section['pagination'] ==0){$limit='limit '.$row_section['limit1'].','.$row_section['limit2'];}else{$limit='';}

							if(count_query('SELECT id from '.DB_PREFIX.'fields_elements where name = '.$_GET['field'].' && element = '.$_GET['element'])>0)
							{
								$result=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_elements where name = '.$_GET['field'].' && element = '.$_GET['element'].' order by '.$sorting.' '.$limit);
								while($row=mysqli_fetch_array($result))
								{
									?>

									<tr>

										<td class='text-center'><?=$row['id']?></td>

										<td><input type='text' name='<?php echo"id[$row[id]]";?>' value='<?=$row['number']?>' class='form-control form-control-sm number draggable' maxlength='4' autocomplete="off"></td>

										<td><input type='checkbox' name='checkbox[]' value='<?=$row['id']?>' class="checkbox-element"></td>

										<td>
											<?php
											if($row['hide'] ==1)
											{
												echo"<b style='color:#aaa;'>".htmlspecialchars($row['title'],ENT_QUOTES)." <span class='glyphicon glyphicon-info-sign tooltip-element' data-toggle='tooltip' data-placement='right' title='Элемент скрыт'></span></b>";
											}
											else
											{
												echo '<b>'.htmlspecialchars($row['title'],ENT_QUOTES).'</b>';
											}
											?>
										</td>

										<td class='text-center text-nowrap'>
											<abbr class='tooltip-element' title='Пользователь: <?=user_detection($row['user'])?>'> <?=date_formated($row['date_time'])?></abbr>
										</td>

										<td class='text-center text-nowrap'>
											<?php
											if($row['date_time_update'] =='1000-01-01 00:00:00'){echo'&mdash;';}
											else
											{
												echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
												date_formated($row['date_time_update']);
												echo"</abbr>";
											}
											?>
										</td>

										<td class='text-center text-nowrap'>

											<a href='<?=CURRENT_FILE?>?id=<?=$row['id']?>&field=<?=$_GET['field']?>&element=<?=$_GET['element']?>' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'></span></a>

											<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=$row['id']?>' data-toggle='modal'>
												<span class='glyphicon glyphicon-remove'></span>
											</a>
											<div class='modal fade' id='modal<?=$row['id']?>' tabindex='-1' role='dialog' aria-hidden='true'>
												<div class='modal-dialog modal-sm'>
													<div class='modal-content'>
														<div class='modal-body'>
															<h5><b><?=htmlspecialchars($row['title'],ENT_QUOTES)?></b></h5>
															<h5>Вы действительно хотите удалить этот элемент?</h5>
														</div>
														<div class='modal-footer'>
															<a href='_delete.php?fields_element_id=<?=$row['id']?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
														</div>
													</div>
												</div>
											</div>

										</td>

									</tr>

									<?php
								}
							}

							?>

						</tbody>
					</table>
				</div>

				<?php list_footer('fields_elements'); ?>

			</form>

		<?php
	}

}

require_once('include/footer.php');