<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_pages==0)
{
	echo $block_profile_danger;
}
else
{

  if(isset($_GET['dir']))
  {
    $info_new = "<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?upload=".$_GET['dir']."'>+ Загрузить файлы</a>
    &nbsp; <a href='".CURRENT_FILE."?new_file=".$_GET['dir']."'>+ Создать файл</a>
    &nbsp; <a href='".CURRENT_FILE."?new_folder=".$_GET['dir']."'>+ Создать папку</a></li>";
  }

  /* Вывод списка папок и файлов */
  if(isset($_GET['dir']) && $_GET['dir'] != '' && $_GET['dir'] != '.' && $_GET['dir'] != './' && $_GET['dir'] != '../')
  {
    ?>

    <ol class='breadcrumb'>
      <?php
      if($_GET['dir'] == '..')
      {
        ?>
        <li class='breadcrumb-item active'>Менеджер файлов</li>
        <?php
      }
      else
      {
        ?>
        <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=..">Менеджер файлов</a></li>
        <?php
      }

      echo $info_new;

      ?>
    </ol>

    <form role='form' action='#' method='post' id='form-post'>

      <div class='table-responsive'>
        <table class='table table-hover table-pages'>
          <thead>
            <tr>
              <th></th>
              <th>Наименование</th>
              <th class="text-center">Атрибуты</th>
              <th class="text-center">Размер</th>
              <th class='text-center text-nowrap'>Дата изменения</th>
              <th class='text-center'>Операции</th>
            </tr>
          </thead>
          <tbody>

            <?php

            $dir = $_GET['dir'];

            /* Если папка найдена, выводим содержимое */
            if(is_dir($dir))
            {

              $directory = scandir($dir);

              /* Список папок */
              foreach ($directory as $key)
              {

                if(is_dir($dir.'/'.$key) && $key != '.')
                {

                  if($_GET['dir'] == '..' && $key == '..')
                  {}
                  else
                  {

                    if($_GET['dir'] == '..' && $key != '..')
                    {
                      $dir_link = $dir.'/'.$key;
                    }
                    elseif($_GET['dir'] != '..' && $key == '..')
                    {
                      $dir_link = substr ($_GET['dir'], 0, strrpos($_GET['dir'], '/'));
                    }
                    else
                    {
                      $dir_link = $dir.'/'.$key;
                    }

                    ?>

                    <tr>
                      <td>
                        <?php if($key != '..') { ?>
                          <input type="checkbox" name="checkbox[]" value="<?=htmlspecialchars($dir_link,ENT_QUOTES)?>" class="checkbox-element">
                        <?php } ?>
                      </td>
                      <td>
                        <a href="file_manager.php?dir=<?=$dir_link?>"><b><?=$key?></b></a>
                      </td>
                      <td class="text-center">
                        <a href="file_manager.php?chmod=<?=$dir_link?>"><?=substr(sprintf('%o', fileperms($dir_link)), -4)?></a>
                      </td>
                      <td class="text-center">
                        &mdash;
                      </td>
                      <td class="text-center text-nowrap">
                        <?=date ("d.m.Y в H:i:s", filemtime($dir_link))?>
                      </td>
                      <td class="text-center text-nowrap">

                        <?php if($key != '..') { ?>

                          <a href='<?=CURRENT_FILE?>?folder=<?=$dir_link?>' class='btn btn-secondary btn-sm'>
                            <span class='glyphicon glyphicon-pencil'></span>
                          </a>

                          <script>
                            $(document).ready(function(){
                              $('#modal<?=preg_replace('/[^a-zа-яё0-9]/','',$dir_link)?>').modal(toggle);
                            });
                          </script>
                          <a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=preg_replace('/[^a-zа-яё0-9]/','',$dir_link)?>' data-toggle='modal'>
                            <span class='glyphicon glyphicon-remove'></span>
                          </a>
                          <div class='modal fade' id='modal<?=preg_replace('/[^a-zа-яё0-9]/','',$dir_link)?>' tabindex='-1' role='dialog' aria-hidden='true'>
                            <div class='modal-dialog modal-sm'>
                              <div class='modal-content'>
                                <div class='modal-body'>
                                  <h5>Вы действительно хотите удалить эту папку и всё ее содержимое?</h5>
                                </div>
                                <div class='modal-footer'>
                                  <a href='_delete.php?delete_file=<?=$dir_link?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
                                </div>
                              </div>
                            </div>
                          </div>

                        <?php } ?>

                      </td>
                    </tr>

                    <?php

                  }

                }
              }

              /* Список файлов */
              foreach ($directory as $key)
              {

                if(is_file($dir.'/'.$key))
                {
                  ?>

                  <tr>
                    <td>
                      <input type="checkbox" name="checkbox[]" value="<?=htmlspecialchars($dir.'/'.$key,ENT_QUOTES)?>" class="checkbox-element">
                    </td>
                    <td>
                      <b><?=$key?></b>
                    </td>
                    <td class="text-center">
                      <a href="file_manager.php?chmod=<?=$dir.'/'.$key?>"><?=substr(sprintf('%o', fileperms($dir.'/'.$key)), -4)?></a>
                    </td>
                    <td class="text-center">
                      <?=filesize($dir.'/'.$key)?>
                    </td>
                    <td class="text-center text-nowrap">
                      <?=date ("d.m.Y в H:i:s", filemtime($dir.'/'.$key))?>
                    </td>
                    <td class="text-center text-nowrap">

                    <?php if(file_check($dir.'/'.$key,'zip')) { ?>
                    <a href='<?=CURRENT_FILE?>?unzip=<?=$dir.'/'.$key?>' class='btn btn-secondary btn-sm'>
                      <span class='glyphicon glyphicon-open'></span>
                    </a>
                    <?php } ?>

                    <a href='_download.php?file=<?=$dir.'/'.$key?>' target="_blank" class='btn btn-secondary btn-sm'>
                      <span class='glyphicon glyphicon-download-alt'></span>
                    </a>

                    <a href='<?=CURRENT_FILE?>?file=<?=$dir.'/'.$key?>' class='btn btn-secondary btn-sm'>
                      <span class='glyphicon glyphicon-pencil'></span>
                    </a>

                    <script>
                      $(document).ready(function(){
                        $('#modal<?=preg_replace('/[^a-zа-яё0-9]/','',$dir.'/'.$key)?>').modal(toggle);
                      });
                    </script>
                    <a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal<?=preg_replace('/[^a-zа-яё0-9]/','',$dir.'/'.$key)?>' data-toggle='modal'>
                      <span class='glyphicon glyphicon-remove'></span>
                    </a>
                    <div class='modal fade' id='modal<?=preg_replace('/[^a-zа-яё0-9]/','',$dir.'/'.$key)?>' tabindex='-1' role='dialog' aria-hidden='true'>
                      <div class='modal-dialog modal-sm'>
                        <div class='modal-content'>
                          <div class='modal-body'>
                            <h5>Вы действительно хотите удалить этот файл?</h5>
                          </div>
                          <div class='modal-footer'>
                            <a href='_delete.php?delete_file=<?=$dir.'/'.$key?>' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
                          </div>
                        </div>
                      </div>
                    </div>

                    </td>
                  </tr>

                  <?php
                }
              }

            }
            ?>

          </tbody>
        </table>
      </div>

      <hr>

      <button type='submit' class='btn btn-secondary btn-sm' name="copy_files" onClick="document.getElementById('form-post').action='<?=CURRENT_FILE?>';">Копировать</button>

      <button type='submit' class='btn btn-secondary btn-sm' name="move_files" onClick="document.getElementById('form-post').action='<?=CURRENT_FILE?>';">Перенести</button>

      <button type='submit' class='btn btn-secondary btn-sm' name="zip_files" onClick="document.getElementById('form-post').action='<?=CURRENT_FILE?>';">Заархивировать</button>

      <script>
        $(document).ready(function(){
          $('#modal-delete-files').modal(toggle);
        });
      </script>

      <a href="#delete-files" class='btn btn-secondary btn-sm' data-target='#modal-delete-files' data-toggle='modal'>Удалить группу</a>

      <div class='modal fade' id='modal-delete-files' tabindex='-1' role='dialog' aria-hidden='true'>
        <div class='modal-dialog modal-sm'>
          <div class='modal-content'>
            <div class='modal-body text-center'>
              <h5>Вы действительно хотите удалить выбранные объекты?</h5>
            </div>
            <div class='modal-footer'>
              <button type='submit' class='btn btn-danger' name="delete_files" onClick="document.getElementById('form-post').action='_delete.php';">Удалить навсегда</button> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
            </div>
          </div>
        </div>
      </div>

      <label>
        &nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
      </label>

    </form>

    <?php

  }

  /* Загрузка файлов */
  elseif(isset($_GET['upload']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=<?=$_GET['upload']?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Загрузка файлов</li>
    </ol>

    <?php

    if(isset($_FILES['upload_files']['name']))
    {

      for( $k = 0; $k < count($_FILES['upload_files']['name']); $k++ )
      {
        if(is_uploaded_file($_FILES['upload_files']['tmp_name'][$k]))
        {
          // echo $_GET['upload'].'/'.$_FILES['upload_files']['name'][$k];
          copy( $_FILES['upload_files']['tmp_name'][$k], $_GET['upload'].'/'.$_FILES['upload_files']['name'][$k] );
        }
      }

      redirect(CURRENT_FILE.'?dir='.$_GET['upload']);

    }
    else
    {
      ?>

      <form role='form' action='<?=CURRENT_FILE?>?upload=<?=$_GET['upload']?>' method='POST' enctype='multipart/form-data'>

        <div class='form-group'>
          <label><b>Выберите файлы:</b></label>
          <input type='file' name='upload_files[]' class='filestyle' data-buttonBefore='true' multiple>
        </div>

        <button class="btn btn-primary">Загрузить</button>

      </form>

      <?php
    }

  }

  /* Создание папки */
  elseif(isset($_GET['new_folder']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=<?=$_GET['new_folder']?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Новая папка</li>
    </ol>

    <?php

    if($_POST)
    {

      if(!file_exists($_GET['new_folder'].'/'.$_POST['title']))
      {
        mkdir($_GET['new_folder'].'/'.$_POST['title'], intval($_POST['chmod'], 8));
      }

      redirect(CURRENT_FILE.'?dir='.$_GET['new_folder']);

    }
    else
    {
      ?>

      <form action="<?=CURRENT_FILE?>?new_folder=<?=$_GET['new_folder']?>" method="POST">

        <div class='form-group' id='title-div'>
          <label><b>Наименование:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
          <input type='text' class='form-control' id='title' name='title' maxlength='255'>
        </div>

        <div class="form-group">
          <label><b>Права:</b></label>
          <input type="text" name="chmod" class="form-control" value="0755" maxlength="4">
        </div>

        <button class="btn btn-primary">Записать</button>

      </form>

      <?php
    }

  }

  /* Создание файла */
  elseif(isset($_GET['new_file']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=<?=$_GET['new_file']?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Новый файл</li>
    </ol>

    <?php

    if($_POST)
    {

      $f = fopen($_GET['new_file'].'/'.$_POST['title'],'w');
      fwrite($f,$_POST['file_content']);
      fclose($f);

      redirect(CURRENT_FILE.'?dir='.$_GET['new_file']);

    }
    else
    {
      ?>

      <form action="<?=CURRENT_FILE?>?new_file=<?=$_GET['new_file']?>" method="POST">

        <div class='form-group' id='title-div'>
          <label><b>Наименование:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
          <input type='text' class='form-control' id='title' name='title' maxlength='255'>
        </div>

        <div class="form-group">
          <label><b>Содержание файла:</b></label>
          <textarea name="file_content" class="form-control codemirror"></textarea>
        </div>

        <button class="btn btn-primary">Записать</button>

      </form>

      <?php
    }

  }

  /* Изменение атрибутов */
  elseif(isset($_GET['chmod']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=REFERER?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Изменение атрибутов</li>
    </ol>

    <?php

    if($_POST)
    {

      chmod($_GET['chmod'], intval($_POST['chmod'], 8));

      redirect(CURRENT_FILE.'?dir='.substr($_GET['chmod'],0,strrpos($_GET['chmod'],'/')));

    }
    else
    {
      ?>

      <form action="<?=CURRENT_FILE?>?chmod=<?=$_GET['chmod']?>" method="POST">
        <div class="form-group">
          <label><b><?=$_GET['chmod']?></b></label>
          <input type="text" name="chmod" class="form-control" value="<?=substr(sprintf('%o', fileperms($_GET['chmod'])), -4)?>" maxlength="4">
        </div>
        <button class="btn btn-primary">Записать</button>
      </form>

      <?php
    }

  }

  /* Переименование папки */
  elseif(isset($_GET['folder']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=..">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Переименование папки</li>
    </ol>

    <?php

    if($_POST)
    {

    rename($_GET['folder'],substr($_GET['folder'],0,strrpos($_GET['folder'],'/')).'/'.$_POST['folder']);

    redirect(CURRENT_FILE.'?dir='.substr($_GET['folder'],0,strrpos($_GET['folder'],'/')));

    }
    else
    {
      ?>

      <form action="<?=CURRENT_FILE?>?folder=<?=$_GET['folder']?>" method="POST">

        <div class="form-group">
          <label><b>Наименование папки:</b></label>
          <input type="text" name="folder" class="form-control" value="<?=htmlspecialchars(basename($_GET['folder']),ENT_QUOTES)?>" maxlength="255">
        </div>

        <button class="btn btn-primary">Записать</button>

      </form>

      <?php
    }

  }

  /* Редактирование файла */
  elseif(isset($_GET['file']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=REFERER?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Редактирование файла</li>
    </ol>

    <?php

    if($_POST)
    {

    rename($_GET['file'],substr($_GET['file'],0,strrpos($_GET['file'],'/')).'/'.$_POST['file_name']);

    $f = fopen(substr($_GET['file'],0,strrpos($_GET['file'],'/')).'/'.$_POST['file_name'],'w');
    fwrite($f,$_POST['file_content']);
    fclose($f);

    redirect(CURRENT_FILE.'?dir='.substr($_GET['file'],0,strrpos($_GET['file'],'/')));

    }
    else
    {
      ?>

      <form action="<?=CURRENT_FILE?>?file=<?=$_GET['file']?>" method="POST">

        <div class="form-group">
          <label><b>Наименование файла:</b></label>
          <input type="text" name="file_name" class="form-control" value="<?=htmlspecialchars(basename($_GET['file']),ENT_QUOTES)?>" maxlength="255">
        </div>

        <div class="form-group">
          <label><b>Содержание файла:</b></label>
          <textarea name="file_content" class="form-control codemirror"><?php print htmlspecialchars(file_get_contents( $_GET['file'] ),ENT_QUOTES); ?></textarea>
        </div>

        <button class="btn btn-primary">Записать</button>

      </form>

      <?php
    }

  }

  /* Архивация - проверка выборки файлов и имени архива  */
  elseif(isset($_POST['zip_files']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=REFERER?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item'>Архивация</li>
    </ol>

    <?php

    if(isset($_POST['checkbox']))
    {
      ?>

      <form action="#" method="POST">

        <div class="form-group">
          <label><b>Название архива:</b></label>
          <div class="d-flex align-items-center">
            <input type="text" class="form-control" name="archive_title" placeholder="<?=date('Y-m-d')?>-<?=round(microtime(true)*1000)?>" maxlength="123"> <span class="ml-2">.ZIP</span>
          </div>
        </div>

        <label><b>Выберите папку:</b></label>
        <div class="form-group">
          <input type="radio" name="directory" checked value="<?=htmlspecialchars(substr(current($_POST['checkbox']),0,strrpos(current($_POST['checkbox']),'/')),ENT_QUOTES)?>"> <?=substr(current($_POST['checkbox']),0,strrpos(current($_POST['checkbox']),'/'))?> [текущая папка]
        </div>

        <div class="form-group">
          <?php if(substr(current($_POST['checkbox']),0,strrpos(current($_POST['checkbox']),'/')) != '..') { ?>
          <input type="radio" name="directory" value=".."> ..
          <?php } ?>
          <?php dir_tree( '..' ); ?>
        </div>

        <input type="hidden" name="archive_title_default" value="<?=date('Y-m-d')?>-<?=round(microtime(true)*1000)?>">

        <?php
        foreach($_POST['checkbox'] as $id => $number)
        {
          ?>
          <input type="hidden" name="archive_array[]" value="<?=htmlspecialchars($number,ENT_QUOTES)?>">
          <?php
        }
        ?>

        <button class="btn btn-primary btn-sm">Создать архив</button>

      </form>

      <?php
    }
    else
    {
      ?>

      <div class='bd-callout bd-callout-info'>
				<h4>Не выбраны данные для архивации!</h4>
				<p><a href='<?=REFERER?>'>Вернуться назад</a></p>
			</div>

      <?php
    }

  }

  /* Архивация данных */
  elseif(isset($_POST['archive_title_default']))
  {

    $archive_title = (trim($_POST['archive_title'])!='') ? $_POST['archive_title'].'.zip' : $_POST['archive_title_default'].'.zip';

    // Успешная архивация
    if(preg_match("/^[a-zA-Z0-9-_.]+$/i",$archive_title))
    {

      foreach($_POST['archive_array'] as $id => $number)
      {
        if( empty(exec('zip')) )
        {
          ZIP::Add( $number, $_POST['directory'].'/'.$archive_title );
        }
        else
        {
          exec('zip -r '.$_POST['directory'].'/'.$archive_title.' "'.$number.'"');
        }
      }

      redirect(CURRENT_FILE.'?dir='.$_POST['directory']);

    }

    // Имя файла неверное
    else
    {
      ?>

      <ol class='breadcrumb'>
        <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=..">Менеджер файлов</a></li>
      </ol>

      <div class='bd-callout bd-callout-info'>
				<h4>Неправильное название архива!</h4>
				<p><a href='<?=htmlspecialchars($_POST['page_referer'],ENT_QUOTES)?>'>Вернуться назад</a></p>
			</div>

      <?php
    }

  }

  /* Разаархивация - выбор папки */
  elseif(isset($_GET['unzip']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=REFERER?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item'>Распаковка архива</li>
    </ol>

    <form action="<?=CURRENT_FILE?>" method="POST">

      <label><b>Выберите папку:</b></label>
      <div class="form-group">
        <input type="radio" name="directory" checked value="<?=htmlspecialchars(substr($_GET['unzip'],0,strrpos($_GET['unzip'],'/')),ENT_QUOTES)?>"> <?=substr($_GET['unzip'],0,strrpos($_GET['unzip'],'/'))?> [текущая папка]
      </div>

      <div class="form-group">
        <?php if(substr($_GET['unzip'],0,strrpos($_GET['unzip'],'/')) != '..') { ?>
        <input type="radio" name="directory" value=".."> ..
        <?php } ?>
        <?php dir_tree( '..' ); ?>
      </div>

      <div class='form-group'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='unzip_file_delete' value='1'> <b>Удалить после распаковки</b>
					</label>
				</div>
			</div>

      <input type="hidden" name="unzip_file" value="<?=htmlspecialchars($_GET['unzip'],ENT_QUOTES)?>">

      <button class="btn btn-primary btn-sm">Распаковать</button>

    </form>

    <?php
  }

  /* Разархивация - процесс */
  elseif(isset($_POST['unzip_file']))
  {

    if( empty(exec('unzip')) )
		{
			ZIP::Extract( $_POST['unzip_file'], $_POST['directory'] );
		}
		else
		{
			exec('unzip -o '.$_POST['unzip_file'].' -d '.$_POST['directory']);
		}

    if(isset($_POST['unzip_file_delete'])) unlink($_POST['unzip_file']);

    redirect(CURRENT_FILE.'?dir='.$_POST['directory']);

  }

  /* Копирование  */
  elseif(isset($_POST['copy_files']))
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=REFERER?>">Менеджер файлов</a></li>
      <li class='breadcrumb-item active'>Копирование</li>
    </ol>

    <?php

    if(isset($_POST['checkbox']))
    {
      ?>

      <form action="#" method="POST">

        <label><b>Выберите папку:</b></label>

        <div class="form-group">
          <?php if(substr(current($_POST['checkbox']),0,strrpos(current($_POST['checkbox']),'/')) != '..') { ?>
          <input type="radio" name="directory" value=".."> ..
          <?php } ?>
          <?php dir_tree( '..' ); ?>
        </div>

        <?php
        foreach($_POST['checkbox'] as $id => $number)
        {
          ?>
          <input type="hidden" name="copy_array[]" value="<?=htmlspecialchars($number,ENT_QUOTES)?>">
          <?php
        }
        ?>

        <button class="btn btn-primary btn-sm">Копировать</button>

      </form>

      <?php
    }
    else
    {
      ?>

      <div class='bd-callout bd-callout-info'>
				<h4>Не выбраны данные для копирования!</h4>
				<p><a href='<?=REFERER?>'>Вернуться назад</a></p>
			</div>

      <?php
    }
  }

  /* Копирование - процесс */
  elseif(isset($_POST['copy_array']))
  {

    foreach($_POST['copy_array'] as $id => $number)
    {

      $fileinfo = pathinfo($number);

      full_copy( $number, $_POST['directory'].'/'.$fileinfo['basename'] );

    }

    redirect(CURRENT_FILE.'?dir='.$_POST['directory']);

  }

    /* Перенос  */
    elseif(isset($_POST['move_files']))
    {
      ?>

      <ol class='breadcrumb'>
        <li class='breadcrumb-item'><a href="<?=REFERER?>">Менеджер файлов</a></li>
        <li class='breadcrumb-item active'>Перенос</li>
      </ol>

      <?php

      if(isset($_POST['checkbox']))
      {
        ?>

        <form action="#" method="POST">

          <label><b>Выберите папку:</b></label>

          <div class="form-group">
            <?php if(substr(current($_POST['checkbox']),0,strrpos(current($_POST['checkbox']),'/')) != '..') { ?>
            <input type="radio" name="directory" value=".."> ..
            <?php } ?>
            <?php dir_tree( '..' ); ?>
          </div>

          <?php
          foreach($_POST['checkbox'] as $id => $number)
          {
            ?>
            <input type="hidden" name="move_array[]" value="<?=htmlspecialchars($number,ENT_QUOTES)?>">
            <?php
          }
          ?>

          <button class="btn btn-primary btn-sm">Перенести</button>

        </form>

        <?php
      }
      else
      {
        ?>

        <div class='bd-callout bd-callout-info'>
          <h4>Не выбраны данные для копирования!</h4>
          <p><a href='<?=REFERER?>'>Вернуться назад</a></p>
        </div>

        <?php
      }
    }

    /* Перенос - процесс */
    elseif(isset($_POST['move_array']))
    {

      foreach($_POST['move_array'] as $id => $number)
      {

        $fileinfo = pathinfo($number);

        full_move( $number, $_POST['directory'].'/'.$fileinfo['basename'] );

      }

      redirect(CURRENT_FILE.'?dir='.$_POST['directory']);

    }

  /* Ошибка */
  else
  {
    ?>

    <ol class='breadcrumb'>
      <li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?dir=..">Менеджер файлов</a></li>
    </ol>

    <div class='bd-callout'>
      <h4>Неправильно указан путь!</h4>
      <p><a href='<?=CURRENT_FILE?>?dir=..'>Перейти в корень сайта</a></p>
    </div>

    <?php
  }

}

require_once('include/footer.php');