<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_fields==0)
{
	echo $block_profile_danger;
}
else
{

	// Список изображений
	if(isset($_GET['field']) && isset($_GET['element']) && !isset($_GET['gallery_image']))
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_GET['field']));

		if($row_field['sort_code']!=''){$sorting=$row_field['sort_code'];}else{$sorting="number asc, id asc";} // сортировка

		$count_images = count_query('SELECT id from '.DB_PREFIX.'fields_gallery where name = '.$_GET['field'].' && element = '.$_GET['element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$_GET['element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$_GET['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_GET['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_GET['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}
		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$_GET['element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item active'><?=string_cut($row_field['title'],30)?> (<?=$count_images?>)</li>
		</ol>

		<?php
		echo"
		<form action='".CURRENT_FILE."' class='form-row' id='gallery-form' method='post' enctype='multipart/form-data'>
			<div class='form-group col-lg-3 col-md-4' id='gallery-file-div'>
				<input type='file' name='fields_gallery".$row_field['id']."[]' multiple accept='image/x-png,image/gif,image/jpeg,image/webp' class='filestyle' id='gallery-file' data-buttonBefore='true' data-buttonText=''>
				<p class='form-text text-muted'>".$row_field['notice']."</p>
			</div>
			<div class='form-group col-lg-2 col-md-4'>
				<input type='hidden' name='hidden_field' value='".$_GET['field']."'>
				<input type='hidden' name='hidden_element' value='".$_GET['element']."'>
				<button type='submit' class='btn btn-primary' name='record_new_image'>Загрузить</button>
				<p class='form-text text-muted'>&nbsp;</p>
			</div>
		</form>

		<hr>

		<form action='_numbers.php' method='post' id='form-post'>
			<div class='row dragula-container'>
		";

		if($count_images!=0)
		{
			$result_images=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_gallery where name = '.$_GET['field'].' && element = '.$_GET['element'].' order by '.$sorting);
			while($row_images=mysqli_fetch_array($result_images))
			{

				$quotes_title_images=htmlspecialchars($row_images['title'],ENT_QUOTES);

				// Обложка
				if($row_images['cover']==1)
				{
					$cover_label="<span class='badge badge-danger' style='position:absolute;left:10px;bottom:10px;'>Обложка</span>";
					$cover_css="thumbnail-red";
				}
				else
				{
					$cover_label='';
					$cover_css='';
				}

				echo"
				<div class='col-lg-3 col-md-4 col-sm-6 col-xs-12'>
					<div class='card mb-4 $cover_css'>

						<div class='card-body'>

							<div style='position:relative;'>
								<a href='/cms/pages-images/gallery/".$row_images['image_big']."?".filemtime($_SERVER['DOCUMENT_ROOT'].'/cms/pages-images/gallery/'.$row_images['image_big'])."' target='_blank' data-fancybox='gallery'>
									<img src='/cms/pages-images/gallery/".$row_images['image_small']."?".filemtime($_SERVER['DOCUMENT_ROOT'].'/cms/pages-images/gallery/'.$row_images['image_small'])."' class='img-fluid' alt=''>
								</a>
								$cover_label
							</div>

								<div class='form-group'>
									<input type='text' name='title_id[$row_images[id]]' class='form-control mt-3' value='$quotes_title_images'>
								</div>

								<input type='text' name='id[$row_images[id]]' value='$row_images[number]' class='form-control form-control-sm number mr-1 draggable' maxlength='4' style='display: inline-block; vertical-align: middle;' autocomplete='off'>

								";

								if($row_images['image_original']!='')
								{
									echo'
									<a href="/cms/pages-images/gallery/'.$row_images['image_original'].'" class="btn btn-secondary btn-sm tooltip-element" title="Оригинальное изображение" data-fancybox>
										<span class="glyphicon glyphicon-picture"></span>
									</a>
									';
								}

								echo"

								<a href='".CURRENT_FILE."?gallery_image=$row_images[id]' class='btn btn-secondary btn-sm'>
									<span class='glyphicon glyphicon-pencil'></span>
								</a>

								<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal$row_images[id]' data-toggle='modal'>
									<span class='glyphicon glyphicon-remove'></span>
								</a>

								<div class='modal fade' id='modal$row_images[id]' tabindex='-1' role='dialog' aria-hidden='true'>
									<div class='modal-dialog modal-sm'>
										<div class='modal-content'>
											<div class='modal-header text-center'>
												<h5>Вы действительно хотите удалить это изображение?</h5>
											</div>
											<div class='modal-body'>
												<img src='/cms/pages-images/gallery/".$row_images['image_small']."' class='img-fluid'>
											</div>
											<div class='modal-footer'>
												<a href='_delete.php?gallery_image_id=$row_images[id]' class='btn btn-danger'>Удалить навсегда</a>
												<button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
											</div>
										</div>
									</div>
								</div>

								<label class='checkbox-inline pull-right'>
									<input type='checkbox' name='checkbox[]' value='$row_images[id]' class='checkbox-element'>
								</label>

								<div class='pages-images-date'>Добавлено: <abbr class='tooltip-element' title='Пользователь: ";
								// Даты и пользователи
								if($row_admin_user=mysqli_fetch_array(mysqli_query($mysqli,"SELECT name from ".DB_PREFIX."admin where id=$row_images[user]")))
								{
									echo htmlspecialchars($row_admin_user['name'],ENT_QUOTES);
								}
								echo"'>";
								date_formated($row_images['date_time']);
								echo"</abbr>";
								if($row_images['date_time_update']!='1000-01-01 00:00:00')
								{
									if($row_admin_user_update=mysqli_fetch_array(mysqli_query($mysqli,"SELECT name from ".DB_PREFIX."admin where id=$row_images[user_update]")))
									{
										echo"<br>Обновлено: <abbr class='tooltip-element' title='Пользователь: ".htmlspecialchars($row_admin_user_update['name'],ENT_QUOTES)."'>";
										date_formated($row_images['date_time_update']);
										echo"</abbr>";
									}
								}
								echo"
								</div>

						</div>
					</div>
				</div>
				";
			}
		}

		echo"
		</div>
		";

		if($count_images!=0)
		{
			echo"
			<div class='row'>
				<div class='col-lg-12'>
					<hr>
					<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_gallery_images'>Обновить</button>
					<button type='submit' class='btn btn-secondary btn-sm' name='delete_numbers_gallery_images' id='delete-numbers-pages-images'>Удалить группу</button>
					<label class='checkbox-inline'>
						&nbsp; <input type='checkbox' class='select-checkbox'> Выбрать все
					</label>
				</div>
			</div>
			";
		}

		echo"
			</form>
		";

	}

	// Загрузка изображений
	elseif(isset($record_new_image))
	{

		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$_POST['hidden_field']));

		$count_images = count_query('SELECT id from '.DB_PREFIX.'fields_gallery where name = '.$_POST['hidden_field'].' && element = '.$_POST['hidden_element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$_POST['hidden_element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$_POST['hidden_element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$_POST['hidden_element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$_POST['hidden_element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$_POST['hidden_element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_POST['hidden_element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$_POST['hidden_element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$_POST['hidden_element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$_POST['hidden_field']?>&element=<?=$_POST['hidden_element']?>'><?=string_cut($row_field['title'],30)?> (<?=$count_images?>)</a></li>
			<li class='breadcrumb-item active'>Загрузка</li>
		</ol>

		<?php

		$field_key = 'fields_gallery'.$_POST['hidden_field'];

		$array_string = [
		'field_number' => $_POST['hidden_field'],
		'image_name' => $_FILES[$field_key]['name'],
		'image_tmp_name' => $_FILES[$field_key]['tmp_name'],
		'image_big_width' => $row_field['width_big'],
		'image_small_width' => $row_field['width_small'],
		'image_original' => $row_field['original'],
		'element_id' => $_POST['hidden_element'],
		'date_time_default' => DATE_TIME,
		'admin_id' => $admin_id
		];

		upload_gallery($array_string);

		cache_delete();

	}

	// Редактирование изображения
	elseif(isset($_GET['gallery_image']))
	{

		$row_image = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_gallery where id='.$_GET['gallery_image']));
		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_image['name']));

		$count_images = count_query('SELECT id from '.DB_PREFIX.'fields_gallery where name = '.$row_image['name'].' && element = '.$row_image['element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$row_image['element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$row_image['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$row_image['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$row_image['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$row_image['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_image['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_image['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$row_image['element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$row_image['name']?>&element=<?=$row_image['element']?>'><?=string_cut($row_field['title'],30)?> (<?=$count_images?>)</a></li>
			<li class='breadcrumb-item active'>Редактирование</li>
		</ol>

		<form action='<?=CURRENT_FILE?>' method='post' enctype='multipart/form-data'>
			<div class='form-group'>
				<label><b>Название:</b></label>
				<input type='text' class='form-control' name='title' value='<?=htmlspecialchars($row_image['title'],ENT_QUOTES)?>' maxlength='255'>
			</div>
			<div class='form-group'>
				<a href='/cms/pages-images/gallery/<?=$row_image['image_big']?>?<?=filemtime($_SERVER['DOCUMENT_ROOT'].'/cms/pages-images/gallery/'.$row_image['image_big'])?>' data-fancybox>
					<img src='/cms/pages-images/gallery/<?=$row_image['image_small']?>?<?=filemtime($_SERVER['DOCUMENT_ROOT'].'/cms/pages-images/gallery/'.$row_image['image_big'])?>' alt='' style='display:inline-block;max-width:100%;margin-bottom:0;'>
				</a>
			</div>
			<div class='form-group'>
				<label><b>Заменить изображение:</b></label>
				<input type='file' name='img' accept='image/x-png,image/gif,image/jpeg,image/webp' class='filestyle' data-buttonBefore='true' data-buttonText=''>
			</div>
			<div class='form-group'>
				<label><b>Дата загрузки:</b></label>
				<br>
				<input type='text' class='form-control datetimepicker' name='date_time' value='<?=$row_image['date_time']?>' maxlenth='19'>
			</div>
			<div class='form-group'>
				<div class='checkbox'>
					<label>
						<input type='checkbox' name='cover' value='1' <?php if($row_image['cover']==1) echo 'checked'; ?>> <b>Обложка</b>
					</label>
				</div>
			</div>
			<div class='form-group'>
				<input type='hidden' name='hidden_image' value='<?=$_GET['gallery_image']?>'>
				<button type='submit' class='btn btn-primary' name='record_edit_image'>Сохранить</button>
			</div>
		</form>

		<?php

		date_time($row_image['user'],$row_image['user_update'],$row_image['date_time'],$row_image['date_time_update']);

	}

	// Запись отредактированного изображения
	elseif(isset($record_edit_image))
	{

		$row_image = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_gallery where id='.$_POST['hidden_image']));
		$row_field = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_image['name']));

		$count_images = count_query('SELECT id from '.DB_PREFIX.'fields_gallery where name = '.$row_image['name'].' && element = '.$row_image['element']); // количество изображений

		$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_field['element_type'].' where id='.$row_image['element']));

		// Навигация
		if($row_field['element_type']=='pages')
		{
			$element_type_title = '<a href="pages.php">Страницы</a>';
			$element_title = '<a href="pages.php?id='.$row_image['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='elements')
		{
			$element_type_title = '<a href="elements.php">Элементы</a>';
			$element_title = '<a href="elements.php?id='.$row_image['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='blocks_static')
		{
			$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
			$element_title = '<a href="blocks_static.php?block='.$row_image['element'].'">'.string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30).'</a>';
		}
		elseif($row_field['element_type']=='fields_elements')
		{

			$row_dynamic = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'fields_name where id='.$row_field['dynamic_section']));

			if($row_dynamic['element_type']=='pages')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title, element from '.DB_PREFIX.'fields_elements where id='.$row_image['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="pages.php">Страницы</a>';
				$element_title = '<a href="pages.php?id='.$row_element['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='elements')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_image['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="elements.php">Элементы</a>';
				$element_title = '<a href="elements.php?id='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}
			elseif($row_dynamic['element_type']=='blocks_static')
			{
				$row_element = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT  title, element from '.DB_PREFIX.'fields_elements where id='.$row_image['element']));
				$row_title = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT title from '.DB_PREFIX.$row_dynamic['element_type'].' where id='.$row_element['element']));

				$element_type_title = '<a href="blocks_static.php">Блоки статические</a>';
				$element_title = '<a href="blocks_static.php?block='.$_GET['element'].'">'.string_cut(htmlspecialchars($row_title['title'],ENT_QUOTES),30).'</a>';
			}

		}

		?>

		<ol class='breadcrumb'>
			<li class='breadcrumb-item'><?=$element_type_title?></li>
			<li class='breadcrumb-item'><?=$element_title?></li>

			<?php if($row_field['element_type']=='fields_elements') : ?>
				<li class='breadcrumb-item'><a href="fields_elements.php?field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_dynamic['title'],ENT_QUOTES),30)?></a></li>
				<li class='breadcrumb-item'><a href="fields_elements.php?id=<?=$row_image['element']?>&field=<?=$row_field['dynamic_section']?>&element=<?=$row_element['element']?>"><?=string_cut(htmlspecialchars($row_element['title'],ENT_QUOTES),30)?></a></li>
			<?php endif; ?>

			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?field=<?=$row_image['name']?>&element=<?=$row_image['element']?>'><?=string_cut($row_field['title'],30)?> (<?=$count_images?>)</a></li>
			<li class='breadcrumb-item'><a href='<?=CURRENT_FILE?>?gallery_image=<?=$_POST['hidden_image']?>'>Редактирование</a></li>
			<li class='breadcrumb-item active'>Запись</li>
		</ol>

		<?php

		// Обложка
		if(!isset($cover)){$cover=0;}

		if($cover==1)
		{
			mysqli_query($mysqli,'UPDATE fields_gallery SET cover = 0 where name = '.$row_image['name'].' && element = '.$row_image['element']);
		}

		// Дата
		if(trim($_POST['date_time'])=='')
		{
			$row_datetime = mysqli_fetch_assoc(mysqli_query($mysqli,'SELECT date_time from '.DB_PREFIX.'fields_gallery where id='.$hidden_image));
			$date_time = $row_datetime['date_time'];
		}
		else
		{
			$date_time = $_POST['date_time'];
		}

		$title = mysqli_escape_string($mysqli,$_POST['title']); // Заголовок

		// Запись в базу
		if(mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'fields_gallery SET

		date_time="'.$date_time.'",
		date_time_update="'.DATE_TIME.'",
		user_update="'.$admin_id.'",
		title="'.$title.'",
		cover="'.$cover.'"

		where id='.$hidden_image))
		{
			echo $block_info;
		}
		else
		{
			echo $block_danger;
		}

		// Загрузка изображения
		if( is_uploaded_file($_FILES['img']['tmp_name']) && file_check( $_FILES['img']['tmp_name'], 'img') )
		{

			$file_name_big = $hidden_image.'-'.$row_field['width_big'].'.jpg';
			$file_name_small = $hidden_image.'-'.$row_field['width_small'].'.jpg';
			$file_name_original = $hidden_image.'.'.pathinfo($_FILES['img']['name'],PATHINFO_EXTENSION);

			// Загрузка большого эскиза
			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_original='$file_name_big' where id='$hidden_image'");
			$image_resize_name=$hidden_image.'-'.$row_field['width_big'];
			$image_file_upload=$_FILES['img']['tmp_name'];
			$image_resize_url="../cms/pages-images/gallery/";
			$image_resize_width=$row_field['width_big'];
			$image_resize_quality=90;
			$image_result_message="
			<div class='bd-callout bd-callout-warning'>
				<h4>Большой эскиз изображения ".$_FILES['img']['name']." успешно создан!</h4>
				<p><a href='$image_resize_url".$image_resize_name.".jpg' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
			</div>
			";
			image_resize($image_file_upload,$image_resize_name,$image_resize_url,$image_resize_width,$image_resize_quality,$image_result_message);

			// Загрузка малого эскиза
			mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_original='$file_name_small' where id='$hidden_image'");
			$image_resize_name=$hidden_image.'-'.$row_field['width_small'];
			$image_file_upload=$_FILES['img']['tmp_name'];
			$image_resize_width=$row_field['width_small'];
			$image_result_message="
			<div class='bd-callout bd-callout-warning'>
				<h4>Малый эскиз изображения ".$_FILES['img']['name']." успешно создан!</h4>
				<p><a href='$image_resize_url".$image_resize_name.".jpg' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
			</div>
			";
			image_resize($image_file_upload,$image_resize_name,$image_resize_url,$image_resize_width,$image_resize_quality,$image_result_message);

			// Загрузка оригинала
			if($row_field['original']==1)
			{

				if(copy($_FILES['img']['tmp_name'],"$image_resize_url$file_name_original"))
				{
					mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_original='$file_name_original' where id='$hidden_image'");

					echo"
					<div class='bd-callout'>
						<h4>Оригинальное изображение ".$_FILES['img']['name']." успешно загружено</h4>
						<p><a href='$image_resize_url$file_name_original' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
					</div>
					";
				}
				else
				{
					echo"
					<div class='bd-callout'>
						<h4>Загрузить оригинальное изображение ".$_FILES['img']['name']." не удалось!</h4>
					</div>
					";
				}

			}
			else
			{
				mysqli_query($mysqli,"UPDATE ".DB_PREFIX."fields_gallery SET image_original='' where id='$hidden_image'");
			}

		}

		cache_delete();

	}

}

require_once('include/footer.php');