<?php

if( file_exists('local/catalog-ajax.php') )
{
	require_once 'local/catalog-ajax.php';
}
else
{

	error_reporting(E_ALL);
	ini_set( 'display_errors' , 1 );

	session_start();

	if(!empty($_SESSION['login']) && !empty($_SESSION['password']))
	{

		require_once('../../cms/app/config/config.php');
		require_once('core/function-db_mysqli.php');
		require_once('core/function-db_sql.php');
		require_once('core/function-catalog_recursion.php');

		$row_profile = mysqli_fetch_array(mysqli_query(db_mysqli(),'SELECT * from '.DB_PREFIX.'admin where mail="'.$_SESSION['login'].'"'));

		$block_profile_danger="
		<div class='bd-callout'>
			<h4>У вас нет прав доступа к данному разделу!</h4>
		</div>
		";

		// Проверка прав доступа к разделу
		if($row_profile['login_pages']==0)
		{
			echo $block_profile_danger;
		}
		else
		{

			extract($_GET);

			$row_catalog_checkbox = mysqli_fetch_assoc(mysqli_query(db_mysqli(),'SELECT catalog_checkbox from '.DB_PREFIX.'settings where id = 1')); // чекбоксы в каталоге

			if(isset($new))
			{
				// Вызов функций для отображения дерева разделов
				function getCategory()
				{
					$query = mysqli_query(db_mysqli(),'SELECT id,hide,title,section,sections from '.DB_PREFIX.'pages where section_index = 1 order by number asc, id asc');
					$result = array();
					while ($row = mysqli_fetch_assoc($query))
					{
						if(count($arrSections = explode(' ', $row['sections'])) > 1)
						{
							foreach($arrSections as $s)
							$result[$s][] = $row;
						}
						else
						{
							$result[$row['section']][] = $row;
						}
					}
					return $result;
				}

				function getCategoryTree( $parent_id, $level, $catalog_checkbox = 0 )
				{

					$row_catalog_checkbox = mysqli_fetch_assoc(mysqli_query(db_mysqli(),'SELECT catalog_checkbox from '.DB_PREFIX.'settings where id = 1')); // чекбоксы в каталоге

					// Отображение каталога
					global $arrCategories;
					if (isset($arrCategories[$parent_id]))
					{

						if(isset($_GET['data_type_id']))
						{
							$row_section = mysqli_fetch_assoc(mysqli_query(db_mysqli(),"SELECT section,sections from ".DB_PREFIX."data_types where id='".$_GET['data_type_id']."'"));
							$section_id = $row_section['section'];
							$sections = $row_section['sections'];
						}

						if($parent_id > 0) $classCollapse = 'collapse'; else $classCollapse = '';
						$idCollapse = 'slide-block'.$parent_id;
						echo"<ul style='list-style:none;padding-left:17px;'>";
						foreach ($arrCategories[$parent_id] as $value)
						{
							// Определяем, если в каталоге подкаталоги
							$count_section_sections=mysqli_num_rows(mysqli_query(db_mysqli(),"SELECT id from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$value['id'].db_sql('reg_end')."' and section_index='1'"));

							echo"<li"; if($value['hide']==1) echo' style="color: #aaa;"'; echo">";

							// Отображение чекбоксов каталога
							if($catalog_checkbox==1)
							{
								echo"<input type='checkbox' name='sections[]' value='$value[id]'";
								if(isset($sections) && preg_match("/\b".$value['id']."\b/",$sections)){echo"checked";}
								echo">";
							}

							echo" <label class='page-section'><input type='radio' name='section' value='$value[id]'";
							if(isset($section_id) && $section_id == $value['id']){echo"checked";}
							echo"> ".htmlspecialchars($value['title'],ENT_QUOTES)."</label></li>";
							$level = $level + 1;
							getCategoryTree($value['id'],$level,$row_catalog_checkbox['catalog_checkbox']);
							$level = $level - 1;
						}
						echo"</ul>";
					}
				}
				// Вывод дерева разделов
				echo"
				<div style='margin:0px 0px 10px 10px;'>
				<label class='page-section'>
				<input type='radio' name='section' value='0' checked> РАЗДЕЛ НЕ ЗАДАН
				</label>
				</div>
				";
				$arrCategories=getCategory();
				getCategoryTree(0,0,$row_catalog_checkbox['catalog_checkbox']);

			}
			elseif(isset($page_id) || isset($data_type_id))
			{

				// Вызов функций для отображения дерева разделов
				function getCategory()
				{
					$query = mysqli_query(db_mysqli(),'SELECT id,hide,title,section, sections from '.DB_PREFIX.'pages where section_index = 1 order by number asc, id asc');
					$result = array();
					while ($row = mysqli_fetch_assoc($query))
					{
						if(count($arrSections = explode(' ', $row['sections'])) > 1)
						{
							foreach($arrSections as $s)
							$result[$s][] = $row;
						}
						else
						{
							$result[$row['section']][] = $row;
						}
					}

					return $result;
				}

				function getCategoryTree( $parent_id, $level, $catalog_checkbox = 0 )
				{
					extract($_GET);

					$row_catalog_checkbox = mysqli_fetch_assoc(mysqli_query(db_mysqli(),'SELECT catalog_checkbox from '.DB_PREFIX.'settings where id = 1')); // чекбоксы в каталоге

					// Отображение каталога
					global $arrCategories;
					if (isset($arrCategories[$parent_id]))
					{


						if(isset($page_id))
						{
							$row_section = mysqli_fetch_assoc(mysqli_query(db_mysqli(),"SELECT section,sections from ".DB_PREFIX."pages where id='$page_id'"));
							$page_section_id = $row_section['section'];
							$page_sections = $row_section['sections'];
						}

						if(isset($page_section_id)) {$section_id = $page_section_id;}
						if(isset($page_sections)) {$sections = $page_sections;}

						if(isset($_GET['data_type_id']))
						{
							$row_section = mysqli_fetch_assoc(mysqli_query(db_mysqli(),"SELECT section,sections from ".DB_PREFIX."data_types where id='".$_GET['data_type_id']."'"));
							if($row_section['section'] != 0) {$section_id = $row_section['section'];};
							$sections = $row_section['sections'];
						}


						if($parent_id > 0) $classCollapse = 'collapse'; else $classCollapse = '';
						$idCollapse = 'slide-block'.$parent_id;
						echo"<ul style='list-style:none;padding-left:17px;'>";
						foreach ($arrCategories[$parent_id] as $value)
						{

							// Определение всех подразделов
							if(isset($page_id))
							{
								ob_start(); catalog_recursion( $page_id ); $sections_string = trim(ob_get_contents());	ob_end_clean();
							}

							// Определяем, если в каталоге подкаталоги
							$count_section_sections=mysqli_num_rows(mysqli_query(db_mysqli(),"SELECT id from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$value['id'].db_sql('reg_end')."' and section_index='1'"));

							if($count_section_sections==0)
							{
								$count_text_section='';
							}
							else
							{
								$count_text_section="";
							}

							echo"<li"; if($value['hide']==1) echo' style="color: #aaa;"'; echo">";

							// Отображение чекбоксов каталога
							if($catalog_checkbox==1)
							{
								echo"<input type='checkbox' name='sections[]' value='$value[id]'";

								if(isset($page_id))
								{
									if(preg_match("/\b".$value['id']."\b/",$sections) || preg_match("/\b".$value['id']."\b/",$page_sections)){echo"checked";}
								}
								else
								{
									if(preg_match("/\b".$value['id']."\b/",$sections)){echo"checked";}
								}

								if( isset($page_id) && ( $page_id == $value['id'] || preg_match("/\b".$value['id']."\b/",$sections_string) ) ){echo" disabled";}

								echo">";
							}

							echo" <label class='page-section'><input type='radio' name='section' value='$value[id]' ";

							if(isset($section_id) && $section_id == $value['id']){echo"checked";}

							if( isset($page_id) && ( $page_id == $value['id'] || preg_match("/\b".$value['id']."\b/",$sections_string) ) )
							{
								echo" disabled";
							}

							echo"> ";

							if(isset($page_id) && $page_id==$value['id']){echo"<b>".htmlspecialchars($value['title'],ENT_QUOTES)."</b>";}else{echo htmlspecialchars($value['title'],ENT_QUOTES);}	echo"</label> $count_text_section</li>";
							$level = $level + 1;
							getCategoryTree($value['id'],$level,$row_catalog_checkbox['catalog_checkbox']);
							$level = $level - 1;
						}
						echo"</ul>";

					}
				}
				// Вывод дерева разделов
				echo"
				<div style='margin:0px 0px 10px 10px;'>
				<label class='page-section'>
				<input type='radio' name='section' value='0' ";
				if((isset($row) && $row['section']==0) || (!isset($row))){echo"checked";}
				echo"> РАЗДЕЛ НЕ ЗАДАН</label></div>
				";
				$arrCategories=getCategory();
				getCategoryTree(0,0,$row_catalog_checkbox['catalog_checkbox']);

			}
			else
			{

				// Вызов функций для отображения дерева разделов
				function getCategory()
				{
					$query = mysqli_query(db_mysqli(),'SELECT id,hide,title,section,sections from '.DB_PREFIX.'pages where section_index = 1 order by number asc, id asc');
					$result = array();
					while ($row = mysqli_fetch_assoc($query))
					{
						if(count($arrSections = explode(' ', $row['sections'])) > 1)
						{
							foreach($arrSections as $s)
							$result[$s][] = $row;
						}
						else
						{
							$result[$row['section']][] = $row;
						}
					}

					return $result;
				}

				function getCategoryTree($parent_id,$level)
				{

					// Отображение каталога
					global $arrCategories;
					if(isset($arrCategories[$parent_id]))
					{
						if($row_section=mysqli_fetch_array(mysqli_query(db_mysqli(),"SELECT id,section from ".DB_PREFIX."pages where section_index='1'")))
						{
							if($parent_id > 0) $classCollapse = 'collapse'; else $classCollapse = '';
							$idCollapse = 'slide-block_'.$parent_id;
							echo"<ul>";
							foreach ($arrCategories[$parent_id] as $value)
							{
								// Подсчет страниц, входящих в каталог
								$count_section_pages=mysqli_num_rows(mysqli_query(db_mysqli(),"SELECT id from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$value['id'].db_sql('reg_end')."' and section_index='0'"));
								if($count_section_pages==0){$count_text='';}else{$count_text="<a class='badge badge-warning' href='catalog.php?id=$value[id]'>$count_section_pages</a>";}
								// Определяем, если в каталоге подкаталоги
								$count_section_sections=mysqli_num_rows(mysqli_query(db_mysqli(),"SELECT id from ".DB_PREFIX."pages where sections regexp '".db_sql('reg_start').$value['id'].db_sql('reg_end')."' and section_index='1'"));
								if($count_section_sections==0)
								{
									$count_text_section='';
								}
								else
								{
									$count_text_section="<a href='catalog.php?section=$value[id]'><small><span class='glyphicon glyphicon-th-list'></small></span></a>";
								}
								// Вывод информации
								echo"<li><a href='pages.php?id=$value[id]'";if($value['hide']==1){echo" style='color:#aaa;' class='tooltip-element' data-toggle='tooltip' data-placement='left' title='Страница скрыта'";}echo">".htmlspecialchars($value['title'],ENT_QUOTES)."</a> $count_text_section $count_text</li>";
								$level = $level + 1;
								getCategoryTree($value['id'],$level);
								$level = $level - 1;
							}
							echo"</ul>";
						}
					}
				}

				// Вывод дерева разделов
				$arrCategories=getCategory();
				getCategoryTree(0,0);
			}

		}

	}

}