<?php

function dir_tree( $folder )
{

  echo'<ul class="list-unstyled">';

  /* Получаем полный список файлов и каталогов внутри $folder */
  $files = scandir($folder);

  foreach ($files as $file)
  {

    /* Отбрасываем текущий и родительский каталог */
    if (($file == '.') || ($file == '..')) continue;
    $f0 = $folder . '/' . $file; // Получаем полный путь к файлу

    /* Если это директория */
    if (is_dir($f0))
    {
      /* Выводим, делая заданный отступ, название директории */
      ?>
      <li>
        <input type="radio" name="directory" value="<?=htmlspecialchars($f0,ENT_QUOTES)?>">
      <?php
      if(count(glob($f0.'/*', GLOB_ONLYDIR))>0)
      {
        echo'<a href="#dir'.md5($f0).'" data-toggle="collapse" aria-expanded="false" aria-controls="dir'.md5($f0).'">'.$file.'</a>';
      }
      else
      {
        echo $file;
      }
      echo'</li>';

      /* С помощью рекурсии выводим содержимое полученной директории */
      echo'<ul class="list-unstyled collapse ml-4" id="dir'.md5($f0).'">
      '; dir_tree($f0); echo'</ul>
      ';
    }

  }

  echo'</ul>';

}