<?php

function menu($array)
{
	?>

	<ul class="list-unstyled menu">

	<?php

	if($array['profile_access_pages']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/pages.php') || strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/pages_images.php') || strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/pages_files.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="pages.php">Страницы <span class="badge badge-warning"><?=$array['count_pages']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_elements']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/elements.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="elements.php">Элементы <span class="badge badge-warning"><?=$array['count_elements_all']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_catalog']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/catalog.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="catalog.php">Каталог <span class="badge badge-warning"><?=$array['count_catalog_sections']?> / <?=$array['count_catalog_elements']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_pages_comments']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/pages_comments.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="pages_comments.php">Комментарии <span class="badge badge-warning"><?=$array['count_pages_comments']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_faq']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/faq.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="faq.php">Вопросы <span class="badge badge-warning"><?=$array['count_faq_all']?> / <?=$array['count_faq_none']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_blocks_static']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/blocks_static.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="blocks_static.php">Блоки статические <span class="badge badge-warning"><?=$array['count_blocks_static']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_blocks_dynamic']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/blocks_dynamic.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="blocks_dynamic.php">Блоки динамические <span class="badge badge-warning"><?=$array['count_blocks_dynamic']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_fields']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/fields.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="fields.php">Дополнительные поля <span class="badge badge-warning"><?=$array['count_fields_sections']?> / <?=$array['count_fields_names']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_data_types']!=0)
	{
		$active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/data_types.php')) ? 'class="active"' : '';
		?>
		<li <?=$active?>>
			<a href="data_types.php">Типы данных <span class="badge badge-warning"><?=$array['count_data_types']?></span></a>
		</li>
		<?php
	}

	if($array['profile_access_templates']!=0)
	{
		if(
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_pages.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_catalog.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_pages_comments.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_faq.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_navigation.php')
		)
		{
			$active='class="active"';
			$show='show';
		}
		else
		{
			$active='';
			$show='';
		}
		?>
		<li <?=$active?>>
			<a href="#sidebar-templates" data-toggle="collapse" aria-expanded="false" aria-controls="sidebar-templates">Шаблоны</a>
			<ul class="collapse <?=$show?> list-unstyled" id="sidebar-templates">
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_pages.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="templates_pages.php">Страницы <span class="badge badge-warning"><?=$array['count_templates_pages']?></span></a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_catalog.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="templates_catalog.php">Каталог <span class="badge badge-warning"><?=$array['count_templates_catalog']?></span></a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_pages_comments.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="templates_pages_comments.php">Комментарии <span class="badge badge-warning"><?=$array['count_templates_pages_comments']?></span></a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_faq.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="templates_faq.php">Вопросы <span class="badge badge-warning"><?=$array['count_templates_faq']?></span></a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/templates_navigation.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="templates_navigation.php">Навигация <span class="badge badge-warning"><?=$array['count_templates_navigation']?></span></a></li>
			</ul>
		</li>
		<?php
	}

	if($array['profile_access_settings']!=0)
	{
		if(
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/headers.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/backup.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/file_manager.php') ||
		strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/update.php')
		)
		{
			$active='class="active"';
			$show='show';
		}
		else
		{
			$active='';
			$show='';
		}
		?>
		<li <?=$active?>>
			<a href="#sidebar-settings" data-toggle="collapse" aria-expanded="false" aria-controls="sidebar-settings">Настройки</a>
			<ul class="collapse <?=$show?> list-unstyled" id="sidebar-settings">
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/update.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="update.php">Обновление</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/backup.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="backup.php">Резервные копии <span class="badge badge-warning"><?=$array['count_backup']?></span></a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/file_manager.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="file_manager.php">Менеджер файлов</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['template'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?template">Оформление</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/headers.php')) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="headers.php">Заголовки</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['date'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?date">Дата и время</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['notice'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?notice">Уведомления</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['catalog'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?catalog">Каталог</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['cache'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?cache">Кэширование</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['index'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?index">Индексирование</a></li>
				<?php $active=(strstr($_SERVER['PHP_SELF'],ADMIN_DIR.'/settings.php') && isset($_GET['sql'])) ? 'class="active"' : '';?>
				<li <?=$active?>><a href="settings.php?sql">SQL</a></li>
			</ul>
		</li>
		<?php
	}

	?>

	</ul>

	<?php
}