<?php

// Дополнительные поля: загрузка изображения
function upload_image($array)
{

	$image_id = $array['image_id'];
	$image_name = $array['image_name'];
	$image_tmp_name = $array['image_tmp_name'];
	$image_width = $array['image_width'];
	$image_type = $array['image_type'];

	$file_extension=pathinfo($image_name,PATHINFO_EXTENSION);
	$file_name=$image_id.'.'.$file_extension;
	$image_resize_url='../cms/pages-images/';

	if($image_width!='')
	{

		$image_resize_name=$image_id.'-'.$image_width;
		$image_file_upload=$image_tmp_name;
		$image_resize_width=$image_width;
		$image_resize_quality=90;

		$image_result_message = "<div class='bd-callout'>";

		if($image_type == 'big')
		{
			$image_result_message .= "<h4>Большой эскиз изображения $image_name успешно загружено!</h4>";
		}
		if($image_type == 'small')
		{
			$image_result_message .= "<h4>Малый эскиз изображения $image_name успешно загружено!</h4>";
		}

		$image_result_message .=	"<p><a href='$image_resize_url".$image_resize_name.".jpg' target='_blank' data-fancybox>Открыть</a> в новом окне</p></div>";

		image_resize($image_file_upload,$image_resize_name,$image_resize_url,$image_resize_width,$image_resize_quality,$image_result_message);

	}
	else
	{
		if(copy($image_tmp_name,"$image_resize_url$file_name"))
		{
			echo"
			<div class='bd-callout'>
				<h4>Оригинальное изображение $image_name успешно загружено</h4>
				<p><a href='$image_resize_url$file_name' target='_blank' data-fancybox>Открыть</a> в новом окне</p>
			</div>
			";
		}
		else
		{
			echo"
			<div class='bd-callout'>
				<h4>Загрузить оригинальное изображение $image_name не удалось!</h4>
			</div>
			";
		}
	}

}