<?php

/**
* Модуль загрузки всех функций и классов
*/

// Загрузка функций из ядра
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/'.ADMIN_DIR.'/include/core/function-*.php') as $function_file)
{

  $function_file_custom = str_replace('include/core/','include/local/core/',$function_file);

	if(file_exists($function_file_custom))
	{
		require_once $function_file_custom;
	}
	else
	{
		require_once $function_file;
	}

}

// Загрузка классов из ядра
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/'.ADMIN_DIR.'/include/core/class-*.php') as $function_file)
{

  $function_file_custom = str_replace('include/core/','include/local/core/',$function_file);

	if(file_exists($function_file_custom))
	{
		require_once $function_file_custom;
	}
	else
	{
		require_once $function_file;
	}

}

// Загрузка кастомизированных функций
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/'.ADMIN_DIR.'/include/local/extensions/function-*.php') as $function_file)
{

	require_once $function_file;

}

// Загрузка кастомизированных классов
foreach (glob($_SERVER['DOCUMENT_ROOT'].'/'.ADMIN_DIR.'/include/local/extensions/class-*.php') as $function_file)
{

	require_once $function_file;

}