$(document).ready(function () {

	// Сайдбар
	$('.sidebar-collapse').on('click', function () {
		$('.sidebar').toggleClass('active');
	});

	// Bootstrap ---
	// Подсказка
	$('.tooltip-element').tooltip();
	// -- Bootstrap

	// ГАЛЕРЕЯ
	// form - action = _delete.php
	$('#delete-numbers-pages-images').click(function () {
		$('#form-post').attr('action', '_delete.php');
	});
	// Выделение всех чекбоксов
	$('.select-checkbox').change(function () {
		var checkboxes = $(this).closest('form#form-post').find('.checkbox-element:checkbox');
		if ($(this).is(':checked')) {
			checkboxes.prop('checked', true);
		} else {
			checkboxes.prop('checked', false);
		}
	});

	// Обновление типов данных
	$('.data_type_update').change(function () {
		if ($(this).is(':checked')) {
			$('.update').removeClass('d-none');
		} else {
			$('.update').addClass('d-none');
		}
	});

	// Копирование страницы
	$('input[name="record_edit_new"]').change(function () {
		if ($(this).is(':checked')) {
			$('.record_edit').removeClass('d-none');
			$('input[name="translit_update"]').prop('disabled', true).prop('checked', false);
			$('input[name="data_type_update"]').prop('disabled', true).prop('checked', false);
			$('input[name="update_catalog"]').prop('disabled', true).prop('checked', false);
			$('input[name="update_dynamic_section"]').prop('disabled', true).prop('checked', false);
			$('.translit_update,.checkbox_data_type_update').addClass('d-none');
		} else {
			$('.record_edit').addClass('d-none');
			$('input[name="translit_update"]').removeAttr('disabled');
			$('input[name="data_type_update"]').removeAttr('disabled');
			$('input[name="update_catalog"]').removeAttr('disabled');
			$('input[name="update_dynamic_section"]').removeAttr('disabled');
			$('.translit_update,.checkbox_data_type_update').removeClass('d-none');
		}
	});

	// ПРОВЕРКА ПОЛЕЙ
	$('form').bind('submit', function (event) {
		// Изображение (слайдер+галерея+изображение)
		$('#file-new').each(function () {
			if ($(this).val().length == 0) {
				event.preventDefault();
				$('#file-new-help-danger').removeClass('d-none');
				$('#file-new').focus();
			}
			else {
				$('#file-new-help-danger').addClass('d-none');
			}
		});
		// Транслит
		/*
		$('#translit').each(function () {
			if ($(this).val().length > 0) {
				if (!/^[a-zA-Z0-9-_]+$/.test($('#translit').val())) {
					event.preventDefault();
					$('#translit').addClass('is-invalid').focus();
				}
			}
			else {
				$('#translit').removeClass('is-invalid');
			}
		});
		*/
		// Дата
		$('.datetimepicker').each(function (i, el) {
			$(el).on('change, focus, blur', function() {
				validateDate($(this));
			})
		});
		// Заголовок
		$('#title').each(function () {
			if ($(this).val().length < 1) {
				event.preventDefault();
				$('#title').addClass('is-invalid').focus();
			}
			else {
				$('#title').removeClass('is-invalid');
			}
		});

		// Транслит при копировании
		$('#record-edit-new').on('change', function () {
			$('#record-edit-new-translit').toggleClass('d-none');
		});

		// ПРОФИЛЬ
		$('#admin-password').each(function () {
			if (!/^.{6,16}$/.test($(this).val())) {
				event.preventDefault();
				$('#admin-password').addClass('is-invalid').focus();
				$('#admin-password-help-danger').removeClass('d-none');
			}
			else {
				$('#admin-password').removeClass('is-invalid');
			}
		});
		$('#admin-mail').each(function () {
			if (!/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/.test($(this).val())) {
				event.preventDefault();
				$('#admin-mail').addClass('is-invalid').focus();
				$('#admin-mail-help-danger').removeClass('d-none');
			}
			else {
				$('#admin-mail').removeClass('is-invalid');
			}
		});


		// ЗАГОЛОВКИ
		$('#headers-secondary').each(function () {
			if ($(this).val().length < 2) {
				event.preventDefault();
				$('#headers-secondary').addClass('is-invalid').focus();
			}
			else {
				$('#headers-secondary').removeClass('is-invalid');
			}
		});

		// УВЕДОМЛЕНИЯ
		$('#mail-another').each(function () {
			if ($(this).val().length > 0) {
				if (!/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,20})$/.test($(this).val())) {
					event.preventDefault();
					$('#mail-another').addClass('is-invalid').focus();
				}
				else {
					$('#mail-another').removeClass('is-invalid');
				}
			}
		});

	});

	// ГАЛЕРЕЯ
	$('form#gallery-form').bind('submit', function (event) {
		// Малый эскиз
		$('#gallery-image-small-width').each(function () {
			if ($(this).val().length < 2) {
				event.preventDefault();
				$('#gallery-image-small-width').addClass('is-invalid').focus();
			}
			else {
				$('#gallery-image-small-width').removeClass('is-invalid');
			}
		});
		// Большой эскиз
		$('#gallery-image-big-width').each(function () {
			if ($(this).val().length < 2) {
				event.preventDefault();
				$('#gallery-image-big-width').addClass('is-invalid').focus();
			}
			else {
				$('#gallery-image-big-width').removeClass('is-invalid');
			}
		});
		// Файл
		$('#gallery-file').each(function () {
			if ($(this).val().length == 0) {
				event.preventDefault();
				$('#gallery-file').addClass('is-invalid').focus();
			}
			else {
				$('#gallery-file').removeClass('is-invalid');
			}
		});
	});

	// Архив
	$('form#archive-form').bind('submit', function (event) {
		// Файл
		$('#archive-file').each(function () {
			if ($(this).val().length == 0) {
				event.preventDefault();
				$('#archive-file').addClass('is-invalid').focus();
			}
			else {
				$('#archive-file').removeClass('is-invalid');
			}
		});
	});

	// Настройки: уведомления
	$('#mail-select').on('change', function () {
		switch ($(this).val()) {
			case 'admin':
				$('#mail-another-div').addClass('d-none');
				break;
			case 'another':
				$('#mail-another-div').removeClass('d-none');
				break;
		};
	});

	// Дополнительные поля
	$('#fields_section').on('change', function () {
		switch ($(this).val()) {
			case '0':
				$('#fields_data_type').removeClass('d-none');
				break;
			default:
				$('#fields_data_type').addClass('d-none');
				break;
		};
	});

	// Показать/скрыть пароль
	$('#show-hide-password').click(function () {
		if ($('#admin-password').attr('type') == 'password') {
			$('#admin-password').attr('type', 'text');
			$('#generate-password').removeClass('d-none');
		}
		else if ($('#admin-password').attr('type') == 'text') {
			$('#admin-password').attr('type', 'password');
			$('#generate-password').addClass('d-none');
		}
	});

	// Генерация пароля
	function password_rand() {
		var result       = '';
		var words        = '0123456789qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM';
		var max_position = words.length - 1;
		for( i = 0; i < 10; ++i ) {
			position = Math.floor ( Math.random() * max_position );
			result = result + words.substring(position, position + 1);
		}
		return result;
	}
	$('#generate-password').click(function() {
		$('#admin-password').val(password_rand());
	});



	// Валидация даты
	function validateDate(input) {
    var reg = (/^(19|20)\d\d-((0[1-9]|1[012])-(0[1-9]|[12]\d)|(0[13-9]|1[012])-30|(0[13578]|1[02])-31) ([0-1]\d|2[0-3])(:[0-5]\d){2}$/);
    var inputValue = input.val();

    if(inputValue.length > 0 && !reg.test(inputValue)) {
      input.addClass('is-invalid').focus();
    } else {
      input.removeClass('is-invalid');
    }
  }

});

document.addEventListener("DOMContentLoaded", function() {
	dragula([document.querySelector('.dragula-container'), document.querySelector('.dragula-container')], {
		invalid: (el, handle) => 	!handle.classList.contains('draggable')
	})
	.on('shadow', function(el) {
		var elements = $(el).closest('.dragula-container').children();

		elements.each(function (index, element) {
			$(element).find('input.number').val($(element).index() + 1);
		})

		$('.gu-mirror').find('input.number').val($(el).index() + 1);

	})
});