<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_settings==0)
	{
		echo $block_profile_danger;
	}
else
	{
		// Дата и время
		if(isset($date))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item active'>Дата и время</li>
			</ol>
			";
			if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."settings")))
				{
					echo"
					<form action='".CURRENT_FILE."' method='post'>

						<div class='form-group'>
							<label><b>Формат даты в CMS:</b></label>
							<input type='text' name='date_time' class='form-control' maxlenth='255' value='".htmlspecialchars($row['date'],ENT_QUOTES)."'>
						</div>

						<div class='form-group'>
							<label><b>Временная зона сайта:</b></label>
							<select name='timezone' class='form-control'>
					";
					$result_timezone=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."settings_timezone");
					while($row_timezone=mysqli_fetch_array($result_timezone))
						{
							echo"<option value='$row_timezone[id]'";
							if($row['timezone']==$row_timezone['id']){echo" selected";}
							echo">$row_timezone[title]</option>";
						}
					echo"
							</select>
						</div>

						<button type='submit' class='btn btn-primary' name='record_date'>Записать</button>
					</form>
					";
				}
		}

		// Дата и время: запись
		elseif(isset($record_date))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?date'>Дата и время</a></li>
				<li class='breadcrumb-item active'>Запись</li>
			</ol>
			";

			$date_time=mysqli_escape_string($mysqli,$date_time);

			if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."settings SET date='$date_time',timezone='$timezone' where id='1'"))
				{
					echo $block_info;
					cache_delete();
				}
			else
				{
					echo $block_danger;
				}
		}

		// Уведомления
		elseif(isset($notice))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item active'>Уведомления</li>
			</ol>
			";
			if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."settings")))
				{
					echo"
					<form action='".CURRENT_FILE."' method='post'>
						<div class='form-group'>
							<label><b>Выберите e-mail для отправки уведомлений</b></label>
							<select class='form-control' id='mail-select' name='mail_select'>
								<option value='admin'>E-mail администратора</option>
								<option value='another' ";if($row['mail']!=''){echo"selected";}echo">Другой e-mail</option>
							</select>
						</div>
						<div class='form-group ";if($row['mail']==''){echo"d-none";}echo"' id='mail-another-div'>
							<input type='text' class='form-control' id='mail-another' name='mail' value='$row[mail]' maxlength='255'>
							<p class='form-text text-muted'>Введите e-mail</p>
						</div>
						<div class='form-group'>
							<div class='checkbox'>
								<label>
									<input type='checkbox'";if($row['notice_comments']==1){echo" checked";}echo" name='notice_comments' value='1'> Получать уведомления о новых комментариях
								</label>
							</div>
							<div class='checkbox'>
								<label>
									<input type='checkbox'";if($row['notice_faq']==1){echo" checked";}echo" name='notice_faq' value='1'> Получать уведомления о новых вопросах
								</label>
							</div>
						</div>

						<button type='submit' class='btn btn-primary' name='record_notice'>Записать</button>
					</form>
					";
				}
		}

		// Уведомления: запись
		elseif(isset($record_notice))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?notice'>Уведомления</a></li>
				<li class='breadcrumb-item active'>Запись</li>
			</ol>
			";

			if($mail_select=='another'){$mail=mysqli_escape_string($mysqli,$mail);}else{$mail='';} // Проверка введения e-mail
			if(!isset($notice_comments)){$notice_comments=0;}
			if(!isset($notice_faq)){$notice_faq=0;}

			if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."settings SET mail='$mail',notice_comments='$notice_comments',notice_faq='$notice_faq' where id='1'"))
				{
					echo $block_info;
				}
			else
				{
					echo $block_danger;
				}
		}


		// Каталог
		elseif(isset($catalog))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item active'>Каталог</li>
			</ol>
			";
			if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."settings")))
			{
				echo"
				<form action='".CURRENT_FILE."' method='post'>

					<div class='form-group'>

						<div class='checkbox'>
							<label>
								<input type='checkbox'";if($row['catalog_checkbox']==1){echo" checked";}echo" name='catalog_checkbox' value='1'> Выбор нескольких подразделов
							</label>
						</div>

						<div class='checkbox'>
							<label>
								<input type='checkbox'";if($row['catalog_prefix']==1){echo" checked";}echo" name='catalog_prefix' value='1'> Префикс для URI страниц каталога
							</label>
						</div>

					</div>

					<button type='submit' class='btn btn-primary' name='record_catalog'>Записать</button>

				</form>
				";
			}
		}

		// Каталог: запись
		elseif(isset($record_catalog))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?catalog'>Каталог</a></li>
				<li class='breadcrumb-item active'>Запись</li>
			</ol>
			";

			$catalog_checkbox = (isset($catalog_checkbox)) ? $catalog_checkbox : 0;
			$catalog_prefix = (isset($catalog_prefix)) ? $catalog_prefix : 0;

			if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."settings SET catalog_checkbox = '$catalog_checkbox', catalog_prefix = '$catalog_prefix' where id='1'"))
			{
				echo $block_info;
				cache_delete();
			}
			else
			{
				echo $block_danger;
			}
		}

		// Кэширование
		elseif(isset($cache))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item active'>Кэширование</li>
			</ol>
			";
			$dir=ROOT.'/cms/cache';
			$hdl=opendir($dir);
			$total_files=0;
			while($file=readdir($hdl))
				{
					if(is_file($dir."/".$file))
						{
							$total_files++;

						}
				}
			echo"
			<b>Количество файлов кэша: $total_files</b>
			<br><br>
			<a href='".CURRENT_FILE."?cache_delete' class='btn btn-primary'>Очистить кэш</a>
			";
			closedir($hdl);
		}

		// Кэширование - очистка кэша
		elseif(isset($cache_delete))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?cache'>Кэширование</a></li>
				<li class='breadcrumb-item active'>Очистка кэша</li>
			</ol>
			";
			$dir=ROOT.'/cms/cache';
			$hdl=opendir($dir);
			$total_deleted=0;
			while($file=readdir($hdl))
				{
					if(is_file($dir."/".$file))
						{
							if(unlink($dir."/".$file))
								{
									$total_deleted++;
								}
						}
				}
			echo"
			<b>Удалено файлов кэша: $total_deleted</b>
			<br><br>
			<a href='".CURRENT_FILE."?cache_delete' class='btn btn-primary'>Очистить кэш</a>
			";
			closedir($hdl);
		}

		// Индексирование
		elseif(isset($index))
		{
			?>

			<ol class='breadcrumb'>
				<li class='breadcrumb-item active'>Индексирование</li>
			</ol>

			<?php

			if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."settings")))
			{
				?>

				<form action='<?=CURRENT_FILE?>' method='post'>

					<div class='form-group'>
						<label><b>Robots.txt:</b></label>
						<?php if(file_exists('../robots.txt')) { ?>
							<textarea class='form-control demo' name='robots'><?=htmlspecialchars(file_get_contents('../robots.txt'),ENT_QUOTES)?></textarea>
						<?php } else { ?>
							<span class="text-danger">Файл отсутствует на сервере!</span>
						<?php } ?>
					</div>

					<div class='form-group'>
						<span data-toggle='button'>
							<button type='button' class='btn btn-secondary btn-sm' data-toggle='collapse' data-target='#slide-seo-block' aria-expanded='false' aria-controls='slide-seo-block'>Языковые настройки <i class='fa fa-caret-down' aria-hidden='true'></i></button>
						</span>
					</div>
					<div class='collapse' id='slide-seo-block'>
						<div class='form-group'>
							<blockquote>

								<?php
								$result_lang=mysqli_query($mysqli,'SELECT * from '.DB_PREFIX.'lang order by title asc');
								while($row_lang=mysqli_fetch_array($result_lang))
								{
									?>
									<div class='checkbox'>
										<label>
											<input type='radio' name='lang_index' value='<?=$row_lang['id']?>' <?php if($row_lang['lang_index']==1) echo' checked'; ?>>
											<input type='checkbox' <?php if($row_lang['active']==1) echo' checked'; ?> name='lang[]' value='<?=$row_lang['id']?>'> <b><?=$row_lang['title']?> <sup><?=$row_lang['value']?></sup></b>
										</label>
									</div>
									<?php
								}
								?>

							</blockquote>
						</div>
					</div>

					<div class='form-group'>
						<div class='checkbox'>
							<label>
								<input type='checkbox' <?php if($row['noindex']==1) echo' checked'; ?> name='noindex' value='1'> <span class='text-danger'>Запретить индексацию сайта в поисковых системах</span>
							</label>
						</div>
					</div>

					<button type='submit' class='btn btn-primary' name='record_index'>Записать</button>
				</form>

				<?php
			}

		}

		// Индексирование - запись данных
		elseif(isset($record_index))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?index'>Индексирование</a></li>
				<li class='breadcrumb-item active'>Запись</li>
			</ol>
			";

			if(!isset($noindex)){$noindex=0;}

			if(
				mysqli_query($mysqli,"UPDATE ".DB_PREFIX."settings SET noindex='$noindex' where id='1'") &&
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'lang SET lang_index = 0, active = 0') &&
				mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'lang SET lang_index = 1 where id = '.$_POST['lang_index'])
			)
			{
				echo $block_info;

				// Запись массива языков
				foreach ($_POST['lang'] as $lang_id)
				{
					mysqli_query($mysqli,'UPDATE '.DB_PREFIX.'lang SET active = 1 where id = '.$lang_id);
				}

				// Запись Robots.txt
				if(isset($_POST['robots']))
				{
					$robots = trim($robots);
					$fd = fopen('../robots.txt', 'w');
					fwrite($fd, $robots);
					fclose($fd);
				}

				cache_delete();
			}
			else
			{
				echo $block_danger;
			}
		}

		// Оформление
		elseif(isset($template))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item active'>Оформление</li>
			</ol>

			<form action='".CURRENT_FILE."' method='post'>
				<div class='form-group'>
					<label><b>Тема сайта:</b></label>
					<select class='form-control' name='theme'>
						";
			$dir=opendir('../cms/templates');
			while($file=readdir($dir)) {
				 if (is_dir('../cms/templates/'.$file) && $file != '.' && $file != '..') {
					 echo"<option value='$file'";
					 if(THEME_NAME==$file){echo' selected';}
					 echo">$file</option>";
				 }
			}
			echo"
					</select>
				</div>
				<button type='submit' class='btn btn-primary' name='record_template'>Записать</button>
			</form>
			";
		}

		// Оформление - запись данных
		elseif(isset($record_template))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?template'>Оформление</a></li>
				<li class='breadcrumb-item active'>Запись</li>
			</ol>
			";

			$file_content = file_get_contents('../cms/app/config/config.php');

			$file_content = preg_replace('|\'THEME_NAME\', \'(.*)\'|Uis', '\'THEME_NAME\', \''.$_POST['theme'].'\'', $file_content);

			$file = fopen('../cms/app/config/config.php', 'w');
			fwrite ($file, $file_content);
			fclose ($file);

			echo $block_info;
		}

		// SQL
		elseif(isset($sql))
		{
			if($_POST)
			{
				?>

				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href="<?=CURRENT_FILE?>?sql">SQL</a></li>
					<li class='breadcrumb-item active'>Выполнение</li>
				</ol>

				<?php

				if(mysqli_multi_query($mysqli,$_POST['sql']))
				{
					?>
					<div class='bd-callout'>
						<h4>SQL-запрос выполнен!</h4>
					</div>
					<?php
				}
				else
				{
					?>
					<div class='bd-callout'>
						<h4>SQL-запрос выполнить не удалось!</h4>
						<p><a href='<?=REFERER?>'>Попробуйте еще раз</a></p>
					</div>
					<?php
				}

			}
			else
			{
				?>

				<ol class='breadcrumb'>
					<li class='breadcrumb-item active'>SQL</li>
				</ol>

				<form action="<?=CURRENT_FILE?>?sql" method="post">
					<div class='form-group'>
						<label><b>Введите SQL-запрос:</b></label>
						<textarea name="sql" class="form-control demo"></textarea>
					</div>
					<input type="hidden" name='record_sql' value="1">
					<button type='submit' class='btn btn-primary'>Выполнить</button>
				</form>

				<?php
			}

		}

	}

require_once('include/footer.php');