<?php

require_once('include/header.php');

// Проверка прав доступа к разделу
if($profile_access_templates==0)
	{
		echo $block_profile_danger;
	}
else
	{
		// Новый шаблон
		if(isset($new))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны каталога</a></li>
					<li class='breadcrumb-item active'>Новый</li>
				</ol>

				<form role='form' action='".CURRENT_FILE."' method='post'>

					<div class='form-group' id='title-div'>
						<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
						<input type='text' class='form-control' id='title' name='title' maxlength='255'>
						<p class='form-text text-muted'>до 255 символов</p>
					</div>

					<div class='form-group'>
						<label><b>Раздел - Обрамление (начало):</b></label>
						<textarea class='form-control demo codemirror' name='section_frame1'></textarea>
					</div>
					<div class='form-group'>
						<label><b>Раздел - Шаблон:</b></label>
						<textarea class='form-control demo codemirror' name='section_template'></textarea>
					</div>
					<div class=form-group>
						<label><b>Раздел - Обрамление (конец):</b></label>
						<textarea class='form-control demo codemirror' name='section_frame2'></textarea>
					</div>
					<div class='form-group'>
						<label><b>Раздел - Код сортировки:</b></label>
						<input type='text' class='form-control' name='section_sort_code' maxlength='255'>
					</div>
					<div class='form-group'>
						<label><b>Раздел - Лимит:</b></label>
						<div class='form-inline'>
							<input type='text' class='form-control mr-sm-2 number' name='section_limit1' value='0'> <input type='text' class='form-control number' name='section_limit2' value='0'>
						</div>
					</div>
					<div class='form-group'>
						<div class='checkbox'>
							<label>
								<input type='checkbox' name='section_pagination' value='1'> <b>Раздел - Постраничное разделение</b>
							</label>
						</div>
					</div>

					<div class='form-group'>
						<label><b>Элемент - Обрамление (начало):</b></label>
						<textarea class='form-control demo codemirror' name='element_frame1'></textarea>
					</div>
					<div class='form-group'>
						<label><b>Элемент - Шаблон:</b></label>
						<textarea class='form-control demo codemirror' name='element_template'></textarea>
					</div>
					<div class=form-group>
						<label><b>Элемент - Обрамление (конец):</b></label>
						<textarea class='form-control demo codemirror' name='element_frame2'></textarea>
					</div>
					<div class='form-group'>
						<label><b>Элемент - Код сортировки:</b></label>
						<input type='text' class='form-control' name='element_sort_code' maxlength='255'>
					</div>
					<div class='form-group'>
						<label><b>Элемент - Лимит:</b></label>
						<div class='form-inline'>
							<input type='text' class='form-control mr-sm-2 number' name='element_limit1' value='0'> <input type='text' class='form-control number' name='element_limit2' value='0'>
						</div>
					</div>
					<div class='form-group'>
						<div class='checkbox'>
							<label>
								<input type='checkbox' name='element_pagination' value='1'> <b>Элемент - Постраничное разделение</b>
							</label>
						</div>
					</div>

					<button type='submit' class='btn btn-primary' name='record_new'>Записать</button>

				</form>
				";
			}
		// Запись нового шаблона
		elseif(isset($record_new) || isset($record_edit_new))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны каталога</a></li>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."?new'>Новый</a></li>
					<li class='breadcrumb-item active'>Запись</li>
				</ol>
				";

				$title=mysqli_escape_string($mysqli,$title);
				$section_template=mysqli_escape_string($mysqli,$section_template);
				$section_frame1=mysqli_escape_string($mysqli,$section_frame1);
				$section_frame2=mysqli_escape_string($mysqli,$section_frame2);
				$section_sort_code=mysqli_escape_string($mysqli,$section_sort_code);
				$element_template=mysqli_escape_string($mysqli,$element_template);
				$element_frame1=mysqli_escape_string($mysqli,$element_frame1);
				$element_frame2=mysqli_escape_string($mysqli,$element_frame2);
				$element_sort_code=mysqli_escape_string($mysqli,$element_sort_code);

				if(!isset($section_pagination)){$section_pagination=0;}
				if(!isset($element_pagination)){$element_pagination=0;}

				if(mysqli_query($mysqli,"INSERT INTO ".DB_PREFIX."templates_catalog (
				user,
				title,
				section_template,
				section_frame1,
				section_frame2,
				section_sort_code,
				section_limit1,
				section_limit2,
				section_pagination,
				element_template,
				element_frame1,
				element_frame2,
				element_sort_code,
				element_limit1,
				element_limit2,
				element_pagination,
				date_time
				) VALUES (
				'$admin_id',
				'$title',
				'$section_template',
				'$section_frame1',
				'$section_frame2',
				'$section_sort_code',
				'$section_limit1',
				'$section_limit2',
				'$section_pagination',
				'$element_template',
				'$element_frame1',
				'$element_frame2',
				'$element_sort_code',
				'$element_limit1',
				'$element_limit2',
				'$element_pagination',
				'".DATE_TIME."'
				)"))
					{
						echo $block_info;
						cache_delete();
					}
				else
					{
						echo $block_danger;
					}
			}

		// Редактирование шаблона
		elseif(isset($id))
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны каталога</a></li>
					<li class='breadcrumb-item active'>Редактирование</li>
					<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать шаблон</a></li>
				</ol>
				";

				if($row=mysqli_fetch_array(mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."templates_catalog where id='$id'")))
					{
						echo"
						<form role='form' action='".CURRENT_FILE."' method='post'>

							<div class='form-group' id='title-div'>
								<label><b>Заголовок:</b></label> <span class='glyphicon glyphicon-exclamation-sign text-danger tooltip-element' data-toggle='tooltip' data-placement='right' title='Обязательно для заполнения'></span>
								<input type='text' class='form-control' id='title' name='title' maxlength='255' value='".htmlspecialchars($row['title'],ENT_QUOTES)."'>
								<p class='form-text text-muted'>до 255 символов</p>
							</div>

							<div class='form-group'>
								<label><b>Раздел - Обрамление (начало):</b></label>
								<textarea class='form-control demo codemirror' name='section_frame1'>".htmlspecialchars($row['section_frame1'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<label><b>Раздел - Шаблон:</b></label>
								<textarea class='form-control demo codemirror' name='section_template'>".htmlspecialchars($row['section_template'],ENT_QUOTES)."</textarea>
							</div>
							<div class=form-group>
								<label><b>Раздел - Обрамление (конец):</b></label>
								<textarea class='form-control demo codemirror' name='section_frame2'>".htmlspecialchars($row['section_frame2'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<label><b>Раздел - Код сортировки:</b></label>
								<input type='text' class='form-control' name='section_sort_code' maxlength='255' value='".htmlspecialchars($row['section_sort_code'],ENT_QUOTES)."'>
							</div>
							<div class='form-group'>
								<label><b>Раздел - Лимит:</b></label>
								<div class='form-inline'>
									<input type='text' class='form-control mr-sm-2 number' name='section_limit1' value='$row[section_limit1]'> <input type='text' class='form-control number' name='section_limit2' value='$row[section_limit2]'>
								</div>
							</div>
							<div class='form-group'>
								<div class='checkbox'>
									<label>
										<input type='checkbox'";if($row['section_pagination']==1){echo" checked";}echo" name='section_pagination' value='1'> <b>Раздел - Постраничное разделение</b>
									</label>
								</div>
							</div>

							<div class='form-group'>
								<label><b>Элемент - Обрамление (начало):</b></label>
								<textarea class='form-control demo codemirror' name='element_frame1'>".htmlspecialchars($row['element_frame1'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<label><b>Элемент - Шаблон:</b></label>
								<textarea class='form-control demo codemirror' name='element_template'>".htmlspecialchars($row['element_template'],ENT_QUOTES)."</textarea>
							</div>
							<div class=form-group>
								<label><b>Элемент - Обрамление (конец):</b></label>
								<textarea class='form-control demo codemirror' name='element_frame2'>".htmlspecialchars($row['element_frame2'],ENT_QUOTES)."</textarea>
							</div>
							<div class='form-group'>
								<label><b>Элемент - Код сортировки:</b></label>
								<input type='text' class='form-control' name='element_sort_code' maxlength='255' value='".htmlspecialchars($row['element_sort_code'],ENT_QUOTES)."'>
							</div>
							<div class='form-group'>
								<label><b>Элемент - Лимит:</b></label>
								<div class='form-inline'>
								<input type='text' class='form-control mr-sm-2 number' name='element_limit1' value='$row[element_limit1]'> <input type='text' class='form-control number' name='element_limit2' value='$row[element_limit2]'>
								</div>
							</div>
							<div class='form-group'>
								<div class='checkbox'>
									<label>
										<input type='checkbox'";if($row['element_pagination']==1){echo" checked";}echo"  name='element_pagination' value='1'> <b>Элемент - Постраничное разделение</b>
									</label>
								</div>
								<div class='checkbox'>
									<label>
										<input type='checkbox' name='record_edit_new' value='1'> <span class='text-danger'>Создать новый шаблон</span>
									</label>
								</div>
							</div>

							<input type='hidden' name='hidden' value='$id'>

							<button type='submit' class='btn btn-primary' name='record_edit'>Записать</button>

						</form>
						";
						date_time($row['user'],$row['user_update'],$row['date_time'],$row['date_time_update']);
					}
			}
		// Запись отредактированного шаблона
		elseif(isset($record_edit))
		{
			echo"
			<ol class='breadcrumb'>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."'>Шаблоны каталога</a></li>
				<li class='breadcrumb-item'><a href='".CURRENT_FILE."?id=$hidden'>Редактирование</a></li>
				<li class='breadcrumb-item active'>Запись</li>
				<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать шаблон</a></li>
			</ol>
			";

			$title=mysqli_escape_string($mysqli,$title);
			$section_template=mysqli_escape_string($mysqli,$section_template);
			$section_frame1=mysqli_escape_string($mysqli,$section_frame1);
			$section_frame2=mysqli_escape_string($mysqli,$section_frame2);
			$section_sort_code=mysqli_escape_string($mysqli,$section_sort_code);
			$element_template=mysqli_escape_string($mysqli,$element_template);
			$element_frame1=mysqli_escape_string($mysqli,$element_frame1);
			$element_frame2=mysqli_escape_string($mysqli,$element_frame2);
			$element_sort_code=mysqli_escape_string($mysqli,$element_sort_code);

			if(!isset($section_pagination)){$section_pagination=0;}
			if(!isset($element_pagination)){$element_pagination=0;}

			if(mysqli_query($mysqli,"UPDATE ".DB_PREFIX."templates_catalog SET
			user_update='$admin_id',
			title='$title',
			section_template='$section_template',
			section_frame1='$section_frame1',
			section_frame2='$section_frame2',
			section_sort_code='$section_sort_code',
			section_limit1='$section_limit1',
			section_limit2='$section_limit2',
			section_pagination='$section_pagination',
			element_template='$element_template',
			element_frame1='$element_frame1',
			element_frame2='$element_frame2',
			element_sort_code='$element_sort_code',
			element_limit1='$element_limit1',
			element_limit2='$element_limit2',
			element_pagination='$element_pagination',
			date_time_update='".DATE_TIME."'
			where id='$hidden'"))
			{
				echo $block_info;
				cache_delete();
			}
			else
			{
				echo $block_danger;
			}
		}
		// Список шаблонов
		else
			{
				echo"
				<ol class='breadcrumb'>
					<li class='breadcrumb-item active'>Шаблоны каталога</li>
					<li class='flex-float-right d-none d-sm-block'><a href='".CURRENT_FILE."?new'>+ Создать шаблон</a></li>
				</ol>

				<form role='form' action='_numbers.php' method='post'>
					<table class='table table-hover table-pages'>
						<thead>
							<tr>
								<th class='pl-4'>#</th>
								<th>Заголовок</th>
								<th class='text-center'>Дата создания</th>
								<th class='text-center'>Дата изменения</th>
								<th class='text-center'>Операции</th>
							</tr>
						</thead>
						<tbody class='dragula-container'>
				";

				$result=mysqli_query($mysqli,"SELECT * from ".DB_PREFIX."templates_catalog order by number asc, id asc");
				while($row=mysqli_fetch_array($result))
					{
						$quotes_title=htmlspecialchars($row['title'],ENT_QUOTES);
						echo"
							<td>
								<input type='text' name='id[$row[id]]' value='$row[number]' class='form-control form-control-sm number draggable' maxlength='10' autocomplete='off'>
							</td>
							<td>
								<b>$quotes_title</b>
							</td>
							<td class='text-center text-nowrap'>
								<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user']);	echo"'>"; date_formated($row['date_time']); echo"</abbr>
							</td>
							<td class='text-center text-nowrap'>
						";
							if($row['date_time_update']=='1000-01-01 00:00:00'){echo"&mdash;";}
							else
								{
									echo"<abbr class='tooltip-element' title='Пользователь: "; user_detection($row['user_update']); echo"'>";
									date_formated($row['date_time_update']);
									echo"</abbr>";
								}
						echo"
							</td>
							<td class='text-center text-nowrap'>

								<a href='".CURRENT_FILE."?id=$row[id]' class='btn btn-secondary btn-sm'><span class='glyphicon glyphicon-pencil'>
									</span>
								</a>

								<a href='#delete' class='btn btn-secondary btn-sm' data-target='#modal$row[id]' data-toggle='modal'>
									<span class='glyphicon glyphicon-remove'></span>
								</a>
								<div class='modal fade' id='modal$row[id]' tabindex='-1' role='dialog' aria-hidden='true'>
									<div class='modal-dialog modal-sm'>
										<div class='modal-content'>
											<div class='modal-body'>
												<h4>Вы действительно хотите удалить этот шаблон?</h4>
											</div>
											<div class='modal-footer'>
												<a href='_delete.php?catalog_template_id=$row[id]' class='btn btn-danger'>Удалить навсегда</a> <button type='button' class='btn btn-secondary' data-dismiss='modal'>Закрыть</button>
											</div>
										</div>
									</div>
								</div>

							</td>
						</tr>
						";
					}
				echo"
					</tbody>
				</table>
					<hr>
					<button type='submit' class='btn btn-secondary btn-sm' name='record_numbers_templates_catalog'>Изменить порядок</button>
				</form>
				";
			}
	}

require_once('include/footer.php');