<?php

/**
 * Кэширование фрагментов кода
 *
 * $cache_name = имя кэшируемого фрагмента. Необязательный параметр
 */

class cmsCache
{

	// Формирование имени файла кэша
	public static function Name( $cache_name = '' )
	{

		$cache_name = ($cache_name != '') ? md5($cache_name.$_SERVER['REQUEST_URI']) : md5($_SERVER['REQUEST_URI']);

		return $cache_name;

	}

	// Проверка наличия кэша
	public static function Check( $cache_name = '' )
	{

		if(file_exists($_SERVER['DOCUMENT_ROOT'].'/cms/cache/'.self::Name($cache_name)))
		{
			return true;
		}
		else
		{
			return false;
		}

	}

	// Начало кэширования
	public static function Header()
	{

		ob_start();

	}

	// Конец кэширования
	public static function Footer( $cache_name = '' )
	{

		$cms_cache_object = ob_get_contents();
		ob_end_clean();
		echo $cms_cache_object;

		$fp = fopen($_SERVER['DOCUMENT_ROOT'].'/cms/cache/'.self::Name($cache_name),'w');
		fwrite($fp,$cms_cache_object);
		fclose($fp);

	}

	// Вывод кэша
	public static function Display( $cache_name = '' )
	{

		require_once($_SERVER['DOCUMENT_ROOT'].'/cms/cache/'.self::Name($cache_name));

	}

}


