<?php

/**
* Выводит обложку галереи конкретной страницы:
* $element_id = ID элемента, к которому привязано поле
* $field_id = ID поля галереи
* $img_type = тип выводимой обложки: значение 's' - малый эскиз обложки, значение 'b' - большой эскиз обложки, значение 'o' - оригинальное изображение
*/

function cms_gallery_cover( $element_id, $field_id, $img_type = 's' )
{

	// Подсчет количества фотографий для галереи
	$count_fields = cms_count_query('SELECT id from '.DB_PREFIX.'fields_gallery where element='.$element_id.' && name='.$field_id);

	if($count_fields > 0)
	{

		$query_cover = (cms_count_query('SELECT id from '.DB_PREFIX.'fields_gallery where element='.$element_id.' && name='.$field_id.' && cover = 1') > 0) ? '&& cover=1' : '';

		$row = mysqli_fetch_assoc(mysqli_query(cms_mysqli(),'SELECT image_big, image_small, image_original from '.DB_PREFIX.'fields_gallery where element='.$element_id.' && name='.$field_id.' '.$query_cover.' order by number asc, id asc '));

		if($img_type == 'b')
		{
			$gallery_cover = ($row['image_big']!='') ? $row['image_big'] : 'thumbnail.png';
		}
		elseif($img_type == 's')
		{
			$gallery_cover = ($row['image_small']!='') ? $row['image_small'] : 'thumbnail.png';
		}
		elseif($img_type == 'o')
		{
			$gallery_cover = ($row['image_original']!='') ? $row['image_original'] : 'thumbnail.png';
		}

	}
	else
	{

		$gallery_cover = 'thumbnail.png';

	}

	return '/cms/pages-images/gallery/'.$gallery_cover;

}