<?php

/**
 * Комментарии к странице
 */

function cms_page_comments()
{

	$mysqli = cms_mysqli();
	$page_id = cms_page_id();

	// Выбор шаблонов
	$row_template_page=mysqli_fetch_array(mysqli_query($mysqli,'SELECT template_comments from '.DB_PREFIX.'pages where id = '.$page_id));

	if(cms_count_query('SELECT id FROM '.DB_PREFIX.'templates_pages_comments where id='.$row_template_page['template_comments'])==0)
	{
		echo '<pre>[Шаблон комментариев не найден!]</pre>';
	}
	else
	{

		if($row_template_content=mysqli_fetch_array(mysqli_query($mysqli,"SELECT template,frame1,frame2,sort_code,limit1,limit2,pagination from ".DB_PREFIX."templates_pages_comments where id='$row_template_page[template_comments]'")))
		{
			$template_comment=$row_template_content['template'];
			$template_frame1=$row_template_content['frame1'];
			$template_frame2=$row_template_content['frame2'];
			$sort_code=$row_template_content['sort_code'];
		}

		$row_text_comments=mysqli_fetch_array(mysqli_query($mysqli,'SELECT id,comments from '.DB_PREFIX.'pages where id = '.$page_id));

		// Подсчет комментариев
		$count_comments=mysqli_num_rows(mysqli_query($mysqli,'SELECT id from '.DB_PREFIX.'pages_comments where page='.$page_id));

		// Лимиты
		if($row_template_content['pagination']==0 && $row_template_content['limit2']>0)
		{
			$limit="limit $row_template_content[limit1],$row_template_content[limit2]";
		}
		elseif($row_template_content['pagination']==1 && $row_template_content['limit2']>0)
		{
			$links=$row_template_content['limit2']; // количество данных на странице
			$show_link=8; // количество отображаемых ссылок; нагляднее будет, когда это число будет парное
			$last_text="&laquo;"; // текст для ссылки на первую страницу
			$next_text="&raquo;"; // текст для ссылки на последнюю страницу
			$separator=""; // разделитель ссылок
			$page_string = 'page';

			// Шаблон пути ссылки (начало)
			if(!isset($_GET['cms_translit']))
			{
				$template_pages1="/";
			}
			else
			{
				$template_pages1=cmsPageURI::Display();
			}
			$template_pages2="#comments-line"; // шаблон пути ссылки (конец)
			if(!isset($_GET[$page_string]) || ($page=intval($_GET[$page_string]))<1)
			{
				$page=1;
			}
			else
			{
				$page=(int)$page;
			}
			$pages_count=ceil($count_comments/$links); // Количество страниц
			if($page>$pages_count) $page = $pages_count;
			$page_for_query = $page-1;
			$lpos = $page_for_query * $links;

			$limit="limit $lpos,$row_template_content[limit2]";
		}
		else
		{
			$limit='';
		}

		// Обработка даты комментария
		if(isset($date_time) && $date_time!=''){$date_format=$date_time;}else{$date_format="d.m.Y в H:i:s";}

		// Обработка сортировки
		if($sort_code==''){$sort_code='date_time desc';}

		// Вывод комментариев
		if($row_text_comments['comments']==1)
		{
			?>

			<script>
				$(document).ready(function(){

				$('#form-comments').on('submit', function (e) {

					e.preventDefault();

					$.ajax({
					type: 'POST',
					url: '/post.php',
					data: new FormData(this),
					dataType: 'json',
					contentType: false,
					cache: false,
					processData:false,
					beforeSend: function() {
						$('.form-message-comments').html('Данные отправляются...');
					},
					success: function(response) {
						$('.form-message-comments').html(response.text);
					},
					error: function(jqXHR, exception)
					{
						if (jqXHR.status === 0) {
						alert('НЕ подключен к интернету!');
						} else if (jqXHR.status == 404) {
						alert('НЕ найдена страница запроса [404])');
						} else if (jqXHR.status == 500) {
						alert('НЕ найден домен в запросе [500].');
						} else if (exception === 'parsererror') {
						alert("Ошибка в коде: \n"+jqXHR.responseText);
						} else if (exception === 'timeout') {
						alert('Не ответил на запрос.');
						} else if (exception === 'abort') {
						alert('Прерван запрос Ajax.');
						} else {
						alert('Неизвестная ошибка:\n' + jqXHR.responseText);
						}
					}
					});

				});

				});
			</script>

			<?php
			// Обрамление 1
			eval(' ?>'.$template_frame1.'<?php ');

			if($count_comments>0)
			{
				// Цикл
				$result=mysqli_query($mysqli,"SELECT id,date_time,name,text from ".DB_PREFIX."pages_comments where page='".$page_id."' && hide='0' order by $sort_code $limit");
				while($row=mysqli_fetch_array($result))
				{
					eval(' ?>'.$template_comment.'<?php ');
				}
				// Постраничный вывод
				if($row_template_content['pagination']==1 && $row_template_content['limit2']>0 && $count_comments>$row_template_content['limit2'])
				{

					$array_pagination =
					[
						'page' => $page,
						'page_string' => $page_string,
						'template_pages1' => $template_pages1,
						'template_pages2' => $template_pages2,
						'pages_count' => $pages_count,
						'show_link' => $show_link,
						'separator' => $separator,
						'last_text' => $last_text,
						'next_text' => $next_text
					];

					cms_pagination( $array_pagination );

				}
			}

			// Обрамление 2
			eval(' ?>'.$template_frame2.'<?php ');
		}
	}
}
?>