<?php

/**
* Поиск по сайту
*/

function cms_search()
{

	extract($_GET);

	if(isset($keyword))
	{

		$keyword = strip_tags($keyword); // убираем теги
		$keyword = rawurldecode($keyword); // декодирование
		$keyword = trim($keyword); // обрезание пробелов
		$keyword = preg_replace('~[^а-яА-ЯеЁa-zA-Z0-9- ]/u~','',$keyword); // удаление лишних символов
		$keyword = str_replace(" ","%",$keyword); // замена пробелов на %

		$row = cms_pdo()->prepare('SELECT id, title, translit, page_index from '.DB_PREFIX.'pages where title like ? || tip like ? || demo like ? || text like ? order by date_time desc');
		$row->execute([
			'%'.$keyword.'%',
			'%'.$keyword.'%',
			'%'.$keyword.'%',
			'%'.$keyword.'%'
		]);
		$rows = $row->fetchAll(); // массив поисковых данных
		$search_count = $row->rowCount(); // подсчет количества найденных страниц

		// Если длина запроса меньше 3 символов
		if(mb_strlen($keyword,'utf-8')<3)
		{
			?>

			<div class="text-danger">Вы ввели некорректный запрос!</div>";

			<?php
		}

		// Если страниц не найдено
		elseif($search_count==0)
		{
			?>

			<div class="text-danger">По запросу <b><?=$keyword?></b> ничего не найдено!</div>

			<?php
		}

		// Вывод массива страниц
		else
		{
			?>


			<p class="text-danger">Количество найденных страниц: <?=$search_count?></p>

			<ul>

				<?php

				foreach ($rows as $row)
				{

					$url = ( $row['page_index'] == 1 ) ? '/' : '/'.$row['translit'].'/';

					?>

					<li>
						<a href="<?=$url?>"><?=htmlspecialchars($row['title'],ENT_QUOTES)?></a>
					</li>

					<?php
				}

				?>

			</ul>

			<?php
		}

	}
	else
	{
		?>

		<div class="text-danger">Введите поисковый запрос!</div>

		<?php
	}

}
?>